(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    251281,       7087]
NotebookOptionsPosition[    221009,       6546]
NotebookOutlinePosition[    221405,       6562]
CellTagsIndexPosition[    221362,       6559]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.802104981006796*^9, 3.802104981008398*^9}, {
  3.802109104962899*^9, 3.8021091054762897`*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"6d649c51-bad0-4fe6-b178-e6dd501adc1b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"evalStart", ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", 
     RowBox[{
      RowBox[{"FrontEndExecute", "[", 
       RowBox[{"FrontEndToken", "[", 
        RowBox[{
         RowBox[{"InputNotebook", "[", "]"}], ",", 
         "\"\<EvaluateInitialization\>\""}], "]"}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"FrontEndExecute", "[", 
       RowBox[{"FrontEndToken", "[", 
        RowBox[{
         RowBox[{"InputNotebook", "[", "]"}], ",", "\"\<SelectAll\>\""}], 
        "]"}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"FrontEndExecute", "[", 
       RowBox[{"FrontEndToken", "[", 
        RowBox[{
         RowBox[{"InputNotebook", "[", "]"}], ",", "\"\<EvaluateCells\>\""}], 
        "]"}], "]"}], ";"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.802109109187995*^9, 3.802109113122047*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"3381a545-607f-47c4-a6a7-0d77cb4b9739"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Button", "[", 
  RowBox[{"\"\<Run notebook\>\"", ",", "evalStart"}], "]"}]], "Input",
 CellChangeTimes->{{3.802109109187995*^9, 3.802109113122047*^9}, {
  3.802109143736068*^9, 3.802109144367949*^9}, {3.802109181414486*^9, 
  3.802109186014275*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"a8252cd9-b083-4974-9f63-5870302ee66a"],

Cell[BoxData[
 ButtonBox["\<\"Run notebook\"\>",
  Appearance->Automatic,
  ButtonFunction:>$CellContext`evalStart,
  Evaluator->Automatic,
  Method->"Preemptive"]], "Output",
 CellChangeTimes->{3.802190674302555*^9, 3.80220335794916*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"9ef3e9fa-81b9-4a6e-b474-7722e3081c8b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"t", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"f", ",", "g", ",", "h"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"p", ",", "q", ",", "r"}], "}"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.80210508017819*^9, 3.8021050810758753`*^9}, {
  3.802105196045909*^9, 3.802105204332193*^9}, {3.802112406514679*^9, 
  3.802112407454925*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"193b165c-f1d1-4fda-ae63-b1befb57e2ca"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "g", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"p", ",", "q", ",", "r"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8021906743101463`*^9, 3.802203357961759*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"5ea405e5-64ec-4272-81d1-403d9f011e3d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"t2", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"lambda", "+", "mu"}], ")"}], "*", "dt"}]}], ")"}]}], ",", 
      
      RowBox[{"lambda", "*", "dt"}], ",", 
      RowBox[{"b", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"lambda", "+", "mu"}], ")"}], "*", "dt"}]}], ")"}]}], ",", 
      "0", ",", 
      RowBox[{"a", "*", "mu", "*", "dt"}], ",", "c", ",", "0", ",", "0", ",", 
      
      RowBox[{"b", "*", "mu", "*", "dt"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", "x"}], ")"}]}], ",", "x", ",", 
      RowBox[{"b", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", "x"}], ")"}]}], ",", "0", ",", "0", ",", "0", ",", 
      "0", ",", "c", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"f", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"lambda", "+", "mu"}], ")"}], "*", "dt"}]}], ")"}]}], ",", 
      "0", ",", 
      RowBox[{"g", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"lambda", "+", "mu"}], ")"}], "*", "dt"}]}], ")"}]}], ",", 
      
      RowBox[{"lambda", "*", "dt"}], ",", 
      RowBox[{"f", "*", "mu", "*", "dt"}], ",", "h", ",", "0", ",", "0", ",", 
      
      RowBox[{"g", "*", "mu", "*", "dt"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"f", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", "x"}], ")"}]}], ",", "0", ",", 
      RowBox[{"g", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", "x"}], ")"}]}], ",", "x", ",", "0", ",", "0", ",", 
      "0", ",", "h", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", "y"}], ")"}]}], ",", "0", ",", 
      RowBox[{"b", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", "y"}], ")"}]}], ",", "0", ",", 
      RowBox[{"a", "*", "y"}], ",", "0", ",", "c", ",", "0", ",", 
      RowBox[{"b", "*", "y"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"lambda", "+", "mu"}], ")"}], "*", "dt"}]}], ")"}]}], ",", 
      "0", ",", 
      RowBox[{"q", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"lambda", "+", "mu"}], ")"}], "*", "dt"}]}], ")"}]}], ",", 
      "0", ",", 
      RowBox[{"p", "*", "mu", "*", "dt"}], ",", "r", ",", "0", ",", "0", ",", 
      
      RowBox[{"q", "*", "mu", "*", "dt"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", "y"}], ")"}]}], ",", "0", ",", 
      RowBox[{"q", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", "y"}], ")"}]}], ",", "0", ",", 
      RowBox[{"p", "*", "y"}], ",", "0", ",", "r", ",", "0", ",", 
      RowBox[{"q", "*", "y"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", "x"}], ")"}]}], ",", "0", ",", 
      RowBox[{"q", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", "x"}], ")"}]}], ",", "0", ",", "0", ",", "0", ",", 
      "0", ",", "r", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"f", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", "y"}], ")"}]}], ",", "0", ",", 
      RowBox[{"g", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", "y"}], ")"}]}], ",", "0", ",", 
      RowBox[{"f", "*", "y"}], ",", "0", ",", "h", ",", "0", ",", 
      RowBox[{"g", "*", "y"}]}], "}"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.802104987601543*^9, 3.802104987602827*^9}, 
   3.802106062072754*^9, 3.8021084620053988`*^9, {3.8021085058511143`*^9, 
   3.802108506956959*^9}, {3.802111260005816*^9, 3.8021112613445797`*^9}, {
   3.802112419092451*^9, 3.802112419951325*^9}, {3.802123954667077*^9, 
   3.802123956421172*^9}, {3.8021247218901176`*^9, 3.8021247245971107`*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"d32a9c44-bcef-49a9-90ca-555651042a3b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"dt", " ", 
         RowBox[{"(", 
          RowBox[{"lambda", "+", "mu"}], ")"}]}]}], ")"}]}], ",", 
     RowBox[{"dt", " ", "lambda"}], ",", 
     RowBox[{"b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"dt", " ", 
         RowBox[{"(", 
          RowBox[{"lambda", "+", "mu"}], ")"}]}]}], ")"}]}], ",", "0", ",", 
     RowBox[{"a", " ", "dt", " ", "mu"}], ",", "c", ",", "0", ",", "0", ",", 
     RowBox[{"b", " ", "dt", " ", "mu"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "x"}], ")"}]}], ",", "x", ",", 
     RowBox[{"b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "x"}], ")"}]}], ",", "0", ",", "0", ",", "0", ",", 
     "0", ",", "c", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"dt", " ", 
         RowBox[{"(", 
          RowBox[{"lambda", "+", "mu"}], ")"}]}]}], ")"}]}], ",", "0", ",", 
     RowBox[{"g", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"dt", " ", 
         RowBox[{"(", 
          RowBox[{"lambda", "+", "mu"}], ")"}]}]}], ")"}]}], ",", 
     RowBox[{"dt", " ", "lambda"}], ",", 
     RowBox[{"dt", " ", "f", " ", "mu"}], ",", "h", ",", "0", ",", "0", ",", 
     RowBox[{"dt", " ", "g", " ", "mu"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "x"}], ")"}]}], ",", "0", ",", 
     RowBox[{"g", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "x"}], ")"}]}], ",", "x", ",", "0", ",", "0", ",", 
     "0", ",", "h", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "y"}], ")"}]}], ",", "0", ",", 
     RowBox[{"b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "y"}], ")"}]}], ",", "0", ",", 
     RowBox[{"a", " ", "y"}], ",", "0", ",", "c", ",", "0", ",", 
     RowBox[{"b", " ", "y"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"dt", " ", 
         RowBox[{"(", 
          RowBox[{"lambda", "+", "mu"}], ")"}]}]}], ")"}], " ", "p"}], ",", 
     "0", ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"dt", " ", 
         RowBox[{"(", 
          RowBox[{"lambda", "+", "mu"}], ")"}]}]}], ")"}], " ", "q"}], ",", 
     "0", ",", 
     RowBox[{"dt", " ", "mu", " ", "p"}], ",", "r", ",", "0", ",", "0", ",", 
     RowBox[{"dt", " ", "mu", " ", "q"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"p", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "y"}], ")"}]}], ",", "0", ",", 
     RowBox[{"q", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "y"}], ")"}]}], ",", "0", ",", 
     RowBox[{"p", " ", "y"}], ",", "0", ",", "r", ",", "0", ",", 
     RowBox[{"q", " ", "y"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"p", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "x"}], ")"}]}], ",", "0", ",", 
     RowBox[{"q", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "x"}], ")"}]}], ",", "0", ",", "0", ",", "0", ",", 
     "0", ",", "r", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "y"}], ")"}]}], ",", "0", ",", 
     RowBox[{"g", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "y"}], ")"}]}], ",", "0", ",", 
     RowBox[{"f", " ", "y"}], ",", "0", ",", "h", ",", "0", ",", 
     RowBox[{"g", " ", "y"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.80219067439611*^9, 3.802203358019369*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"8eb0d4b3-bbe5-4aa2-8a70-5b810538c896"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", "t2", "]"}]], "Input",
 CellChangeTimes->{{3.8021227458466578`*^9, 3.802122747973433*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"96a82422-e2a1-4bff-9f1d-d99fc282ae74"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"a", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"dt", " ", 
          RowBox[{"(", 
           RowBox[{"lambda", "+", "mu"}], ")"}]}]}], ")"}]}], 
      RowBox[{"dt", " ", "lambda"}], 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"dt", " ", 
          RowBox[{"(", 
           RowBox[{"lambda", "+", "mu"}], ")"}]}]}], ")"}]}], "0", 
      RowBox[{"a", " ", "dt", " ", "mu"}], "c", "0", "0", 
      RowBox[{"b", " ", "dt", " ", "mu"}]},
     {
      RowBox[{"a", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "x"}], ")"}]}], "x", 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "x"}], ")"}]}], "0", "0", "0", "0", "c", "0"},
     {
      RowBox[{"f", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"dt", " ", 
          RowBox[{"(", 
           RowBox[{"lambda", "+", "mu"}], ")"}]}]}], ")"}]}], "0", 
      RowBox[{"g", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"dt", " ", 
          RowBox[{"(", 
           RowBox[{"lambda", "+", "mu"}], ")"}]}]}], ")"}]}], 
      RowBox[{"dt", " ", "lambda"}], 
      RowBox[{"dt", " ", "f", " ", "mu"}], "h", "0", "0", 
      RowBox[{"dt", " ", "g", " ", "mu"}]},
     {
      RowBox[{"f", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "x"}], ")"}]}], "0", 
      RowBox[{"g", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "x"}], ")"}]}], "x", "0", "0", "0", "h", "0"},
     {
      RowBox[{"a", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "y"}], ")"}]}], "0", 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "y"}], ")"}]}], "0", 
      RowBox[{"a", " ", "y"}], "0", "c", "0", 
      RowBox[{"b", " ", "y"}]},
     {
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"dt", " ", 
          RowBox[{"(", 
           RowBox[{"lambda", "+", "mu"}], ")"}]}]}], ")"}], " ", "p"}], "0", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"dt", " ", 
          RowBox[{"(", 
           RowBox[{"lambda", "+", "mu"}], ")"}]}]}], ")"}], " ", "q"}], "0", 
      RowBox[{"dt", " ", "mu", " ", "p"}], "r", "0", "0", 
      RowBox[{"dt", " ", "mu", " ", "q"}]},
     {
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "y"}], ")"}]}], "0", 
      RowBox[{"q", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "y"}], ")"}]}], "0", 
      RowBox[{"p", " ", "y"}], "0", "r", "0", 
      RowBox[{"q", " ", "y"}]},
     {
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "x"}], ")"}]}], "0", 
      RowBox[{"q", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "x"}], ")"}]}], "0", "0", "0", "0", "r", "0"},
     {
      RowBox[{"f", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "y"}], ")"}]}], "0", 
      RowBox[{"g", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "y"}], ")"}]}], "0", 
      RowBox[{"f", " ", "y"}], "0", "h", "0", 
      RowBox[{"g", " ", "y"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.802190674403723*^9, 3.802203358029376*^9},
 CellLabel->
  "Out[8]//MatrixForm=",ExpressionUUID->"358e5427-7851-46f4-bc97-\
fa689465e665"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"matvec", "=", 
  RowBox[{"{", 
   RowBox[{"1", ",", "0", ",", "0"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.802105403836667*^9, 3.8021054077156467`*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"96211339-5c46-4fc4-8afa-a3692ea375a0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.8021906744869547`*^9, 3.802203358088862*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"8d47b4d5-3d44-4bd9-95ea-80fce5be1202"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"insvec", "=", 
  RowBox[{"{", 
   RowBox[{"0", ",", "1", ",", "0"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.802097508469646*^9, 3.80209751149293*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"51c52fea-4696-4611-b803-dc856305b22d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "1", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.802190674493354*^9, 3.8022033580962954`*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"79e2651f-e267-40c0-88cf-377ed7174374"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"delvec", "=", 
  RowBox[{"{", 
   RowBox[{"0", ",", "0", ",", "1"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.80209749049466*^9, 3.802097494613494*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"575c293a-f1cc-4828-8970-3768c4c46c26"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.802190674577197*^9, 3.802203358154984*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"7ee37fc4-f082-4362-8d04-a96007084f6b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mat", "=", 
  RowBox[{"DiagonalMatrix", "[", "matvec", "]"}]}]], "Input",
 CellChangeTimes->{{3.8021054099722977`*^9, 3.802105422043063*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"ae33e189-4462-480b-8aee-5eb8fd959bd0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.80219067458435*^9, 3.802203358162168*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"d4f58180-6af4-4bdc-b78a-88198c8ef9ef"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ins", "=", 
  RowBox[{"DiagonalMatrix", "[", "insvec", "]"}]}]], "Input",
 CellChangeTimes->{{3.802097514262033*^9, 3.802097519676364*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"4f9d8a87-7096-4b72-9e4b-cfe905521db4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8021906745915318`*^9, 3.802203358221365*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"9c9d2865-0cc2-4539-b993-c71d10798e62"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"del", "=", 
  RowBox[{"DiagonalMatrix", "[", "delvec", "]"}]}]], "Input",
 CellChangeTimes->{{3.8020974974468184`*^9, 3.80209750486902*^9}, {
  3.8021054273566647`*^9, 3.802105427859562*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"09f67f1a-dd70-4f8a-af3d-09a8ad54b069"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190674676497*^9, 3.8022033582284803`*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"66b6690f-ad3b-4214-9870-01948fd41c54"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"nottomatch", "=", 
  RowBox[{"ConstantArray", "[", 
   RowBox[{
    RowBox[{"insvec", "+", "delvec"}], ",", "3"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802097532813151*^9, 3.802097616632553*^9}, {
   3.8020988676933203`*^9, 3.8020988678039207`*^9}, 3.802176325576395*^9, {
   3.802176860850498*^9, 3.8021768623373613`*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"ffebdd68-4ace-4a10-9407-6b6d358b44d2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190674761305*^9, 3.8022033582854757`*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"a7fea73d-b4fd-49d7-8344-e7db5345aeff"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"notfrommatch", "=", 
  RowBox[{"Transpose", "[", "nottomatch", "]"}]}]], "Input",
 CellChangeTimes->{{3.802176863937904*^9, 3.80217686877697*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"adb124d0-707c-494c-babd-6c3b6039550d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190674768133*^9, 3.802203358292075*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"7a2c26e7-a0bc-4293-b6c8-59d39ddf23b9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"lsum", "=", 
  RowBox[{"Inverse", "[", 
   RowBox[{
    RowBox[{"IdentityMatrix", "[", "3", "]"}], "-", 
    RowBox[{"t", "*", "nottomatch"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802095928216168*^9, 3.802095949910207*^9}, 
   3.802098804175783*^9, 3.802124853039611*^9, 3.8021763255875063`*^9, 
   3.802176497632799*^9, {3.802176774694149*^9, 3.802176781604903*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"a950a092-10d5-49fc-ac01-509fa9166a5a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", 
     FractionBox[
      RowBox[{"b", "+", 
       RowBox[{"c", " ", "q"}], "-", 
       RowBox[{"b", " ", "r"}]}], 
      RowBox[{"1", "-", "g", "-", 
       RowBox[{"h", " ", "q"}], "-", "r", "+", 
       RowBox[{"g", " ", "r"}]}]], ",", 
     FractionBox[
      RowBox[{"c", "-", 
       RowBox[{"c", " ", "g"}], "+", 
       RowBox[{"b", " ", "h"}]}], 
      RowBox[{"1", "-", "g", "-", 
       RowBox[{"h", " ", "q"}], "-", "r", "+", 
       RowBox[{"g", " ", "r"}]}]]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox[
      RowBox[{"1", "-", "r"}], 
      RowBox[{"1", "-", "g", "-", 
       RowBox[{"h", " ", "q"}], "-", "r", "+", 
       RowBox[{"g", " ", "r"}]}]], ",", 
     FractionBox["h", 
      RowBox[{"1", "-", "g", "-", 
       RowBox[{"h", " ", "q"}], "-", "r", "+", 
       RowBox[{"g", " ", "r"}]}]]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox["q", 
      RowBox[{"1", "-", "g", "-", 
       RowBox[{"h", " ", "q"}], "-", "r", "+", 
       RowBox[{"g", " ", "r"}]}]], ",", 
     FractionBox[
      RowBox[{"1", "-", "g"}], 
      RowBox[{"1", "-", "g", "-", 
       RowBox[{"h", " ", "q"}], "-", "r", "+", 
       RowBox[{"g", " ", "r"}]}]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190674852003*^9, 3.802203358299193*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"d2caddd0-bfe0-4e82-8a94-36c9b28c168d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sumnull", "=", "t"}]], "Input",
 CellChangeTimes->{
  3.802124855095921*^9, {3.802176783741826*^9, 3.802176788012591*^9}, {
   3.802176845386263*^9, 3.802176845561667*^9}, {3.802176976212988*^9, 
   3.802176995820375*^9}, 3.802177050794219*^9},
 CellLabel->"In[18]:=",ExpressionUUID->"ef59be34-1944-40fd-8f85-b4dd12feac66"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "g", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"p", ",", "q", ",", "r"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190674859146*^9, 3.802203358308071*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"987091ca-1cb6-4b91-98eb-7473894e8b3b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"rsum", "=", 
  RowBox[{"Inverse", "[", 
   RowBox[{
    RowBox[{"IdentityMatrix", "[", "3", "]"}], "-", 
    RowBox[{"t", "*", "notfrommatch"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802114629303739*^9, 3.802114635811104*^9}, {
   3.802149395651939*^9, 3.8021494019778233`*^9}, {3.802176250015131*^9, 
   3.802176260140958*^9}, 3.802176427709515*^9, {3.8021764852502317`*^9, 
   3.8021764858582783`*^9}, {3.802176854034802*^9, 3.80217685841741*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"f6f34490-ba2d-496d-aad8-77cb383fd4cd"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      RowBox[{"f", "+", 
       RowBox[{"h", " ", "p"}], "-", 
       RowBox[{"f", " ", "r"}]}], 
      RowBox[{"1", "-", "g", "-", 
       RowBox[{"h", " ", "q"}], "-", "r", "+", 
       RowBox[{"g", " ", "r"}]}]], ",", 
     FractionBox[
      RowBox[{"1", "-", "r"}], 
      RowBox[{"1", "-", "g", "-", 
       RowBox[{"h", " ", "q"}], "-", "r", "+", 
       RowBox[{"g", " ", "r"}]}]], ",", 
     FractionBox["h", 
      RowBox[{"1", "-", "g", "-", 
       RowBox[{"h", " ", "q"}], "-", "r", "+", 
       RowBox[{"g", " ", "r"}]}]]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"g", " ", "p"}], "+", 
       RowBox[{"f", " ", "q"}]}], 
      RowBox[{"1", "-", "g", "-", 
       RowBox[{"h", " ", "q"}], "-", "r", "+", 
       RowBox[{"g", " ", "r"}]}]], ",", 
     FractionBox["q", 
      RowBox[{"1", "-", "g", "-", 
       RowBox[{"h", " ", "q"}], "-", "r", "+", 
       RowBox[{"g", " ", "r"}]}]], ",", 
     FractionBox[
      RowBox[{"1", "-", "g"}], 
      RowBox[{"1", "-", "g", "-", 
       RowBox[{"h", " ", "q"}], "-", "r", "+", 
       RowBox[{"g", " ", "r"}]}]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190674944745*^9, 3.802203358360566*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"dc7c43e0-c798-4909-ace2-f856cd8b85cb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"u", "=", 
  RowBox[{"Inverse", "[", 
   RowBox[{
    RowBox[{"IdentityMatrix", "[", "3", "]"}], "-", 
    RowBox[{"t", "*", "nottomatch"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802094868828726*^9, 3.8020948713082733`*^9}, {
   3.802098889163946*^9, 3.802098889307086*^9}, 3.8021088477668657`*^9, 
   3.8021763255796223`*^9},
 CellLabel->"In[20]:=",ExpressionUUID->"c1686d6f-76aa-4cda-88f1-c57f46b09907"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", 
     FractionBox[
      RowBox[{"b", "+", 
       RowBox[{"c", " ", "q"}], "-", 
       RowBox[{"b", " ", "r"}]}], 
      RowBox[{"1", "-", "g", "-", 
       RowBox[{"h", " ", "q"}], "-", "r", "+", 
       RowBox[{"g", " ", "r"}]}]], ",", 
     FractionBox[
      RowBox[{"c", "-", 
       RowBox[{"c", " ", "g"}], "+", 
       RowBox[{"b", " ", "h"}]}], 
      RowBox[{"1", "-", "g", "-", 
       RowBox[{"h", " ", "q"}], "-", "r", "+", 
       RowBox[{"g", " ", "r"}]}]]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox[
      RowBox[{"1", "-", "r"}], 
      RowBox[{"1", "-", "g", "-", 
       RowBox[{"h", " ", "q"}], "-", "r", "+", 
       RowBox[{"g", " ", "r"}]}]], ",", 
     FractionBox["h", 
      RowBox[{"1", "-", "g", "-", 
       RowBox[{"h", " ", "q"}], "-", "r", "+", 
       RowBox[{"g", " ", "r"}]}]]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox["q", 
      RowBox[{"1", "-", "g", "-", 
       RowBox[{"h", " ", "q"}], "-", "r", "+", 
       RowBox[{"g", " ", "r"}]}]], ",", 
     FractionBox[
      RowBox[{"1", "-", "g"}], 
      RowBox[{"1", "-", "g", "-", 
       RowBox[{"h", " ", "q"}], "-", "r", "+", 
       RowBox[{"g", " ", "r"}]}]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190674952292*^9, 3.802203358372476*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"bc757283-62a6-402d-9435-106ed7dee751"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Eins", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"lsum", ".", "ins", ".", "rsum"}], ")"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8020948751088667`*^9, 3.802094886364689*^9}, {
  3.80217690575315*^9, 3.802176908591134*^9}, {3.802273792916993*^9, 
  3.802273794355526*^9}},
 CellLabel->
  "In[105]:=",ExpressionUUID->"c1978d90-1532-4bc7-b06e-744d8879822e"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "c"}], " ", "q"}], "+", 
     RowBox[{"b", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "r"}], ")"}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "h"}], " ", "p"}], "+", 
     RowBox[{"f", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "r"}], ")"}]}]}], ")"}]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "g", "+", 
     RowBox[{"h", " ", "q"}], "+", "r", "-", 
     RowBox[{"g", " ", "r"}]}], ")"}], "2"]]], "Output",
 CellChangeTimes->{3.802190675036437*^9, 3.802203358440887*^9, 
  3.802273795426256*^9},
 CellLabel->
  "Out[105]=",ExpressionUUID->"a081b5bf-5ec8-4516-a0c1-e3f49b36043d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Edel", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"lsum", ".", "del", ".", "rsum"}], ")"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802105296672678*^9, 3.8021053002810373`*^9}, {
  3.8021769150481997`*^9, 3.802176917302801*^9}, {3.802273800900322*^9, 
  3.802273801971757*^9}},
 CellLabel->
  "In[106]:=",ExpressionUUID->"a369f733-c5d4-436f-8875-fccab7557640"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"c", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "g"}], ")"}]}], "-", 
     RowBox[{"b", " ", "h"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "p"}], "-", 
     RowBox[{"f", " ", "q"}]}], ")"}]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "g", "+", 
     RowBox[{"h", " ", "q"}], "+", "r", "-", 
     RowBox[{"g", " ", "r"}]}], ")"}], "2"]]], "Output",
 CellChangeTimes->{3.8021906750435133`*^9, 3.802203358499157*^9, 
  3.8022738053166037`*^9},
 CellLabel->
  "Out[106]=",ExpressionUUID->"d39a15db-39e7-43bd-95f0-714c2011e788"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Einsins", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"lsum", ".", "ins", ".", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", 
         RowBox[{"lsum", ".", "ins"}]}], "-", 
        RowBox[{"IdentityMatrix", "[", "3", "]"}]}], ")"}], ".", "rsum"}], 
     ")"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802273827563327*^9, 3.8022738775280733`*^9}},
 CellLabel->
  "In[108]:=",ExpressionUUID->"1150651b-a904-44c8-af51-52acc6f48f00"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "c"}], " ", "q"}], "+", 
     RowBox[{"b", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "r"}], ")"}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"f", "+", 
     RowBox[{"h", " ", "p"}], "-", 
     RowBox[{"f", " ", "r"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "g", "+", 
     RowBox[{"h", " ", "q"}], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", "g"}], ")"}], " ", "r"}]}], ")"}]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "g", "+", 
     RowBox[{"h", " ", "q"}], "+", "r", "-", 
     RowBox[{"g", " ", "r"}]}], ")"}], "3"]]], "Output",
 CellChangeTimes->{3.802273878167859*^9},
 CellLabel->
  "Out[108]=",ExpressionUUID->"77092f19-f49b-4972-b7e1-44e8888778fd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Edeldel", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"lsum", ".", "del", ".", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", 
         RowBox[{"lsum", ".", "del"}]}], "-", 
        RowBox[{"IdentityMatrix", "[", "3", "]"}]}], ")"}], ".", "rsum"}], 
     ")"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8022738852715693`*^9, 3.802273890911633*^9}},
 CellLabel->
  "In[109]:=",ExpressionUUID->"66dee7e5-92a8-4248-ad0a-9c49d03ad115"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"c", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "g"}], ")"}]}], "-", 
     RowBox[{"b", " ", "h"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "p"}], "-", 
     RowBox[{"f", " ", "q"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "g", "-", 
     RowBox[{"h", " ", "q"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "r"}]}], ")"}]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "g", "+", 
     RowBox[{"h", " ", "q"}], "+", "r", "-", 
     RowBox[{"g", " ", "r"}]}], ")"}], "3"]]], "Output",
 CellChangeTimes->{3.802273895516509*^9},
 CellLabel->
  "Out[109]=",ExpressionUUID->"7f49b618-854e-4ea9-a3a5-4e022a092a15"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Einsdel", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"lsum", ".", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"del", ".", "lsum", ".", "ins"}], "+", 
        RowBox[{"ins", ".", "lsum", ".", "del"}]}], ")"}], ".", "rsum"}], 
     ")"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802273902523705*^9, 3.802273941581318*^9}},
 CellLabel->
  "In[110]:=",ExpressionUUID->"0813f8cf-4ec1-4484-9619-00aeb68c95f2"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"c", " ", "q", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "h", " ", "p"}], "+", 
       RowBox[{"f", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "g", "+", 
          RowBox[{"h", " ", "q"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "r"}]}], ")"}]}]}], 
      ")"}]}], "+", 
    RowBox[{"b", " ", "h", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "f", " ", "q", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "r"}], ")"}]}], "+", 
       RowBox[{"p", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "g", "+", 
          RowBox[{"h", " ", "q"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "r"}]}], ")"}]}]}], 
      ")"}]}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "g", "+", 
      RowBox[{"h", " ", "q"}], "+", "r", "-", 
      RowBox[{"g", " ", "r"}]}], ")"}], "3"]]}]], "Output",
 CellChangeTimes->{3.80227394234939*^9},
 CellLabel->
  "Out[110]=",ExpressionUUID->"93a158ed-6cb6-4b1c-8018-e16ffd9d5980"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"m2m", "=", 
  RowBox[{"Outer", "[", 
   RowBox[{"Times", ",", "matvec", ",", "matvec"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802115979953829*^9, 3.802115988888533*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"f9d283a2-2ad1-4958-b8da-b4f8e40925a6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190675127108*^9, 3.8022033585086412`*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"37663d6c-3e86-4b19-ac05-ec3af049dca3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"m2i", "=", 
  RowBox[{"Outer", "[", 
   RowBox[{"Times", ",", "matvec", ",", "insvec"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802105441731696*^9, 3.802105451561738*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"cbb53118-e39e-48da-9fd0-56024725b6c8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190675134495*^9, 3.802203358560987*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"e43801d0-23a1-41d5-9313-569ec9a4b178"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"m2d", "=", 
  RowBox[{"Outer", "[", 
   RowBox[{"Times", ",", "matvec", ",", "delvec"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8021054533550367`*^9, 3.8021054572815857`*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"3460a124-0837-4208-9d7b-21bb827f0bb5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190675216976*^9, 3.80220335856802*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"2f415397-865d-4175-8d59-20eef5cedc4d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"i2m", "=", 
  RowBox[{"Outer", "[", 
   RowBox[{"Times", ",", "insvec", ",", "matvec"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802105462850726*^9, 3.8021054694252996`*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"0408a428-3810-41b0-bf28-69adc08617c3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190675326503*^9, 3.802203358620294*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"96d54dee-0c80-474e-a1cf-efd9a5853ac0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"i2i", "=", 
  RowBox[{"Outer", "[", 
   RowBox[{"Times", ",", "insvec", ",", "insvec"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802115962667058*^9, 3.8021159687053213`*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"198c3f4b-143e-4790-a5ab-6f9eb4da0244"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190675333768*^9, 3.802203358626766*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"823db3a2-f05f-42f4-9606-ae53d3f41519"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"i2d", "=", 
  RowBox[{"Outer", "[", 
   RowBox[{"Times", ",", "insvec", ",", "delvec"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802105335375757*^9, 3.802105353534397*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"6b55b9aa-0a0f-4a01-a859-4ea306890c75"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.80219067539398*^9, 3.80220335863315*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"09608332-5d42-4691-b14e-6d71f4f69850"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"d2m", "=", 
  RowBox[{"Outer", "[", 
   RowBox[{"Times", ",", "delvec", ",", "matvec"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802105470842339*^9, 3.802105477184836*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"948302fc-13c7-4b33-b9de-079e3e297027"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190675401084*^9, 3.802203358686694*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"ba31f095-7b58-421b-85ca-916a3c618f69"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"d2i", "=", 
  RowBox[{"Outer", "[", 
   RowBox[{"Times", ",", "delvec", ",", "insvec"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8021053551986427`*^9, 3.80210535921371*^9}},
 CellLabel->"In[30]:=",ExpressionUUID->"3d7027e6-502c-45ff-b0a3-33f2c8e39017"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190675465322*^9, 3.80220335869352*^9},
 CellLabel->"Out[30]=",ExpressionUUID->"306d6640-7f0a-4e9e-8a6d-f9c031b40608"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"d2d", "=", 
  RowBox[{"Outer", "[", 
   RowBox[{"Times", ",", "delvec", ",", "delvec"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802105470842339*^9, 3.802105477184836*^9}, {
  3.802116001225142*^9, 3.8021160042567043`*^9}},
 CellLabel->"In[31]:=",ExpressionUUID->"260ad841-f2bf-477c-bd1a-3d0ca98da696"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190675473488*^9, 3.802203358749351*^9},
 CellLabel->"Out[31]=",ExpressionUUID->"d62a8f04-9162-42dd-aef5-94240c70e7df"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Ei2i", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"lsum", ".", 
      RowBox[{"(", 
       RowBox[{"i2i", "*", "sumnull"}], ")"}], ".", "rsum"}], ")"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8021054948893147`*^9, 3.8021055203669977`*^9}, {
  3.8021055933023787`*^9, 3.802105593508333*^9}, {3.802116008194153*^9, 
  3.8021160084004908`*^9}, {3.802176942785524*^9, 3.802176976213689*^9}},
 CellLabel->"In[32]:=",ExpressionUUID->"bbc28c91-71c1-4239-937d-637c7f153a14"],

Cell[BoxData[
 FractionBox[
  RowBox[{"g", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "c"}], " ", "q"}], "+", 
     RowBox[{"b", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "r"}], ")"}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "h"}], " ", "p"}], "+", 
     RowBox[{"f", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "r"}], ")"}]}]}], ")"}]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "g", "+", 
     RowBox[{"h", " ", "q"}], "+", "r", "-", 
     RowBox[{"g", " ", "r"}]}], ")"}], "2"]]], "Output",
 CellChangeTimes->{3.80219067554006*^9, 3.802203358803278*^9},
 CellLabel->"Out[32]=",ExpressionUUID->"d0b5048a-8a3f-44cc-99c0-7d106000cb66"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Ei2d", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"lsum", ".", 
      RowBox[{"(", 
       RowBox[{"i2d", "*", "sumnull"}], ")"}], ".", "rsum"}], ")"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802105531942853*^9, 3.802105539016717*^9}, {
  3.802176942788601*^9, 3.802176976214326*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"9b900c36-71e5-44db-943d-0dcf4c8cd1c9"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"h", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "p"}], "-", 
      RowBox[{"f", " ", "q"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"b", "+", 
      RowBox[{"c", " ", "q"}], "-", 
      RowBox[{"b", " ", "r"}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "g", "+", 
      RowBox[{"h", " ", "q"}], "+", "r", "-", 
      RowBox[{"g", " ", "r"}]}], ")"}], "2"]]}]], "Output",
 CellChangeTimes->{3.802190675604557*^9, 3.8022033588654213`*^9},
 CellLabel->"Out[33]=",ExpressionUUID->"516c7483-ad7b-4ce8-b4d9-cbf9bff43a3d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Ei2m", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"lsum", ".", 
      RowBox[{"(", 
       RowBox[{"i2m", "*", "sumnull"}], ")"}], ".", "rsum"}], ")"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802105544206362*^9, 3.8021055473339357`*^9}, {
  3.802176942791656*^9, 3.802176976214958*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"122e8a36-e3ca-4937-a447-87edd5a81442"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"f", " ", 
    RowBox[{"(", 
     RowBox[{"b", "+", 
      RowBox[{"c", " ", "q"}], "-", 
      RowBox[{"b", " ", "r"}]}], ")"}]}], 
   RowBox[{
    RowBox[{"-", "1"}], "+", "g", "+", 
    RowBox[{"h", " ", "q"}], "+", "r", "-", 
    RowBox[{"g", " ", "r"}]}]]}]], "Output",
 CellChangeTimes->{3.802190675611824*^9, 3.802203358923409*^9},
 CellLabel->"Out[34]=",ExpressionUUID->"f5b2be1c-cae7-4d3f-9fd8-e9fa5011f11e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Ed2i", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"lsum", ".", 
      RowBox[{"(", 
       RowBox[{"d2i", "*", "sumnull"}], ")"}], ".", "rsum"}], ")"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8021055525658703`*^9, 3.802105558613998*^9}, {
  3.802176942794677*^9, 3.802176976215597*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"08cd648b-68ef-42d1-9119-ead7c3615788"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"c", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "g"}], ")"}]}], "-", 
      RowBox[{"b", " ", "h"}]}], ")"}], " ", "q", " ", 
    RowBox[{"(", 
     RowBox[{"f", "+", 
      RowBox[{"h", " ", "p"}], "-", 
      RowBox[{"f", " ", "r"}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "g", "+", 
      RowBox[{"h", " ", "q"}], "+", "r", "-", 
      RowBox[{"g", " ", "r"}]}], ")"}], "2"]]}]], "Output",
 CellChangeTimes->{3.802190675673057*^9, 3.8022033590600433`*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"4047714f-27ed-4898-b330-7efd083f8b4f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Ed2m", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"lsum", ".", 
      RowBox[{"(", 
       RowBox[{"d2m", "*", "sumnull"}], ")"}], ".", "rsum"}], ")"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802105567845364*^9, 3.802105569397059*^9}, {
  3.80217694279766*^9, 3.802176976216228*^9}},
 CellLabel->"In[36]:=",ExpressionUUID->"04163d2b-5609-4455-8319-90e4c7cabf54"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"c", "-", 
      RowBox[{"c", " ", "g"}], "+", 
      RowBox[{"b", " ", "h"}]}], ")"}], " ", "p"}], 
   RowBox[{
    RowBox[{"-", "1"}], "+", "g", "+", 
    RowBox[{"h", " ", "q"}], "+", "r", "-", 
    RowBox[{"g", " ", "r"}]}]]}]], "Output",
 CellChangeTimes->{3.802190675681198*^9, 3.80220335912116*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"86ad53ff-c036-417c-ba20-99e7d8da9ee0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Ed2d", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"lsum", ".", 
      RowBox[{"(", 
       RowBox[{"d2d", "*", "sumnull"}], ")"}], ".", "rsum"}], ")"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802105575573048*^9, 3.802105597628499*^9}, {
  3.802116013864811*^9, 3.802116014120123*^9}, {3.802176942800746*^9, 
  3.802176976216859*^9}},
 CellLabel->"In[37]:=",ExpressionUUID->"6a772b02-0b2a-4732-9927-f78e2967259f"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"c", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "g"}], ")"}]}], "-", 
     RowBox[{"b", " ", "h"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "p"}], "-", 
     RowBox[{"f", " ", "q"}]}], ")"}], " ", "r"}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "g", "+", 
     RowBox[{"h", " ", "q"}], "+", "r", "-", 
     RowBox[{"g", " ", "r"}]}], ")"}], "2"]]], "Output",
 CellChangeTimes->{3.8021906757422457`*^9, 3.802203359185526*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"0bca0f7d-fac5-41b3-85d5-12afb9ad8d1d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Em2m", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"lsum", ".", 
      RowBox[{"(", 
       RowBox[{"m2m", "*", "sumnull"}], ")"}], ".", "rsum"}], ")"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802105617435258*^9, 3.8021056216113033`*^9}, {
  3.802116019552752*^9, 3.802116019743856*^9}, {3.802176942803748*^9, 
  3.80217697621749*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"02b3ee9c-2208-4811-a1e3-0f92d7acb2a1"],

Cell[BoxData["a"], "Output",
 CellChangeTimes->{3.802190675751156*^9, 3.802203359192667*^9},
 CellLabel->"Out[38]=",ExpressionUUID->"ad67c5d6-dbf1-456d-9df0-75140549167e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Em2i", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"lsum", ".", 
      RowBox[{"(", 
       RowBox[{"m2i", "*", "sumnull"}], ")"}], ".", "rsum"}], ")"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802105627978487*^9, 3.802105632786714*^9}, {
  3.8021769428067207`*^9, 3.8021769762181187`*^9}},
 CellLabel->"In[39]:=",ExpressionUUID->"fa68a82c-d44b-4176-9087-86b68860904d"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"b", " ", 
    RowBox[{"(", 
     RowBox[{"f", "+", 
      RowBox[{"h", " ", "p"}], "-", 
      RowBox[{"f", " ", "r"}]}], ")"}]}], 
   RowBox[{
    RowBox[{"-", "1"}], "+", "g", "+", 
    RowBox[{"h", " ", "q"}], "+", "r", "-", 
    RowBox[{"g", " ", "r"}]}]]}]], "Output",
 CellChangeTimes->{3.802190675810025*^9, 3.802203359251916*^9},
 CellLabel->"Out[39]=",ExpressionUUID->"a46bbf1e-b68f-4a7d-b82c-531b40f12af6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Em2d", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"lsum", ".", 
      RowBox[{"(", 
       RowBox[{"m2d", "*", "sumnull"}], ")"}], ".", "rsum"}], ")"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8021056400180483`*^9, 3.802105642113855*^9}, {
  3.802176942809697*^9, 3.8021769762187567`*^9}},
 CellLabel->"In[40]:=",ExpressionUUID->"b6ed4a20-ce10-41e7-9a38-2ebbf97e7ada"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"c", " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"g", " ", "p"}], "+", 
      RowBox[{"f", " ", "q"}]}], ")"}]}], 
   RowBox[{
    RowBox[{"-", "1"}], "+", "g", "+", 
    RowBox[{"h", " ", "q"}], "+", "r", "-", 
    RowBox[{"g", " ", "r"}]}]]}]], "Output",
 CellChangeTimes->{3.802190675818712*^9, 3.802203359267441*^9},
 CellLabel->"Out[40]=",ExpressionUUID->"5d07c66b-987a-46b2-9808-516f74927737"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"Em2i", "+", "Ei2i", "+", "Ed2i", "-", "Eins"}], "]"}]], "Input",
 CellChangeTimes->{{3.802105713936331*^9, 3.802105726614429*^9}},
 CellLabel->"In[41]:=",ExpressionUUID->"1ad7db13-f6d8-4bc7-94ac-ab472f48d343"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.802190675877931*^9, 3.8022033593253202`*^9},
 CellLabel->"Out[41]=",ExpressionUUID->"37d544ea-15ae-461d-99c2-300f85c4434e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"Em2d", "+", "Ed2d", "+", "Ei2d", "-", "Edel"}], "]"}]], "Input",
 CellChangeTimes->{{3.802105733030065*^9, 3.802105741621593*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"a542087d-a5a9-4e9f-92be-c4e901f5beea"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.802190675886056*^9, 3.802203359332366*^9},
 CellLabel->"Out[42]=",ExpressionUUID->"854d0c62-a0de-48a5-92d8-2b89568c8261"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"Em2i", "+", "Em2m", "+", "Em2d"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[Rule]", 
      RowBox[{"1", "-", "b", "-", "c"}]}], ",", 
     RowBox[{"g", "\[Rule]", 
      RowBox[{"1", "-", "f", "-", "h"}]}], ",", 
     RowBox[{"r", "\[Rule]", 
      RowBox[{"1", "-", "p", "-", "q"}]}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.802176677970778*^9, 3.802176699288559*^9}, 
   3.802177545827428*^9},
 CellLabel->"In[43]:=",ExpressionUUID->"0078b6c9-d337-404d-8ee1-6b951b62262e"],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{3.802190675938521*^9, 3.802203359390581*^9},
 CellLabel->"Out[43]=",ExpressionUUID->"4df21be9-4148-4397-9c67-7a5f203a84af"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mat2vec", "=", 
  RowBox[{"{", 
   RowBox[{
   "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
    ",", "0"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.802095674617772*^9, 3.802095686281417*^9}, {
   3.802124867551017*^9, 3.802124870510983*^9}, 3.80212491942133*^9},
 CellLabel->"In[44]:=",ExpressionUUID->"f36a55f7-b12c-4a91-9fbf-6c55a00d9885"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.802190675945665*^9, 3.802203359398119*^9},
 CellLabel->"Out[44]=",ExpressionUUID->"92097fc6-c2a0-45e2-b64d-7a64f13250bc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ins2vec", "=", 
  RowBox[{"{", 
   RowBox[{
   "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", 
    ",", "0"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.802095372311797*^9, 3.8020953754705276`*^9}, {
   3.802095435388286*^9, 3.802095452835536*^9}, 3.8021248825507183`*^9},
 CellLabel->"In[45]:=",ExpressionUUID->"dc1fcf94-5405-469c-b6d6-4f932fec11b7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.802190675999694*^9, 3.8022033594563713`*^9},
 CellLabel->"Out[45]=",ExpressionUUID->"90b30378-38d6-4a22-9af9-1ee16a4b69fd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"del2vec", "=", 
  RowBox[{"{", 
   RowBox[{
   "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", 
    ",", "0"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.802095455331955*^9, 3.8020954633308897`*^9}, {
  3.802124876943049*^9, 3.802124888277787*^9}},
 CellLabel->"In[46]:=",ExpressionUUID->"e418edee-f161-4c45-a773-02ebf8dfcea8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.802190676007958*^9, 3.802203359463654*^9},
 CellLabel->"Out[46]=",ExpressionUUID->"b275faaf-d4dd-470a-ba72-049b4739f9bb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"null2vec", "=", 
  RowBox[{"{", 
   RowBox[{
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
    ",", "1"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.802095688234017*^9, 3.8020957069605303`*^9}, 
   3.802124863471313*^9},
 CellLabel->"In[47]:=",ExpressionUUID->"300810cf-fa35-4191-a1d3-e67f11b77f33"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.80219067601499*^9, 3.802203359520014*^9},
 CellLabel->"Out[47]=",ExpressionUUID->"b228e3d2-248d-47f1-86bd-9f7f0a19fc36"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"nottomatch2", "=", 
  RowBox[{"ConstantArray", "[", 
   RowBox[{
    RowBox[{"ins2vec", "+", "del2vec", "+", "null2vec"}], ",", "9"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.8020957398157587`*^9, 3.802095750982732*^9}, {
   3.8020988003114367`*^9, 3.8020988061023273`*^9}, {3.802108929012281*^9, 
   3.802108955016114*^9}, 3.802124851591926*^9, 3.8021763255830307`*^9},
 CellLabel->"In[48]:=",ExpressionUUID->"1be5b30c-e0fd-406d-91f6-5e6e7a68f150"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190676038715*^9, 3.8022033595276413`*^9},
 CellLabel->"Out[48]=",ExpressionUUID->"16e5c623-9e3d-4de6-8f42-7ea8d388a34d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"notfrommatch2", "=", 
  RowBox[{"Transpose", "[", "nottomatch2", "]"}]}]], "Input",
 CellChangeTimes->{{3.802176136075526*^9, 3.802176141769713*^9}, 
   3.8021763255836697`*^9},
 CellLabel->"In[49]:=",ExpressionUUID->"4ca6be7f-54b4-4b80-8d6f-9c37e0682baf"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8021906760455313`*^9, 3.8022033595854673`*^9},
 CellLabel->"Out[49]=",ExpressionUUID->"a1327409-00be-4a05-977d-4f6bbc337973"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tonull2", "=", 
  RowBox[{"ConstantArray", "[", 
   RowBox[{"null2vec", ",", "9"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802176618070238*^9, 3.8021766243240223`*^9}},
 CellLabel->"In[50]:=",ExpressionUUID->"53f54a18-ef61-4cbf-9caf-9cd4a72e893d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190676065941*^9, 3.80220335959302*^9},
 CellLabel->"Out[50]=",ExpressionUUID->"288f1e35-4bdc-41ac-8cce-08392a1444e0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ins2", "=", 
  RowBox[{"DiagonalMatrix", "[", "ins2vec", "]"}]}]], "Input",
 CellChangeTimes->{{3.802096276688848*^9, 3.8020962995606327`*^9}, {
  3.802096382621376*^9, 3.802096418122113*^9}},
 CellLabel->"In[51]:=",ExpressionUUID->"31ec89c5-f134-4ce0-bb95-f2761cdcd0d9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190676073215*^9, 3.802203359600325*^9},
 CellLabel->"Out[51]=",ExpressionUUID->"f3956fd3-b9ed-41c1-8e6f-b8606e6db0d7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"del2", "=", 
  RowBox[{"DiagonalMatrix", "[", "del2vec", "]"}]}]], "Input",
 CellChangeTimes->{{3.802096421371015*^9, 3.8020964252658052`*^9}},
 CellLabel->"In[52]:=",ExpressionUUID->"909dd2ab-f5ea-4f9b-b6bf-6dd5a70e5b10"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190676094439*^9, 3.802203359607744*^9},
 CellLabel->"Out[52]=",ExpressionUUID->"8b13c859-4cea-4b5e-a613-a754622a993e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mat2", "=", 
  RowBox[{"DiagonalMatrix", "[", "mat2vec", "]"}]}]], "Input",
 CellChangeTimes->{{3.802106142406396*^9, 3.8021061457009*^9}},
 CellLabel->"In[53]:=",ExpressionUUID->"ac3875ba-04c5-43fa-be77-ee02ec1cd37c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8021906761023617`*^9, 3.8022033596649323`*^9},
 CellLabel->"Out[53]=",ExpressionUUID->"048fd181-d350-452f-848c-b0ccfa2f3238"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"m2m2", "=", 
  RowBox[{"Outer", "[", 
   RowBox[{"Times", ",", "mat2vec", ",", "mat2vec"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802116037526828*^9, 3.802116040398367*^9}},
 CellLabel->"In[54]:=",ExpressionUUID->"74c9a2f5-53f1-42cb-8d17-3b50ec5e1656"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190676122458*^9, 3.80220335967273*^9},
 CellLabel->"Out[54]=",ExpressionUUID->"fcb5c5e3-33a7-44c3-8b1e-7e4708cbbcb2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"m2i2", "=", 
  RowBox[{"Outer", "[", 
   RowBox[{"Times", ",", "mat2vec", ",", "ins2vec"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802105441731696*^9, 3.802105451561738*^9}, {
  3.802106333182149*^9, 3.802106336852887*^9}},
 CellLabel->"In[55]:=",ExpressionUUID->"ad4ea204-e721-46f7-881e-2c8dc6f7b4ef"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190676129332*^9, 3.802203359729425*^9},
 CellLabel->"Out[55]=",ExpressionUUID->"f446c6c3-1d2e-4fdf-b512-bc289e766fb3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"m2d2", "=", 
  RowBox[{"Outer", "[", 
   RowBox[{"Times", ",", "mat2vec", ",", "del2vec"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8021054533550367`*^9, 3.8021054572815857`*^9}, {
  3.802106339933367*^9, 3.802106342404866*^9}},
 CellLabel->"In[56]:=",ExpressionUUID->"8cd40acf-03db-4481-a5d8-90594af5655f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190676149691*^9, 3.802203359738421*^9},
 CellLabel->"Out[56]=",ExpressionUUID->"3e576247-4293-4f7e-8927-c941f8836d79"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"i2m2", "=", 
  RowBox[{"Outer", "[", 
   RowBox[{"Times", ",", "ins2vec", ",", "mat2vec"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802116073653309*^9, 3.802116078797076*^9}},
 CellLabel->"In[57]:=",ExpressionUUID->"51e3ff66-6d19-4e29-986d-8f1e98acc4ef"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190676156526*^9, 3.802203359796616*^9},
 CellLabel->"Out[57]=",ExpressionUUID->"93886511-2f92-41aa-a1b8-a685d6167811"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"i2i2", "=", 
  RowBox[{"Outer", "[", 
   RowBox[{"Times", ",", "ins2vec", ",", "ins2vec"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802116086740409*^9, 3.802116089884301*^9}},
 CellLabel->"In[58]:=",ExpressionUUID->"a6016598-701a-49e2-a860-d2329685c052"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190676163076*^9, 3.8022033598047123`*^9},
 CellLabel->"Out[58]=",ExpressionUUID->"2757fd61-aa18-48f9-b191-c71337261f21"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"i2d2", "=", 
  RowBox[{"Outer", "[", 
   RowBox[{"Times", ",", "ins2vec", ",", "del2vec"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802105335375757*^9, 3.802105353534397*^9}, {
   3.802106183428707*^9, 3.802106211804003*^9}, 3.8021063721010113`*^9},
 CellLabel->"In[59]:=",ExpressionUUID->"9c21632e-be0b-4c96-8aba-979f0ca1ec7c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190676170212*^9, 3.802203359863892*^9},
 CellLabel->"Out[59]=",ExpressionUUID->"59c61e2f-5a3c-4e7c-a9c2-59e7928ca542"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"d2m2", "=", 
  RowBox[{"Outer", "[", 
   RowBox[{"Times", ",", "del2vec", ",", "mat2vec"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802105470842339*^9, 3.802105477184836*^9}, 
   3.802106193619533*^9, {3.802106231226858*^9, 3.802106232433909*^9}, {
   3.802116113972739*^9, 3.8021161142855587`*^9}},
 CellLabel->"In[60]:=",ExpressionUUID->"f1fa778a-64e8-4c88-9edd-047c54ce23e2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190676189967*^9, 3.8022033598717318`*^9},
 CellLabel->"Out[60]=",ExpressionUUID->"faf9d32d-d464-4baf-a2b5-b7d7c30d3e65"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"d2i2", "=", 
  RowBox[{"Outer", "[", 
   RowBox[{"Times", ",", "del2vec", ",", "ins2vec"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8021161226349707`*^9, 3.802116136482944*^9}},
 CellLabel->"In[61]:=",ExpressionUUID->"11dcbda2-fe4f-4bc4-bd93-c72636660c82"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190676198518*^9, 3.802203359929393*^9},
 CellLabel->"Out[61]=",ExpressionUUID->"eafaec4c-e76f-490e-9a80-a9ddfb90ca5e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"d2d2", "=", 
  RowBox[{"Outer", "[", 
   RowBox[{"Times", ",", "del2vec", ",", "del2vec"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802116125995121*^9, 3.802116131179431*^9}},
 CellLabel->"In[62]:=",ExpressionUUID->"fd0d9b7f-131b-43bc-81c8-ad6325baf68b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190676218939*^9, 3.8022033599381933`*^9},
 CellLabel->"Out[62]=",ExpressionUUID->"59d69b3f-a7df-4199-a2df-b0c1b1128c24"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"lsum2", "=", 
  RowBox[{"Inverse", "[", 
   RowBox[{
    RowBox[{"IdentityMatrix", "[", "9", "]"}], "-", 
    RowBox[{"t2", "*", "nottomatch2"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802095928216168*^9, 3.802095949910207*^9}, 
   3.802098804175783*^9, 3.802124853039611*^9, 3.8021763255875063`*^9, 
   3.802176497632799*^9},
 CellLabel->"In[63]:=",ExpressionUUID->"f5489dff-0d75-43c4-b79a-7c452a4c45c5"],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"1", ",", 
             FractionBox[
              RowBox[{"dt", " ", "lambda"}], 
              RowBox[{"1", "-", "x"}]], ",", 
             TemplateBox[{"5"},
              "OutputSizeLimit`Skeleton"], ",", 
             FractionBox[
              RowBox[{
               RowBox[{"dt", " ", "h", " ", 
                TemplateBox[{"6"},
                 "OutputSizeLimit`Skeleton"], " ", 
                RowBox[{"(", 
                 RowBox[{
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton"], "+", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton"]}], ")"}]}], "+", 
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton"]}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "-", "x"}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton"], "+", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton"]}], ")"}]}]], ",", 
             FractionBox[
              RowBox[{
               RowBox[{
                RowBox[{"-", "q"}], " ", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "x"}], ")"}], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"h", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"b", " ", 
                    SuperscriptBox["dt", "2"], " ", "lambda", " ", "mu"}], 
                    "+", 
                    RowBox[{"c", " ", 
                    SuperscriptBox["dt", "2"], " ", "lambda", " ", "mu", " ", 
                    "q"}], "-", 
                    RowBox[{"2", " ", "b", " ", 
                    SuperscriptBox["dt", "2"], " ", "lambda", " ", "mu", " ", 
                    "r"}], "-", 
                    RowBox[{"c", " ", 
                    SuperscriptBox["dt", "2"], " ", "lambda", " ", "mu", " ", 
                    "q", " ", "r"}], "+", 
                    RowBox[{"b", " ", 
                    SuperscriptBox["dt", "2"], " ", "lambda", " ", "mu", " ", 
                    
                    SuperscriptBox["r", "2"]}]}], ")"}], " ", 
                   RowBox[{"(", 
                    RowBox[{"1", "-", "x"}], ")"}]}], "+", 
                  RowBox[{"c", " ", 
                   RowBox[{"(", 
                    RowBox[{"1", "-", "x"}], ")"}], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    SuperscriptBox["dt", "2"]}], " ", "g", " ", "lambda", " ",
                     "mu"}], "-", 
                    RowBox[{
                    SuperscriptBox["dt", "2"], " ", "h", " ", "lambda", " ", 
                    "mu", " ", "q"}], "+", 
                    RowBox[{"2", " ", 
                    SuperscriptBox["dt", "2"], " ", "g", " ", "lambda", " ", 
                    "mu", " ", "r"}], "+", 
                    TemplateBox[{"23"},
                    "OutputSizeLimit`Skeleton"], "+", 
                    RowBox[{"a", " ", 
                    SuperscriptBox["dt", "2"], " ", "g", " ", "lambda", " ", 
                    "mu", " ", 
                    SuperscriptBox["r", "2"], " ", "y"}]}], ")"}]}]}], 
                 ")"}]}], "-", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"1", "-", "r"}], ")"}], " ", 
                RowBox[{"(", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton"], ")"}]}]}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "-", "x"}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "dt"}], " ", "h", " ", "lambda", " ", "q", " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "-", "r"}], ")"}], " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "-", "x"}], ")"}], " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "-", "r", "-", 
                    RowBox[{"a", " ", "y"}], "-", 
                    RowBox[{"g", " ", "y"}], "-", 
                    RowBox[{"c", " ", "p", " ", "y"}], "-", 
                    RowBox[{"h", " ", "q", " ", "y"}], "+", 
                    RowBox[{"a", " ", "r", " ", "y"}], "+", 
                    RowBox[{"g", " ", "r", " ", "y"}], "-", 
                    RowBox[{"b", " ", "f", " ", 
                    SuperscriptBox["y", "2"]}], "+", 
                    RowBox[{"a", " ", "g", " ", 
                    SuperscriptBox["y", "2"]}], "+", 
                    RowBox[{"c", " ", "g", " ", "p", " ", 
                    SuperscriptBox["y", "2"]}], "-", 
                    RowBox[{"b", " ", "h", " ", "p", " ", 
                    SuperscriptBox["y", "2"]}], "-", 
                    RowBox[{"c", " ", "f", " ", "q", " ", 
                    SuperscriptBox["y", "2"]}], "+", 
                    RowBox[{"a", " ", "h", " ", "q", " ", 
                    SuperscriptBox["y", "2"]}], "+", 
                    RowBox[{"b", " ", "f", " ", "r", " ", 
                    SuperscriptBox["y", "2"]}], "-", 
                    RowBox[{"a", " ", "g", " ", "r", " ", 
                    SuperscriptBox["y", "2"]}]}], ")"}]}], "+", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"1", "-", "r"}], ")"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "h"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", "x"}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"b", " ", "dt", " ", "mu", " ", "p"}], "+", 
                    TemplateBox[{"75"},
                    "OutputSizeLimit`Skeleton"], "+", 
                    RowBox[{
                    "a", " ", "dt", " ", "g", " ", "lambda", " ", "q", " ", 
                    "r", " ", 
                    SuperscriptBox["y", "2"]}]}], ")"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "-", "r"}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"]}], ")"}]}]}], ")"}]}]}], 
                ")"}]}]]}], "}"}], ",", 
           TemplateBox[{"7"},
            "OutputSizeLimit`Skeleton"], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             TemplateBox[{"7"},
              "OutputSizeLimit`Skeleton"], ",", 
             TemplateBox[{"1"},
              "OutputSizeLimit`Skeleton"]}], "}"}]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          PaneBox[
           TagBox[
            TooltipBox[
             StyleBox[
              StyleBox[
               DynamicBox[ToBoxes[
                 FEPrivate`FrontEndResource[
                 "FEStrings", "sizeBriefExplanation"], StandardForm],
                ImageSizeCache->{59., {2., 8.}}],
               StripOnInput->False,
               DynamicUpdating->True,
               LineSpacing->{1, 2},
               LineIndent->0,
               LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLText",
              StripOnInput->False],
             StyleBox[
              DynamicBox[
               ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
                StandardForm]], DynamicUpdating -> True, LineIndent -> 0, 
              LinebreakAdjustments -> {1., 100, 0, 0, 0}, 
              LineSpacing -> {1, 2}, StripOnInput -> False]],
            Annotation[#, 
             Style[
              Dynamic[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
              DynamicUpdating -> True, LineIndent -> 0, 
              LinebreakAdjustments -> {1., 100, 0, 0, 0}, 
              LineSpacing -> {1, 2}], "Tooltip"]& ],
           Alignment->Center,
           BaselinePosition->Baseline,
           ImageSize->{Automatic, {25, Full}}], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{51., {0., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, {25, Full}}],
           Appearance->None,
           BaselinePosition->Baseline,
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 63, 19785441548232610149, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{56., {0., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, {25, Full}}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 63, 19785441548232610149, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{42., {0., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, {25, Full}}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 63, 19785441548232610149, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{77., {0., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, {25, Full}}],
           Appearance->None,
           BaselinePosition->Baseline,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Advanced"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{1.}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    BaseStyle->"OutputSizeLimit",
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  If[19785441548232610149 === $SessionID, 
   Out[63], Message[
     MessageName[Syntax, "noinfoker"]]; Missing["NotAvailable"]; 
   Null]]], "Output",
 CellChangeTimes->{3.8021906764253893`*^9, 3.802203360184236*^9},
 CellLabel->"Out[63]=",ExpressionUUID->"852d52ea-b1fc-42ef-90ba-9c1d8563259c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sumnull2", "=", 
  RowBox[{
   RowBox[{"Inverse", "[", 
    RowBox[{
     RowBox[{"IdentityMatrix", "[", "9", "]"}], "-", 
     RowBox[{"t2", "*", "tonull2"}]}], "]"}], ".", "t2"}]}]], "Input",
 CellChangeTimes->{
  3.802124855095921*^9, {3.8021768181967077`*^9, 3.802176818835268*^9}, 
   3.802176976219425*^9, {3.802177221498681*^9, 3.802177232720211*^9}},
 CellLabel->"In[64]:=",ExpressionUUID->"bf4c3976-cd61-4fee-94de-be44c3edd5d5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"a", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"dt", " ", 
          RowBox[{"(", 
           RowBox[{"lambda", "+", "mu"}], ")"}]}]}], ")"}]}], "+", 
      FractionBox[
       RowBox[{"b", " ", "dt", " ", "f", " ", "mu", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "y"}], ")"}]}], 
       RowBox[{"1", "-", 
        RowBox[{"g", " ", "y"}]}]]}], ",", 
     RowBox[{"dt", " ", "lambda"}], ",", 
     RowBox[{
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"dt", " ", 
          RowBox[{"(", 
           RowBox[{"lambda", "+", "mu"}], ")"}]}]}], ")"}]}], "+", 
      FractionBox[
       RowBox[{"b", " ", "dt", " ", "g", " ", "mu", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "y"}], ")"}]}], 
       RowBox[{"1", "-", 
        RowBox[{"g", " ", "y"}]}]]}], ",", "0", ",", 
     RowBox[{
      RowBox[{"a", " ", "dt", " ", "mu"}], "+", 
      FractionBox[
       RowBox[{"b", " ", "dt", " ", "f", " ", "mu", " ", "y"}], 
       RowBox[{"1", "-", 
        RowBox[{"g", " ", "y"}]}]]}], ",", "c", ",", 
     FractionBox[
      RowBox[{"b", " ", "dt", " ", "h", " ", "mu"}], 
      RowBox[{"1", "-", 
       RowBox[{"g", " ", "y"}]}]], ",", "0", ",", 
     RowBox[{
      RowBox[{"b", " ", "dt", " ", "mu"}], "+", 
      FractionBox[
       RowBox[{"b", " ", "dt", " ", "g", " ", "mu", " ", "y"}], 
       RowBox[{"1", "-", 
        RowBox[{"g", " ", "y"}]}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "x"}], ")"}]}], ",", "x", ",", 
     RowBox[{"b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "x"}], ")"}]}], ",", "0", ",", "0", ",", "0", ",", 
     "0", ",", "c", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"f", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"dt", " ", 
          RowBox[{"(", 
           RowBox[{"lambda", "+", "mu"}], ")"}]}]}], ")"}]}], "+", 
      FractionBox[
       RowBox[{"dt", " ", "f", " ", "g", " ", "mu", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "y"}], ")"}]}], 
       RowBox[{"1", "-", 
        RowBox[{"g", " ", "y"}]}]]}], ",", "0", ",", 
     RowBox[{
      RowBox[{"g", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"dt", " ", 
          RowBox[{"(", 
           RowBox[{"lambda", "+", "mu"}], ")"}]}]}], ")"}]}], "+", 
      FractionBox[
       RowBox[{"dt", " ", 
        SuperscriptBox["g", "2"], " ", "mu", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "y"}], ")"}]}], 
       RowBox[{"1", "-", 
        RowBox[{"g", " ", "y"}]}]]}], ",", 
     RowBox[{"dt", " ", "lambda"}], ",", 
     RowBox[{
      RowBox[{"dt", " ", "f", " ", "mu"}], "+", 
      FractionBox[
       RowBox[{"dt", " ", "f", " ", "g", " ", "mu", " ", "y"}], 
       RowBox[{"1", "-", 
        RowBox[{"g", " ", "y"}]}]]}], ",", "h", ",", 
     FractionBox[
      RowBox[{"dt", " ", "g", " ", "h", " ", "mu"}], 
      RowBox[{"1", "-", 
       RowBox[{"g", " ", "y"}]}]], ",", "0", ",", 
     RowBox[{
      RowBox[{"dt", " ", "g", " ", "mu"}], "+", 
      FractionBox[
       RowBox[{"dt", " ", 
        SuperscriptBox["g", "2"], " ", "mu", " ", "y"}], 
       RowBox[{"1", "-", 
        RowBox[{"g", " ", "y"}]}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "x"}], ")"}]}], ",", "0", ",", 
     RowBox[{"g", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "x"}], ")"}]}], ",", "x", ",", "0", ",", "0", ",", 
     "0", ",", "h", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"a", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "y"}], ")"}]}], "+", 
      FractionBox[
       RowBox[{"b", " ", "f", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "y"}], ")"}], " ", "y"}], 
       RowBox[{"1", "-", 
        RowBox[{"g", " ", "y"}]}]]}], ",", "0", ",", 
     RowBox[{
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "y"}], ")"}]}], "+", 
      FractionBox[
       RowBox[{"b", " ", "g", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "y"}], ")"}], " ", "y"}], 
       RowBox[{"1", "-", 
        RowBox[{"g", " ", "y"}]}]]}], ",", "0", ",", 
     RowBox[{
      RowBox[{"a", " ", "y"}], "+", 
      FractionBox[
       RowBox[{"b", " ", "f", " ", 
        SuperscriptBox["y", "2"]}], 
       RowBox[{"1", "-", 
        RowBox[{"g", " ", "y"}]}]]}], ",", "0", ",", 
     RowBox[{"c", "+", 
      FractionBox[
       RowBox[{"b", " ", "h", " ", "y"}], 
       RowBox[{"1", "-", 
        RowBox[{"g", " ", "y"}]}]]}], ",", "0", ",", 
     RowBox[{
      RowBox[{"b", " ", "y"}], "+", 
      FractionBox[
       RowBox[{"b", " ", "g", " ", 
        SuperscriptBox["y", "2"]}], 
       RowBox[{"1", "-", 
        RowBox[{"g", " ", "y"}]}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"dt", " ", 
          RowBox[{"(", 
           RowBox[{"lambda", "+", "mu"}], ")"}]}]}], ")"}], " ", "p"}], "+", 
      FractionBox[
       RowBox[{"dt", " ", "f", " ", "mu", " ", "q", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "y"}], ")"}]}], 
       RowBox[{"1", "-", 
        RowBox[{"g", " ", "y"}]}]]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"dt", " ", 
          RowBox[{"(", 
           RowBox[{"lambda", "+", "mu"}], ")"}]}]}], ")"}], " ", "q"}], "+", 
      FractionBox[
       RowBox[{"dt", " ", "g", " ", "mu", " ", "q", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "y"}], ")"}]}], 
       RowBox[{"1", "-", 
        RowBox[{"g", " ", "y"}]}]]}], ",", "0", ",", 
     RowBox[{
      RowBox[{"dt", " ", "mu", " ", "p"}], "+", 
      FractionBox[
       RowBox[{"dt", " ", "f", " ", "mu", " ", "q", " ", "y"}], 
       RowBox[{"1", "-", 
        RowBox[{"g", " ", "y"}]}]]}], ",", "r", ",", 
     FractionBox[
      RowBox[{"dt", " ", "h", " ", "mu", " ", "q"}], 
      RowBox[{"1", "-", 
       RowBox[{"g", " ", "y"}]}]], ",", "0", ",", 
     RowBox[{
      RowBox[{"dt", " ", "mu", " ", "q"}], "+", 
      FractionBox[
       RowBox[{"dt", " ", "g", " ", "mu", " ", "q", " ", "y"}], 
       RowBox[{"1", "-", 
        RowBox[{"g", " ", "y"}]}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "y"}], ")"}]}], "+", 
      FractionBox[
       RowBox[{"f", " ", "q", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "y"}], ")"}], " ", "y"}], 
       RowBox[{"1", "-", 
        RowBox[{"g", " ", "y"}]}]]}], ",", "0", ",", 
     RowBox[{
      RowBox[{"q", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "y"}], ")"}]}], "+", 
      FractionBox[
       RowBox[{"g", " ", "q", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "y"}], ")"}], " ", "y"}], 
       RowBox[{"1", "-", 
        RowBox[{"g", " ", "y"}]}]]}], ",", "0", ",", 
     RowBox[{
      RowBox[{"p", " ", "y"}], "+", 
      FractionBox[
       RowBox[{"f", " ", "q", " ", 
        SuperscriptBox["y", "2"]}], 
       RowBox[{"1", "-", 
        RowBox[{"g", " ", "y"}]}]]}], ",", "0", ",", 
     RowBox[{"r", "+", 
      FractionBox[
       RowBox[{"h", " ", "q", " ", "y"}], 
       RowBox[{"1", "-", 
        RowBox[{"g", " ", "y"}]}]]}], ",", "0", ",", 
     RowBox[{
      RowBox[{"q", " ", "y"}], "+", 
      FractionBox[
       RowBox[{"g", " ", "q", " ", 
        SuperscriptBox["y", "2"]}], 
       RowBox[{"1", "-", 
        RowBox[{"g", " ", "y"}]}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"p", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "x"}], ")"}]}], ",", "0", ",", 
     RowBox[{"q", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "x"}], ")"}]}], ",", "0", ",", "0", ",", "0", ",", 
     "0", ",", "r", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      RowBox[{"f", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "y"}], ")"}]}], 
      RowBox[{"1", "-", 
       RowBox[{"g", " ", "y"}]}]], ",", "0", ",", 
     FractionBox[
      RowBox[{"g", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "y"}], ")"}]}], 
      RowBox[{"1", "-", 
       RowBox[{"g", " ", "y"}]}]], ",", "0", ",", 
     FractionBox[
      RowBox[{"f", " ", "y"}], 
      RowBox[{"1", "-", 
       RowBox[{"g", " ", "y"}]}]], ",", "0", ",", 
     FractionBox["h", 
      RowBox[{"1", "-", 
       RowBox[{"g", " ", "y"}]}]], ",", "0", ",", 
     FractionBox[
      RowBox[{"g", " ", "y"}], 
      RowBox[{"1", "-", 
       RowBox[{"g", " ", "y"}]}]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190676463945*^9, 3.802203360263006*^9},
 CellLabel->"Out[64]=",ExpressionUUID->"706e844c-c70e-4bb6-8cab-ca73b26b0172"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"rsum2", "=", 
  RowBox[{"Inverse", "[", 
   RowBox[{
    RowBox[{"IdentityMatrix", "[", "9", "]"}], "-", 
    RowBox[{"t2", "*", "notfrommatch2"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802114629303739*^9, 3.802114635811104*^9}, {
   3.802149395651939*^9, 3.8021494019778233`*^9}, {3.802176250015131*^9, 
   3.802176260140958*^9}, 3.802176427709515*^9, {3.8021764852502317`*^9, 
   3.8021764858582783`*^9}},
 CellLabel->"In[65]:=",ExpressionUUID->"f8b4b46d-f08f-46ae-9e7f-7688aa01437c"],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
            "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
             ",", "0", ",", "0"}], "}"}], ",", 
           TemplateBox[{"7"},
            "OutputSizeLimit`Skeleton"], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", 
              FractionBox[
               RowBox[{
                RowBox[{
                 RowBox[{"-", "dt"}], " ", "h", " ", "lambda", " ", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "r"}], ")"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"q", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", "x"}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "f"}], "-", 
                    RowBox[{"h", " ", "p"}], "+", 
                    RowBox[{"f", " ", "r"}], "+", 
                    RowBox[{"f", " ", "y"}], "+", 
                    RowBox[{"h", " ", "p", " ", "y"}], "-", 
                    RowBox[{"f", " ", "r", " ", "y"}]}], ")"}]}], "-", 
                   RowBox[{"p", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", "x"}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "g"}], "-", 
                    RowBox[{"h", " ", "q"}], "+", 
                    RowBox[{"g", " ", "r"}], "-", 
                    RowBox[{"b", " ", "f", " ", "y"}], "+", 
                    RowBox[{"g", " ", "y"}], "+", 
                    RowBox[{"a", " ", "g", " ", "y"}], "+", 
                    RowBox[{"c", " ", "g", " ", "p", " ", "y"}], "-", 
                    RowBox[{"b", " ", "h", " ", "p", " ", "y"}], "-", 
                    RowBox[{"c", " ", "f", " ", "q", " ", "y"}], "+", 
                    RowBox[{"h", " ", "q", " ", "y"}], "+", 
                    RowBox[{"a", " ", "h", " ", "q", " ", "y"}], "+", 
                    RowBox[{"b", " ", "f", " ", "r", " ", "y"}], "-", 
                    RowBox[{"g", " ", "r", " ", "y"}], "-", 
                    RowBox[{"a", " ", "g", " ", "r", " ", "y"}], "+", 
                    RowBox[{"b", " ", "f", " ", 
                    SuperscriptBox["y", "2"]}], "-", 
                    RowBox[{"a", " ", "g", " ", 
                    SuperscriptBox["y", "2"]}], "-", 
                    RowBox[{"c", " ", "g", " ", "p", " ", 
                    SuperscriptBox["y", "2"]}], "+", 
                    RowBox[{"b", " ", "h", " ", "p", " ", 
                    SuperscriptBox["y", "2"]}], "+", 
                    RowBox[{"c", " ", "f", " ", "q", " ", 
                    SuperscriptBox["y", "2"]}], "-", 
                    RowBox[{"a", " ", "h", " ", "q", " ", 
                    SuperscriptBox["y", "2"]}], "-", 
                    RowBox[{"b", " ", "f", " ", "r", " ", 
                    SuperscriptBox["y", "2"]}], "+", 
                    RowBox[{"a", " ", "g", " ", "r", " ", 
                    SuperscriptBox["y", "2"]}]}], ")"}]}]}], ")"}]}], "-", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", "r"}], ")"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", "r"}], ")"}]}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"]}], "-", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"]}], ")"}]}]}], 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "dt"}], " ", "h", " ", "lambda", " ", "q", " ", 
                 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "r"}], ")"}], " ", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "x"}], ")"}], " ", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "r", "-", 
                   RowBox[{"a", " ", "y"}], "-", 
                   RowBox[{"g", " ", "y"}], "-", 
                   RowBox[{"c", " ", "p", " ", "y"}], "-", 
                   RowBox[{"h", " ", "q", " ", "y"}], "+", 
                   RowBox[{"a", " ", "r", " ", "y"}], "+", 
                   RowBox[{"g", " ", "r", " ", "y"}], "-", 
                   RowBox[{"b", " ", "f", " ", 
                    SuperscriptBox["y", "2"]}], "+", 
                   RowBox[{"a", " ", "g", " ", 
                    SuperscriptBox["y", "2"]}], "+", 
                   RowBox[{"c", " ", "g", " ", "p", " ", 
                    SuperscriptBox["y", "2"]}], "-", 
                   RowBox[{"b", " ", "h", " ", "p", " ", 
                    SuperscriptBox["y", "2"]}], "-", 
                   RowBox[{"c", " ", "f", " ", "q", " ", 
                    SuperscriptBox["y", "2"]}], "+", 
                   RowBox[{"a", " ", "h", " ", "q", " ", 
                    SuperscriptBox["y", "2"]}], "+", 
                   RowBox[{"b", " ", "f", " ", "r", " ", 
                    SuperscriptBox["y", "2"]}], "-", 
                   RowBox[{"a", " ", "g", " ", "r", " ", 
                    SuperscriptBox["y", "2"]}]}], ")"}]}], "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", "r"}], ")"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"-", "h"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", "x"}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"b", " ", "dt", " ", "mu", " ", "p"}], "+", 
                    TemplateBox[{"75"},
                    "OutputSizeLimit`Skeleton"], "+", 
                    RowBox[{
                    "a", " ", "dt", " ", "g", " ", "lambda", " ", "q", " ", 
                    "r", " ", 
                    SuperscriptBox["y", "2"]}]}], ")"}]}], "+", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "-", "r"}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"g", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", "x"}], ")"}], " ", 
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"], ")"}]}], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"]}], ")"}]}]}], ")"}]}]}]]}], 
             ",", 
             TemplateBox[{"7"},
              "OutputSizeLimit`Skeleton"], ",", 
             FractionBox[
              RowBox[{"q", " ", 
               RowBox[{"(", 
                TemplateBox[{"1"},
                 "OutputSizeLimit`Skeleton"], ")"}], " ", 
               RowBox[{"(", 
                TemplateBox[{"1"},
                 "OutputSizeLimit`Skeleton"], ")"}], 
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton"], 
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton"]}], 
              RowBox[{
               RowBox[{
                RowBox[{"-", "dt"}], " ", 
                TemplateBox[{"6"},
                 "OutputSizeLimit`Skeleton"]}], "+", 
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton"]}]]}], "}"}]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          PaneBox[
           TagBox[
            TooltipBox[
             StyleBox[
              StyleBox[
               DynamicBox[ToBoxes[
                 FEPrivate`FrontEndResource[
                 "FEStrings", "sizeBriefExplanation"], StandardForm],
                ImageSizeCache->{59., {2., 8.}}],
               StripOnInput->False,
               DynamicUpdating->True,
               LineSpacing->{1, 2},
               LineIndent->0,
               LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLText",
              StripOnInput->False],
             StyleBox[
              DynamicBox[
               ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
                StandardForm]], DynamicUpdating -> True, LineIndent -> 0, 
              LinebreakAdjustments -> {1., 100, 0, 0, 0}, 
              LineSpacing -> {1, 2}, StripOnInput -> False]],
            Annotation[#, 
             Style[
              Dynamic[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
              DynamicUpdating -> True, LineIndent -> 0, 
              LinebreakAdjustments -> {1., 100, 0, 0, 0}, 
              LineSpacing -> {1, 2}], "Tooltip"]& ],
           Alignment->Center,
           BaselinePosition->Baseline,
           ImageSize->{Automatic, {25, Full}}], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{51., {0., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, {25, Full}}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 65, 19785441548232610149, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{56., {0., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, {25, Full}}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 65, 19785441548232610149, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{42., {0., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, {25, Full}}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 65, 19785441548232610149, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{77., {0., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, {25, Full}}],
           Appearance->None,
           BaselinePosition->Baseline,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Advanced"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{1.}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    BaseStyle->"OutputSizeLimit",
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  If[19785441548232610149 === $SessionID, 
   Out[65], Message[
     MessageName[Syntax, "noinfoker"]]; Missing["NotAvailable"]; 
   Null]]], "Output",
 CellChangeTimes->{3.802190676676992*^9, 3.802203360479917*^9},
 CellLabel->"Out[65]=",ExpressionUUID->"dc9fa807-a995-4d93-90be-bb898e7c6022"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dm2m", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Series", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"lsum2", ".", 
          RowBox[{"(", 
           RowBox[{"m2m2", "*", "sumnull2"}], ")"}], ".", "rsum2"}], ")"}], 
        "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "1"}], "]"}], "]"}], "-", "Em2m"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"a", "\[Rule]", 
         RowBox[{"1", "-", "b", "-", "c"}]}], ",", 
        RowBox[{"g", "\[Rule]", 
         RowBox[{"1", "-", "f", "-", "h"}]}], ",", 
        RowBox[{"r", "\[Rule]", 
         RowBox[{"1", "-", "p", "-", "q"}]}]}], "}"}]}], ",", 
     RowBox[{"dt", "\[Rule]", "0"}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802114629303739*^9, 3.802114636923142*^9}, {
   3.802116149612438*^9, 3.802116149914482*^9}, {3.802176250018323*^9, 
   3.802176260144112*^9}, 3.802176497633848*^9, 3.8021768313426113`*^9, {
   3.802179625995274*^9, 3.802179644601152*^9}},
 CellLabel->"In[66]:=",ExpressionUUID->"b3ec8669-38d9-43df-9147-0f2a720b9487"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "b", "+", "c"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"lambda", "+", "mu"}], ")"}]}], "-", 
      FractionBox[
       RowBox[{"b", " ", "f", " ", "mu", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "y"}], ")"}]}], 
       RowBox[{"1", "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "f", "+", "h"}], ")"}], " ", "y"}]}]]}], 
     ")"}], " ", "dt"}], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "dt", "]"}], "2"],
    SeriesData[$CellContext`dt, 0, {}, 1, 2, 1],
    Editable->False]}],
  SeriesData[$CellContext`dt, 
   0, {(-1 + $CellContext`b + $CellContext`c) ($CellContext`lambda + \
$CellContext`mu) - $CellContext`b $CellContext`f $CellContext`mu (-1 + \
$CellContext`y)/(1 + (-1 + $CellContext`f + $CellContext`h) $CellContext`y)}, 
   1, 2, 1],
  Editable->False]], "Output",
 CellChangeTimes->{3.802190676712941*^9, 3.8022033607941713`*^9},
 CellLabel->"Out[66]=",ExpressionUUID->"fb7a8f4d-56cd-475c-896a-0662d280ea6a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dm2i", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Series", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"lsum2", ".", 
          RowBox[{"(", 
           RowBox[{"m2i2", "*", "sumnull2"}], ")"}], ".", "rsum2"}], ")"}], 
        "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "1"}], "]"}], "]"}], "-", "Em2i"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"a", "\[Rule]", 
         RowBox[{"1", "-", "b", "-", "c"}]}], ",", 
        RowBox[{"g", "\[Rule]", 
         RowBox[{"1", "-", "f", "-", "h"}]}], ",", 
        RowBox[{"r", "\[Rule]", 
         RowBox[{"1", "-", "p", "-", "q"}]}]}], "}"}]}], ",", 
     RowBox[{"dt", "\[Rule]", "0"}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802114629303739*^9, 3.802114637788313*^9}, {
   3.802176250021483*^9, 3.8021762601475077`*^9}, 3.802176497634742*^9, 
   3.802176831345834*^9, {3.802179633458609*^9, 3.802179647088849*^9}},
 CellLabel->"In[67]:=",ExpressionUUID->"d53fafbb-84d7-4fa3-9fac-74d1dd5e0460"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"lambda", "-", 
      RowBox[{"b", " ", "lambda"}], "-", 
      FractionBox[
       RowBox[{"b", " ", 
        RowBox[{"(", 
         RowBox[{"f", "+", "h"}], ")"}], " ", "mu"}], 
       RowBox[{"1", "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "f", "+", "h"}], ")"}], " ", "y"}]}]]}], 
     ")"}], " ", "dt"}], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "dt", "]"}], "2"],
    SeriesData[$CellContext`dt, 0, {}, 1, 2, 1],
    Editable->False]}],
  SeriesData[$CellContext`dt, 
   0, {$CellContext`lambda - $CellContext`b $CellContext`lambda - \
$CellContext`b ($CellContext`f + $CellContext`h) $CellContext`mu/(
    1 + (-1 + $CellContext`f + $CellContext`h) $CellContext`y)}, 1, 2, 1],
  Editable->False]], "Output",
 CellChangeTimes->{3.802190676747164*^9, 3.80220336161126*^9},
 CellLabel->"Out[67]=",ExpressionUUID->"093eee2c-5757-4092-80ff-a2f1723dbb06"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dm2d", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Series", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"lsum2", ".", 
          RowBox[{"(", 
           RowBox[{"m2d2", "*", "sumnull2"}], ")"}], ".", "rsum2"}], ")"}], 
        "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "1"}], "]"}], "]"}], "-", "Em2d"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"a", "\[Rule]", 
         RowBox[{"1", "-", "b", "-", "c"}]}], ",", 
        RowBox[{"g", "\[Rule]", 
         RowBox[{"1", "-", "f", "-", "h"}]}], ",", 
        RowBox[{"r", "\[Rule]", 
         RowBox[{"1", "-", "p", "-", "q"}]}]}], "}"}]}], ",", 
     RowBox[{"dt", "\[Rule]", "0"}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802114629303739*^9, 3.8021146383150454`*^9}, {
   3.802176250024643*^9, 3.802176260150774*^9}, 3.8021764976355743`*^9, 
   3.8021768313489923`*^9, {3.802179634706581*^9, 3.802179648754999*^9}},
 CellLabel->"In[68]:=",ExpressionUUID->"28db9226-c869-454b-b665-88e728cae534"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "c"}], " ", 
       RowBox[{"(", 
        RowBox[{"lambda", "+", "mu"}], ")"}]}], "+", 
      FractionBox[
       RowBox[{"mu", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "f", "+", "h"}], ")"}], " ", "y"}], "+", 
          RowBox[{"b", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "h", "+", "y", "-", 
             RowBox[{"h", " ", "y"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"1", "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "f", "+", "h"}], ")"}], " ", "y"}]}]]}], 
     ")"}], " ", "dt"}], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "dt", "]"}], "2"],
    SeriesData[$CellContext`dt, 0, {}, 1, 2, 1],
    Editable->False]}],
  SeriesData[$CellContext`dt, 
   0, {-$CellContext`c ($CellContext`lambda + $CellContext`mu) + \
$CellContext`mu (
       1 + (-1 + $CellContext`f + $CellContext`h) $CellContext`y)^(-1) (
      1 + (-1 + $CellContext`f + $CellContext`h) $CellContext`y + \
$CellContext`b (-1 + $CellContext`h + $CellContext`y - $CellContext`h \
$CellContext`y))}, 1, 2, 1],
  Editable->False]], "Output",
 CellChangeTimes->{3.80219067680976*^9, 3.802203362646244*^9},
 CellLabel->"Out[68]=",ExpressionUUID->"a8dbbd09-2c23-4126-a5b1-49c80cf5c5dc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Di2i", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Series", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"lsum2", ".", 
          RowBox[{"(", 
           RowBox[{"i2i2", "*", "sumnull2"}], ")"}], ".", "rsum2"}], ")"}], 
        "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "1"}], "]"}], "]"}], "-", "Ei2i"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"a", "\[Rule]", 
         RowBox[{"1", "-", "b", "-", "c"}]}], ",", 
        RowBox[{"g", "\[Rule]", 
         RowBox[{"1", "-", "f", "-", "h"}]}], ",", 
        RowBox[{"r", "\[Rule]", 
         RowBox[{"1", "-", "p", "-", "q"}]}]}], "}"}]}], ",", 
     RowBox[{"dt", "\[Rule]", "0"}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802114629303739*^9, 3.8021146390906076`*^9}, {
   3.802116152475383*^9, 3.802116152753338*^9}, {3.802176250027774*^9, 
   3.802176260153891*^9}, 3.8021764976363783`*^9, 3.802176831352153*^9, {
   3.8021796356107817`*^9, 3.802179650417109*^9}},
 CellLabel->"In[69]:=",ExpressionUUID->"632a0673-2a54-4605-a0d9-b036d3003630"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{"lambda", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "b"}], " ", 
            RowBox[{"(", 
             RowBox[{"1", "+", "f", "+", "h"}], ")"}], " ", "p"}], "-", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"b", "+", "c", "+", 
              RowBox[{"b", " ", "f"}]}], ")"}], " ", "q"}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "b"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"h", " ", "p"}], "+", 
              RowBox[{"f", " ", 
               RowBox[{"(", 
                RowBox[{"p", "+", "q"}], ")"}]}]}], ")"}], " ", "x"}]}], 
          ")"}]}], 
        RowBox[{
         RowBox[{"-", "1"}], "+", "x"}]], "+", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "f", "+", "h"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"f", "+", "h"}], ")"}], " ", "mu", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"c", " ", "q"}], "+", 
           RowBox[{"b", " ", 
            RowBox[{"(", 
             RowBox[{"p", "+", "q"}], ")"}]}]}], ")"}]}], 
        RowBox[{"1", "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "f", "+", "h"}], ")"}], " ", "y"}]}]]}], 
      ")"}], " ", "dt"}], 
    RowBox[{
     RowBox[{"h", " ", "p"}], "+", 
     RowBox[{"f", " ", 
      RowBox[{"(", 
       RowBox[{"p", "+", "q"}], ")"}]}]}]], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "dt", "]"}], "2"],
    SeriesData[$CellContext`dt, 0, {}, 1, 2, 1],
    Editable->False]}],
  SeriesData[$CellContext`dt, 
   0, {($CellContext`h $CellContext`p + $CellContext`f ($CellContext`p + \
$CellContext`q))^(-1) ($CellContext`lambda (-1 + $CellContext`x)^(-1) \
(-$CellContext`b (
         1 + $CellContext`f + $CellContext`h) $CellContext`p - \
($CellContext`b + $CellContext`c + $CellContext`b $CellContext`f) \
$CellContext`q + (-1 + $CellContext`b) ($CellContext`h $CellContext`p + \
$CellContext`f ($CellContext`p + $CellContext`q)) $CellContext`x) + (-1 + \
$CellContext`f + $CellContext`h) ($CellContext`f + $CellContext`h) \
$CellContext`mu ($CellContext`c $CellContext`q + $CellContext`b \
($CellContext`p + $CellContext`q))/(
      1 + (-1 + $CellContext`f + $CellContext`h) $CellContext`y))}, 1, 2, 1],
  Editable->False]], "Output",
 CellChangeTimes->{3.802190676913793*^9, 3.8022033649691963`*^9},
 CellLabel->"Out[69]=",ExpressionUUID->"07083e88-8cd2-408d-8ef2-bf382eba1e18"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Di2d", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Series", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"lsum2", ".", 
          RowBox[{"(", 
           RowBox[{"i2d2", "*", "sumnull2"}], ")"}], ".", "rsum2"}], ")"}], 
        "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "1"}], "]"}], "]"}], "-", "Ei2d"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"a", "\[Rule]", 
         RowBox[{"1", "-", "b", "-", "c"}]}], ",", 
        RowBox[{"g", "\[Rule]", 
         RowBox[{"1", "-", "f", "-", "h"}]}], ",", 
        RowBox[{"r", "\[Rule]", 
         RowBox[{"1", "-", "p", "-", "q"}]}]}], "}"}]}], ",", 
     RowBox[{"dt", "\[Rule]", "0"}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802114629303739*^9, 3.8021146396030188`*^9}, {
   3.8021762500309267`*^9, 3.8021762601571074`*^9}, 3.802176497637127*^9, 
   3.8021768313553133`*^9, {3.8021796364346323`*^9, 3.802179651824839*^9}},
 CellLabel->"In[70]:=",ExpressionUUID->"70c515ac-5ce1-433e-8548-ef0efd4f8745"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "b"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "h"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"f", "+", "h"}], ")"}], " ", "mu", " ", 
        RowBox[{"(", 
         RowBox[{"p", "+", "q"}], ")"}]}], "+", 
       RowBox[{"c", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"f", " ", "lambda", " ", "p"}], "+", 
          RowBox[{"h", " ", "lambda", " ", "p"}], "+", 
          RowBox[{"f", " ", "lambda", " ", "q"}], "+", 
          RowBox[{"f", " ", "mu", " ", "q"}], "+", 
          RowBox[{"h", " ", "mu", " ", "q"}], "-", 
          RowBox[{"f", " ", "h", " ", "mu", " ", "q"}], "-", 
          RowBox[{
           SuperscriptBox["h", "2"], " ", "mu", " ", "q"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "f", "+", "h"}], ")"}], " ", "lambda", 
           " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"h", " ", "p"}], "+", 
             RowBox[{"f", " ", 
              RowBox[{"(", 
               RowBox[{"p", "+", "q"}], ")"}]}]}], ")"}], " ", "y"}]}], 
         ")"}]}]}], ")"}], " ", "dt"}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"h", " ", "p"}], "+", 
       RowBox[{"f", " ", 
        RowBox[{"(", 
         RowBox[{"p", "+", "q"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "f", "+", "h"}], ")"}], " ", "y"}]}], 
      ")"}]}]], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "dt", "]"}], "2"],
    SeriesData[$CellContext`dt, 0, {}, 1, 2, 1],
    Editable->False]}],
  SeriesData[$CellContext`dt, 
   0, {($CellContext`h $CellContext`p + $CellContext`f ($CellContext`p + \
$CellContext`q))^(-1) (
      1 + (-1 + $CellContext`f + $CellContext`h) $CellContext`y)^(-1) \
(-$CellContext`b (-1 + $CellContext`h) ($CellContext`f + $CellContext`h) \
$CellContext`mu ($CellContext`p + $CellContext`q) + $CellContext`c \
($CellContext`f $CellContext`lambda $CellContext`p + $CellContext`h \
$CellContext`lambda $CellContext`p + $CellContext`f $CellContext`lambda \
$CellContext`q + $CellContext`f $CellContext`mu $CellContext`q + \
$CellContext`h $CellContext`mu $CellContext`q - $CellContext`f $CellContext`h \
$CellContext`mu $CellContext`q - $CellContext`h^2 $CellContext`mu \
$CellContext`q + (-1 + $CellContext`f + $CellContext`h) $CellContext`lambda \
($CellContext`h $CellContext`p + $CellContext`f ($CellContext`p + \
$CellContext`q)) $CellContext`y))}, 1, 2, 1],
  Editable->False]], "Output",
 CellChangeTimes->{3.8021906769862833`*^9, 3.8022033660823708`*^9},
 CellLabel->"Out[70]=",ExpressionUUID->"d5dc9673-c19a-4c77-860a-8b780349b14b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Di2m", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Series", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"lsum2", ".", 
          RowBox[{"(", 
           RowBox[{"i2m2", "*", "sumnull2"}], ")"}], ".", "rsum2"}], ")"}], 
        "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "1"}], "]"}], "]"}], "-", "Ei2m"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"a", "\[Rule]", 
         RowBox[{"1", "-", "b", "-", "c"}]}], ",", 
        RowBox[{"g", "\[Rule]", 
         RowBox[{"1", "-", "f", "-", "h"}]}], ",", 
        RowBox[{"r", "\[Rule]", 
         RowBox[{"1", "-", "p", "-", "q"}]}]}], "}"}]}], ",", 
     RowBox[{"dt", "\[Rule]", "0"}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802114629303739*^9, 3.802114640042687*^9}, {
   3.802176250034059*^9, 3.802176260160392*^9}, 3.802176497637995*^9, 
   3.802176831358469*^9, {3.802179637202297*^9, 3.8021796532166367`*^9}},
 CellLabel->"In[71]:=",ExpressionUUID->"5e6df74b-de9b-449c-b2df-b2308c56b014"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "b", "+", "c"}], ")"}]}], " ", "lambda"}], 
      "-", 
      FractionBox[
       RowBox[{"f", " ", 
        RowBox[{"(", 
         RowBox[{"f", "+", "h"}], ")"}], " ", "mu", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"c", " ", "q"}], "+", 
          RowBox[{"b", " ", 
           RowBox[{"(", 
            RowBox[{"p", "+", "q"}], ")"}]}]}], ")"}]}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"h", " ", "p"}], "+", 
          RowBox[{"f", " ", 
           RowBox[{"(", 
            RowBox[{"p", "+", "q"}], ")"}]}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "f", "+", "h"}], ")"}], " ", "y"}]}], 
         ")"}]}]]}], ")"}], " ", "dt"}], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "dt", "]"}], "2"],
    SeriesData[$CellContext`dt, 0, {}, 1, 2, 1],
    Editable->False]}],
  SeriesData[$CellContext`dt, 
   0, {-(-1 + $CellContext`b + $CellContext`c) $CellContext`lambda - \
$CellContext`f ($CellContext`f + $CellContext`h) $CellContext`mu \
($CellContext`c $CellContext`q + $CellContext`b ($CellContext`p + \
$CellContext`q)) ($CellContext`h $CellContext`p + $CellContext`f \
($CellContext`p + $CellContext`q))^(-1)/(
    1 + (-1 + $CellContext`f + $CellContext`h) $CellContext`y)}, 1, 2, 1],
  Editable->False]], "Output",
 CellChangeTimes->{3.8021906770683317`*^9, 3.8022033665590277`*^9},
 CellLabel->"Out[71]=",ExpressionUUID->"e40deb6a-f078-4005-8924-cdaf39d1375e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dd2i", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Series", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"lsum2", ".", 
          RowBox[{"(", 
           RowBox[{"d2i2", "*", "sumnull2"}], ")"}], ".", "rsum2"}], ")"}], 
        "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "1"}], "]"}], "]"}], "-", "Ed2i"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"a", "\[Rule]", 
         RowBox[{"1", "-", "b", "-", "c"}]}], ",", 
        RowBox[{"g", "\[Rule]", 
         RowBox[{"1", "-", "f", "-", "h"}]}], ",", 
        RowBox[{"r", "\[Rule]", 
         RowBox[{"1", "-", "p", "-", "q"}]}]}], "}"}]}], ",", 
     RowBox[{"dt", "\[Rule]", "0"}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802114629303739*^9, 3.8021146404504967`*^9}, {
   3.802176250037196*^9, 3.802176260163693*^9}, 3.8021764976388197`*^9, 
   3.8021768313616037`*^9, {3.802179638034389*^9, 3.80217965459269*^9}},
 CellLabel->"In[72]:=",ExpressionUUID->"5361a64a-a5ce-46b7-b928-1b3c0473a314"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"f", "+", "h"}], ")"}], " ", "mu", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "c"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "f", "+", "h"}], ")"}], " ", "q"}], "+", 
       RowBox[{"b", " ", 
        RowBox[{"(", 
         RowBox[{"p", "+", "q", "-", 
          RowBox[{"h", " ", "q"}]}], ")"}]}]}], ")"}], " ", "dt"}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"h", " ", "p"}], "+", 
       RowBox[{"f", " ", 
        RowBox[{"(", 
         RowBox[{"p", "+", "q"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "f", "+", "h"}], ")"}], " ", "y"}]}], 
      ")"}]}]], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "dt", "]"}], "2"],
    SeriesData[$CellContext`dt, 0, {}, 1, 2, 1],
    Editable->False]}],
  SeriesData[$CellContext`dt, 
   0, {($CellContext`f + $CellContext`h) $CellContext`mu ($CellContext`h \
$CellContext`p + $CellContext`f ($CellContext`p + $CellContext`q))^(-1) \
(-$CellContext`c (-1 + $CellContext`f + $CellContext`h) $CellContext`q + \
$CellContext`b ($CellContext`p + $CellContext`q - $CellContext`h \
$CellContext`q))/(1 + (-1 + $CellContext`f + $CellContext`h) $CellContext`y)},
    1, 2, 1],
  Editable->False]], "Output",
 CellChangeTimes->{3.802190677151916*^9, 3.802203367230159*^9},
 CellLabel->"Out[72]=",ExpressionUUID->"bb24367a-9e46-46f3-94f1-f566479490f5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dd2m", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Series", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"lsum2", ".", 
          RowBox[{"(", 
           RowBox[{"d2m2", "*", "sumnull2"}], ")"}], ".", "rsum2"}], ")"}], 
        "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "1"}], "]"}], "]"}], "-", "Ed2m"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"a", "\[Rule]", 
         RowBox[{"1", "-", "b", "-", "c"}]}], ",", 
        RowBox[{"g", "\[Rule]", 
         RowBox[{"1", "-", "f", "-", "h"}]}], ",", 
        RowBox[{"r", "\[Rule]", 
         RowBox[{"1", "-", "p", "-", "q"}]}]}], "}"}]}], ",", 
     RowBox[{"dt", "\[Rule]", "0"}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802114629303739*^9, 3.80211464087453*^9}, {
   3.802176250040497*^9, 3.802176260166799*^9}, 3.8021764976395493`*^9, 
   3.802176831364818*^9, {3.8021796395224648`*^9, 3.802179656008585*^9}},
 CellLabel->"In[73]:=",ExpressionUUID->"e062b3b2-d3c9-42f5-b06a-82c8dc9ef507"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   FractionBox[
    RowBox[{"mu", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "b", "+", "c"}], ")"}]}], " ", "p", " ", 
        RowBox[{"(", 
         RowBox[{"h", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "h"}], ")"}], " ", "h", " ", "y"}]}], 
         ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["f", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"c", " ", "q"}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "c"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"p", "+", "q"}], ")"}], " ", "y"}]}], ")"}]}], "+", 
       RowBox[{"f", " ", 
        RowBox[{"(", 
         RowBox[{"q", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "h"}], ")"}], " ", "q", " ", 
           RowBox[{"(", 
            RowBox[{"b", "+", "c", "+", "y", "-", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"b", "+", "c"}], ")"}], " ", "y"}]}], ")"}]}], "-", 
          RowBox[{"p", " ", 
           RowBox[{"(", 
            RowBox[{"b", "+", 
             RowBox[{"b", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "h"}], ")"}], " ", "y"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "c"}], ")"}], " ", 
              RowBox[{"(", 
               RowBox[{"1", "-", "y", "+", 
                RowBox[{"2", " ", "h", " ", "y"}]}], ")"}]}]}], ")"}]}]}], 
         ")"}]}]}], ")"}], " ", "dt"}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"h", " ", "p"}], "+", 
       RowBox[{"f", " ", 
        RowBox[{"(", 
         RowBox[{"p", "+", "q"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "f", "+", "h"}], ")"}], " ", "y"}]}], 
      ")"}]}]], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "dt", "]"}], "2"],
    SeriesData[$CellContext`dt, 0, {}, 1, 2, 1],
    Editable->False]}],
  SeriesData[$CellContext`dt, 
   0, {$CellContext`mu ($CellContext`h $CellContext`p + $CellContext`f \
($CellContext`p + $CellContext`q))^(-1) (
      1 + (-1 + $CellContext`f + $CellContext`h) $CellContext`y)^(-1) (-(-1 + \
$CellContext`b + $CellContext`c) $CellContext`p ($CellContext`h + (-1 + \
$CellContext`h) $CellContext`h $CellContext`y) + $CellContext`f^2 \
($CellContext`c $CellContext`q - (-1 + $CellContext`c) ($CellContext`p + \
$CellContext`q) $CellContext`y) + $CellContext`f ($CellContext`q + (-1 + \
$CellContext`h) $CellContext`q ($CellContext`b + $CellContext`c + \
$CellContext`y - ($CellContext`b + $CellContext`c) $CellContext`y) - \
$CellContext`p ($CellContext`b + $CellContext`b (-1 + $CellContext`h) \
$CellContext`y + (-1 + $CellContext`c) (1 - $CellContext`y + 
          2 $CellContext`h $CellContext`y))))}, 1, 2, 1],
  Editable->False]], "Output",
 CellChangeTimes->{3.8021906772373457`*^9, 3.802203368240286*^9},
 CellLabel->"Out[73]=",ExpressionUUID->"5e8c5452-0150-44c7-a745-44ce0599a8a5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dd2d", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Series", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"lsum2", ".", 
          RowBox[{"(", 
           RowBox[{"d2d2", "*", "sumnull2"}], ")"}], ".", "rsum2"}], ")"}], 
        "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "1"}], "]"}], "]"}], "-", "Ed2d"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"a", "\[Rule]", 
         RowBox[{"1", "-", "b", "-", "c"}]}], ",", 
        RowBox[{"g", "\[Rule]", 
         RowBox[{"1", "-", "f", "-", "h"}]}], ",", 
        RowBox[{"r", "\[Rule]", 
         RowBox[{"1", "-", "p", "-", "q"}]}]}], "}"}]}], ",", 
     RowBox[{"dt", "\[Rule]", "0"}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802114629303739*^9, 3.8021146413066473`*^9}, {
   3.8021161559711437`*^9, 3.802116156378191*^9}, {3.8021762500436907`*^9, 
   3.802176260170171*^9}, 3.802176497640276*^9, 3.802176831367968*^9, {
   3.802179640410284*^9, 3.802179657416381*^9}},
 CellLabel->"In[74]:=",ExpressionUUID->"f3f1dcae-3764-4a2d-af82-24c005fd94d3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"mu", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "c", "+", 
      FractionBox[
       RowBox[{"b", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "h"}], ")"}]}], 
       RowBox[{
        RowBox[{"-", "1"}], "+", "f", "+", "h"}]], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"b", " ", "h"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"f", "+", "h"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"c", "+", "p"}], ")"}]}], "+", 
        RowBox[{"f", " ", "q"}]}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"h", " ", "p"}], "+", 
          RowBox[{"f", " ", 
           RowBox[{"(", 
            RowBox[{"p", "+", "q"}], ")"}]}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "y"}], ")"}]}]], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "h"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"f", "+", "h"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"c", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "f", "+", "h"}], ")"}], " ", "q"}], "-", 
          RowBox[{"b", " ", 
           RowBox[{"(", 
            RowBox[{"p", "+", "q", "-", 
             RowBox[{"h", " ", "q"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "f", "+", "h"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"h", " ", "p"}], "+", 
          RowBox[{"f", " ", 
           RowBox[{"(", 
            RowBox[{"p", "+", "q"}], ")"}]}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "f", "+", "h"}], ")"}], " ", "y"}]}], 
         ")"}]}]]}], ")"}], " ", "dt"}], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "dt", "]"}], "2"],
    SeriesData[$CellContext`dt, 0, {}, 1, 2, 1],
    Editable->False]}],
  SeriesData[$CellContext`dt, 
   0, {$CellContext`mu (-1 + $CellContext`c + $CellContext`b (-1 + \
$CellContext`h)/(-1 + $CellContext`f + $CellContext`h) - ($CellContext`b \
$CellContext`h + ($CellContext`f + $CellContext`h) ($CellContext`c + \
$CellContext`p) + $CellContext`f $CellContext`q) ($CellContext`h \
$CellContext`p + $CellContext`f ($CellContext`p + $CellContext`q))^(-1)/(-1 + \
$CellContext`y) + (-1 + $CellContext`h) (-1 + $CellContext`f + \
$CellContext`h)^(-1) ($CellContext`f + $CellContext`h) ($CellContext`h \
$CellContext`p + $CellContext`f ($CellContext`p + $CellContext`q))^(-1) \
($CellContext`c (-1 + $CellContext`f + $CellContext`h) $CellContext`q - \
$CellContext`b ($CellContext`p + $CellContext`q - $CellContext`h \
$CellContext`q))/(
      1 + (-1 + $CellContext`f + $CellContext`h) $CellContext`y))}, 1, 2, 1],
  Editable->False]], "Output",
 CellChangeTimes->{3.802190677326213*^9, 3.8022033723067427`*^9},
 CellLabel->"Out[74]=",ExpressionUUID->"591bd3b0-67e5-441d-9492-49a2eed6e4c2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"normparams", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"b", "+", "c", "-", "1"}], "\[Rule]", 
     RowBox[{"-", "a"}]}], ",", 
    RowBox[{
     RowBox[{"f", "+", "h", "-", "1"}], "\[Rule]", 
     RowBox[{"-", "g"}]}], ",", 
    RowBox[{
     RowBox[{"p", "+", "q", "-", "1"}], "\[Rule]", 
     RowBox[{"-", "r"}]}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.802273978892959*^9, 3.802273990609754*^9}},
 CellLabel->
  "In[111]:=",ExpressionUUID->"86d281be-006b-40b9-90fc-e726f3b7425d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"-", "1"}], "+", "b", "+", "c"}], "\[Rule]", 
    RowBox[{"-", "a"}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "1"}], "+", "f", "+", "h"}], "\[Rule]", 
    RowBox[{"-", "g"}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "1"}], "+", "p", "+", "q"}], "\[Rule]", 
    RowBox[{"-", "r"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.802273981900628*^9},
 CellLabel->
  "Out[111]=",ExpressionUUID->"8249cc2e-bfe3-4b3d-ab08-a1d441a389b9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{"SeriesCoefficient", "[", 
    RowBox[{
     RowBox[{"Dm2m", "/.", "normparams"}], ",", "1"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.802179554828336*^9, 3.802179571547406*^9}, {
   3.8021796093078403`*^9, 3.802179614713999*^9}, {3.802179659649212*^9, 
   3.802179674143237*^9}, {3.8021800052928057`*^9, 3.802180054015519*^9}, {
   3.802180120948934*^9, 3.80218012213258*^9}, 3.8021801719979563`*^9, {
   3.802180232897665*^9, 3.802180243823909*^9}, 3.802180396376235*^9, 
   3.8021806664076643`*^9, {3.802273990613957*^9, 
   3.802274010374158*^9}},ExpressionUUID->"7e22ea09-b1f9-4345-aa64-\
d0ca00c40257"],

Cell["\\frac{b f \\mu  (y-1)}{g y-1}-a (\\lambda +\\mu )", "Output",
 CellChangeTimes->{3.802190677408787*^9, 3.8022033724803267`*^9},
 CellLabel->
  "Out[75]//TeXForm=",ExpressionUUID->"71fb1d48-da44-484f-8a2e-2896b6d9aef6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{"Simplify", "[", 
    RowBox[{"SeriesCoefficient", "[", 
     RowBox[{
      RowBox[{"Dm2i", "/.", "normparams"}], ",", "1"}], "]"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.802179708577219*^9, 3.802179711886747*^9}, {
   3.80218006201742*^9, 3.802180066263997*^9}, {3.802180126214088*^9, 
   3.802180126884817*^9}, 3.802180168766163*^9, 3.802180250786414*^9, {
   3.802180376819873*^9, 3.802180399617729*^9}, {3.8022739906183977`*^9, 
   3.802274010885634*^9}},ExpressionUUID->"7fef4858-1776-4f8e-9629-\
23156ce190c8"],

Cell["\\frac{b \\mu  (f+h)}{g y-1}-b \\lambda +\\lambda", "Output",
 CellChangeTimes->{3.802190677489468*^9, 3.802203372571637*^9},
 CellLabel->
  "Out[76]//TeXForm=",ExpressionUUID->"cab08a12-5c6e-492f-8651-2edbce2cc197"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{"SeriesCoefficient", "[", 
    RowBox[{
     RowBox[{"Dm2d", "/.", "normparams"}], ",", "1"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.802179708577219*^9, 3.8021797124625807`*^9}, {
   3.802180075312006*^9, 3.8021800754874277`*^9}, {3.8021801303819532`*^9, 
   3.802180145115489*^9}, 3.802180260825883*^9, {3.80218039235564*^9, 
   3.802180401121201*^9}, {3.802273990621702*^9, 
   3.802274011333845*^9}},ExpressionUUID->"59acb64d-2a81-4937-a868-\
9d31b12635b2"],

Cell["\\frac{\\mu  (b (h-1) (y-1)+g y-1)}{g y-1}-c (\\lambda +\\mu )", \
"Output",
 CellChangeTimes->{3.802190677665413*^9, 3.802203372658166*^9},
 CellLabel->
  "Out[77]//TeXForm=",ExpressionUUID->"3ef55dfc-f231-49e6-b2d3-616c0fcf19aa"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{"SeriesCoefficient", "[", 
    RowBox[{
     RowBox[{"Di2m", "/.", "normparams"}], ",", "1"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.802179708577219*^9, 3.802179716702384*^9}, {
   3.802180089095392*^9, 3.802180116493215*^9}, {3.802180157027873*^9, 
   3.802180158907343*^9}, 3.802180266393186*^9, {3.802180396387376*^9, 
   3.802180401873186*^9}, {3.8022739906249228`*^9, 
   3.80227401178931*^9}},ExpressionUUID->"2f25084d-28ae-4574-bf05-\
b13557429595"],

Cell["\<\
a \\lambda +\\frac{f \\mu  (f+h) (b (p+q)+c q)}{(g y-1) (f (p+q)+h p)}\
\>", "Output",
 CellChangeTimes->{3.8021906777428713`*^9, 3.802203372752087*^9},
 CellLabel->
  "Out[78]//TeXForm=",ExpressionUUID->"01c0c36a-fcd0-4fe6-b607-a5a3a61838f3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{"SeriesCoefficient", "[", 
    RowBox[{
     RowBox[{"Di2i", "/.", "normparams"}], ",", "1"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.802179708577219*^9, 3.802179717510242*^9}, 
   3.8021801973639803`*^9, 3.8021802893196774`*^9, {3.802180396390792*^9, 
   3.802180402641026*^9}, {3.8022739906281033`*^9, 
   3.802274012173554*^9}},ExpressionUUID->"50cbd4cc-86ba-4165-bf28-\
e119ef4b3fbd"],

Cell["\<\
\\frac{\\frac{g \\mu  (f+h) (b (p+q)+c q)}{g y-1}+\\frac{\\lambda  (-q (b \
f+b+c)+(b-1) x (f (p+q)+h p)-b p (f+h+1))}{x-1}}{f (p+q)+h p}\
\>", "Output",
 CellChangeTimes->{3.8021906778216057`*^9, 3.802203372844841*^9},
 CellLabel->
  "Out[79]//TeXForm=",ExpressionUUID->"436d8d2e-f712-4bf5-b408-7c2ff07d1b30"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{"SeriesCoefficient", "[", 
    RowBox[{
     RowBox[{"Di2d", "/.", "normparams"}], ",", "1"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.802179708577219*^9, 3.8021797179343653`*^9}, 
   3.802180294815873*^9, {3.8021803963946657`*^9, 3.8021804036409683`*^9}, {
   3.802273990631277*^9, 
   3.802274012549415*^9}},ExpressionUUID->"319e81f3-c41a-454f-8925-\
55045f502072"],

Cell["\<\
\\frac{b (h-1) \\mu  (f+h) (p+q)+c (f \\lambda  (g y-1) (p+q)+f (h-1) \\mu  \
q+h \\lambda  p (g y-1)+(h-1) h \\mu  q)}{(g y-1) (f (p+q)+h p)}\
\>", "Output",
 CellChangeTimes->{3.8021906779110003`*^9, 3.802203372932345*^9},
 CellLabel->
  "Out[80]//TeXForm=",ExpressionUUID->"565d4a29-d1df-463c-ac75-9907f2293b3c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{"SeriesCoefficient", "[", 
    RowBox[{
     RowBox[{"Dd2m", "/.", "normparams"}], ",", "1"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.802179708577219*^9, 3.802179718318289*^9}, 
   3.802180304791758*^9, {3.80218039639832*^9, 3.8021804045291224`*^9}, {
   3.802273990634449*^9, 
   3.8022740128934317`*^9}},ExpressionUUID->"6c692931-496c-4b51-a859-\
2fb733837b82"],

Cell["\<\
\\frac{\\mu  \\left(a p ((h-1) h y+h)+f (-p (b (h-1) y+b+(c-1) ((2 h-1) \
y+1))+(h-1) q (-y (b+c)+b+c+y)+q)+f^2 (c q-(c-1) y (p+q))\\right)}{(1-g y) (f \
(p+q)+h p)}\
\>", "Output",
 CellChangeTimes->{3.8021906779871073`*^9, 3.802203373033931*^9},
 CellLabel->
  "Out[81]//TeXForm=",ExpressionUUID->"f7aacb53-a9fd-4c99-86d6-ab58765ca46a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"SeriesCoefficient", "[", 
     RowBox[{"Dd2i", ",", "1"}], "]"}], "/.", "normparams"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.802179708577219*^9, 3.802179718678238*^9}, 
   3.802180348653625*^9, {3.80218039640211*^9, 3.802180405249063*^9}, {
   3.802273990637617*^9, 
   3.8022740132292423`*^9}},ExpressionUUID->"eb8f7d0f-03a7-440d-8622-\
596efa3943ca"],

Cell["\<\
\\frac{\\mu  (f+h) (b (-h q+p+q)+c g q)}{(1-g y) (f (p+q)+h p)}\
\>", "Output",
 CellChangeTimes->{3.802190678068934*^9, 3.8022033731140842`*^9},
 CellLabel->
  "Out[82]//TeXForm=",ExpressionUUID->"8ec7bb38-3a08-4746-8a6f-3e302bb45403"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{"SeriesCoefficient", "[", 
    RowBox[{
     RowBox[{"Dd2d", "/.", "normparams"}], ",", "1"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.802179708577219*^9, 3.802179718678238*^9}, 
   3.802180353005974*^9, {3.8021803964058247`*^9, 3.8021804060409603`*^9}, {
   3.8021804434414873`*^9, 3.802180443967552*^9}, 3.802180926373167*^9, {
   3.8022739906405897`*^9, 
   3.8022740137570047`*^9}},ExpressionUUID->"52b2925e-2f34-435a-acca-\
16ab507aa5a8"],

Cell["\<\
\\mu  \\left(-\\frac{(h-1) (f+h) (b (-h q+p+q)+c g q)}{g (g y-1) (f (p+q)+h \
p)}-\\frac{b h+(c+p) (f+h)+f q}{(y-1) (f (p+q)+h p)}+\\frac{b-b \
h}{g}+c-1\\right)\
\>", "Output",
 CellChangeTimes->{3.8021906781576*^9, 3.802203373194861*^9},
 CellLabel->
  "Out[83]//TeXForm=",ExpressionUUID->"a2d07a76-0689-46ba-b446-53ff1285eaf2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"SeriesCoefficient", "[", 
     RowBox[{
      RowBox[{"Dm2i", "+", "Di2i", "+", "Dd2i"}], ",", "1"}], "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"lambda", "/", 
      RowBox[{"(", 
       RowBox[{"1", "-", "x"}], ")"}]}], ")"}]}], "-", 
   RowBox[{"(", 
    RowBox[{"Eins", "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[Rule]", 
        RowBox[{"1", "-", "b", "-", "c"}]}], ",", 
       RowBox[{"g", "\[Rule]", 
        RowBox[{"1", "-", "f", "-", "h"}]}], ",", 
       RowBox[{"r", "\[Rule]", 
        RowBox[{"1", "-", "p", "-", "q"}]}]}], "}"}]}], ")"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8021813233798637`*^9, 3.802181329946128*^9}, {
  3.802181394272952*^9, 3.8021814223661222`*^9}, {3.802181521579834*^9, 
  3.802181522730657*^9}},
 CellLabel->"In[84]:=",ExpressionUUID->"624e64d7-4f94-4a8d-9391-7d97c70afad5"],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{3.802190678237644*^9, 3.802203373275511*^9},
 CellLabel->"Out[84]=",ExpressionUUID->"93acc19a-7d62-49b7-a33f-5a1f3ab71aca"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"SeriesCoefficient", "[", 
     RowBox[{
      RowBox[{"Dm2d", "+", "Di2d", "+", "Dd2d"}], ",", "1"}], "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"mu", "/", 
      RowBox[{"(", 
       RowBox[{"1", "-", "y"}], ")"}]}], ")"}]}], "-", 
   RowBox[{"(", 
    RowBox[{"Edel", "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[Rule]", 
        RowBox[{"1", "-", "b", "-", "c"}]}], ",", 
       RowBox[{"g", "\[Rule]", 
        RowBox[{"1", "-", "f", "-", "h"}]}], ",", 
       RowBox[{"r", "\[Rule]", 
        RowBox[{"1", "-", "p", "-", "q"}]}]}], "}"}]}], ")"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8021815400572987`*^9, 3.802181552674423*^9}},
 CellLabel->"In[85]:=",ExpressionUUID->"a00fe2cb-7263-4687-aa2f-db569b721289"],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{3.802190678249354*^9, 3.8022033733588333`*^9},
 CellLabel->"Out[85]=",ExpressionUUID->"c3b7f8ec-dbe2-4c74-aa45-db3938b6af81"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"betaTKF", "=", 
  RowBox[{"lambda", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "lambda"}], " ", "T"}], "]"}], "-", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "mu"}], " ", "T"}], "]"}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"mu", " ", 
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", "lambda"}], " ", "T"}], "]"}]}], "-", 
      RowBox[{"lambda", " ", 
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", "mu"}], " ", "T"}], "]"}]}]}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.802190087406094*^9, 3.802190125234242*^9}, {
  3.802190643094552*^9, 3.802190652868417*^9}, {3.802190731602762*^9, 
  3.8021907374171677`*^9}},
 CellLabel->"In[86]:=",ExpressionUUID->"897e58ac-07d7-402b-b6fa-54b6d2b57aa7"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", "lambda"}], " ", "T"}]], "-", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", "mu"}], " ", "T"}]]}], ")"}], " ", "lambda"}], 
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", "mu"}], " ", "T"}]]}], " ", "lambda"}], "+", 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "lambda"}], " ", "T"}]], " ", "mu"}]}]]], "Output",
 CellChangeTimes->{3.802190678314436*^9, 3.802190738209812*^9, 
  3.802203373450726*^9},
 CellLabel->"Out[86]=",ExpressionUUID->"afbdbd2c-c854-4804-8aa9-86b02abd19ee"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"alphaTKF", "=", 
  RowBox[{"Exp", "[", 
   RowBox[{
    RowBox[{"-", "mu"}], " ", "T"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802190135898693*^9, 3.802190142121643*^9}, 
   3.802190661797381*^9, 3.802190740922071*^9},
 CellLabel->"In[87]:=",ExpressionUUID->"adaa2905-fe3d-43f0-817e-8db03a61ddaf"],

Cell[BoxData[
 SuperscriptBox["\[ExponentialE]", 
  RowBox[{
   RowBox[{"-", "mu"}], " ", "T"}]]], "Output",
 CellChangeTimes->{3.802190678321044*^9, 3.802190741523533*^9, 
  3.802203373532072*^9},
 CellLabel->"Out[87]=",ExpressionUUID->"f891eb98-38ec-4589-a19a-da2cb989f545"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"gammaTKF", "=", 
  RowBox[{"1", "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"mu", "/", "lambda"}], ")"}], 
    RowBox[{"betaTKF", "/", 
     RowBox[{"(", 
      RowBox[{"1", "-", "alphaTKF"}], ")"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.802190312131123*^9, 3.8021903466333227`*^9}},
 CellLabel->"In[88]:=",ExpressionUUID->"a1bbf360-f09b-4fe7-9eb0-9ce49c3b2581"],

Cell[BoxData[
 RowBox[{"1", "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "lambda"}], " ", "T"}]], "-", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "mu"}], " ", "T"}]]}], ")"}], " ", "mu"}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "mu"}], " ", "T"}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "mu"}], " ", "T"}]]}], " ", "lambda"}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "lambda"}], " ", "T"}]], " ", "mu"}]}], 
     ")"}]}]]}]], "Output",
 CellChangeTimes->{3.8021906783889837`*^9, 3.802190744249386*^9, 
  3.802203373543685*^9},
 CellLabel->"Out[88]=",ExpressionUUID->"cde44478-e874-43df-bb0f-49e601e92e1a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TKFparams", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[Rule]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "betaTKF"}], ")"}], "alphaTKF"}]}], ",", 
    RowBox[{"b", "\[Rule]", "betaTKF"}], ",", 
    RowBox[{"c", "\[Rule]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "betaTKF"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"1", "-", "alphaTKF"}], ")"}]}]}], ",", 
    RowBox[{"f", "\[Rule]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "betaTKF"}], ")"}], "alphaTKF"}]}], ",", 
    RowBox[{"g", "\[Rule]", "betaTKF"}], ",", 
    RowBox[{"h", "\[Rule]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "betaTKF"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"1", "-", "alphaTKF"}], ")"}]}]}], ",", 
    RowBox[{"p", "\[Rule]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "gammaTKF"}], ")"}], "alphaTKF"}]}], ",", 
    RowBox[{"q", "\[Rule]", "gammaTKF"}], ",", 
    RowBox[{"r", "\[Rule]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "gammaTKF"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"1", "-", "alphaTKF"}], ")"}]}]}], ",", 
    RowBox[{"x", "\[Rule]", "0"}], ",", 
    RowBox[{"y", "\[Rule]", "0"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.8021901524499474`*^9, 3.802190305267014*^9}, {
  3.8021903543612423`*^9, 3.802190371409054*^9}, {3.8021907876004477`*^9, 
  3.80219079098321*^9}},
 CellLabel->"In[89]:=",ExpressionUUID->"6265dfef-855d-4c9b-b6c4-397cee0f95e3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"a", "\[Rule]", 
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", "mu"}], " ", "T"}]], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "lambda"}], " ", "T"}]], "-", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "mu"}], " ", "T"}]]}], ")"}], " ", "lambda"}], 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "mu"}], " ", "T"}]]}], " ", "lambda"}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "lambda"}], " ", "T"}]], " ", "mu"}]}]]}], ")"}]}]}],
    ",", 
   RowBox[{"b", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "lambda"}], " ", "T"}]], "-", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "mu"}], " ", "T"}]]}], ")"}], " ", "lambda"}], 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "mu"}], " ", "T"}]]}], " ", "lambda"}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "lambda"}], " ", "T"}]], " ", "mu"}]}]]}], ",", 
   RowBox[{"c", "\[Rule]", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "mu"}], " ", "T"}]]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "lambda"}], " ", "T"}]], "-", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "mu"}], " ", "T"}]]}], ")"}], " ", "lambda"}], 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "mu"}], " ", "T"}]]}], " ", "lambda"}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "lambda"}], " ", "T"}]], " ", "mu"}]}]]}], ")"}]}]}],
    ",", 
   RowBox[{"f", "\[Rule]", 
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", "mu"}], " ", "T"}]], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "lambda"}], " ", "T"}]], "-", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "mu"}], " ", "T"}]]}], ")"}], " ", "lambda"}], 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "mu"}], " ", "T"}]]}], " ", "lambda"}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "lambda"}], " ", "T"}]], " ", "mu"}]}]]}], ")"}]}]}],
    ",", 
   RowBox[{"g", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "lambda"}], " ", "T"}]], "-", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "mu"}], " ", "T"}]]}], ")"}], " ", "lambda"}], 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "mu"}], " ", "T"}]]}], " ", "lambda"}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "lambda"}], " ", "T"}]], " ", "mu"}]}]]}], ",", 
   RowBox[{"h", "\[Rule]", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "mu"}], " ", "T"}]]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "lambda"}], " ", "T"}]], "-", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "mu"}], " ", "T"}]]}], ")"}], " ", "lambda"}], 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "mu"}], " ", "T"}]]}], " ", "lambda"}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "lambda"}], " ", "T"}]], " ", "mu"}]}]]}], ")"}]}]}],
    ",", 
   RowBox[{"p", "\[Rule]", 
    FractionBox[
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "mu"}], " ", "T"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "lambda"}], " ", "T"}]], "-", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "mu"}], " ", "T"}]]}], ")"}], " ", "mu"}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "mu"}], " ", "T"}]]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "mu"}], " ", "T"}]]}], " ", "lambda"}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "lambda"}], " ", "T"}]], " ", "mu"}]}], ")"}]}]]}], 
   ",", 
   RowBox[{"q", "\[Rule]", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "lambda"}], " ", "T"}]], "-", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "mu"}], " ", "T"}]]}], ")"}], " ", "mu"}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "mu"}], " ", "T"}]]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "mu"}], " ", "T"}]]}], " ", "lambda"}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "lambda"}], " ", "T"}]], " ", "mu"}]}], ")"}]}]]}]}],
    ",", 
   RowBox[{"r", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "lambda"}], " ", "T"}]], "-", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "mu"}], " ", "T"}]]}], ")"}], " ", "mu"}], 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "mu"}], " ", "T"}]]}], " ", "lambda"}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "lambda"}], " ", "T"}]], " ", "mu"}]}]]}], ",", 
   RowBox[{"x", "\[Rule]", "0"}], ",", 
   RowBox[{"y", "\[Rule]", "0"}]}], "}"}]], "Output",
 CellChangeTimes->{3.802190678408533*^9, 3.8021907462087517`*^9, 
  3.8021907917117987`*^9, 3.802203373617195*^9},
 CellLabel->"Out[89]=",ExpressionUUID->"94df5ab6-449e-4623-af5e-da27a726be84"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"a", "/.", "TKFparams"}], ",", "T"}], "]"}], "-", 
   RowBox[{"SeriesCoefficient", "[", 
    RowBox[{
     RowBox[{"Dm2m", "/.", "TKFparams"}], ",", "1"}], "]"}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.80219038750423*^9, 3.802190417486415*^9}, {
   3.802190459950185*^9, 3.802190473204667*^9}, 3.8021907665290213`*^9, {
   3.802190820576478*^9, 3.802190825597336*^9}},
 CellLabel->"In[90]:=",ExpressionUUID->"8ec13b2e-afe1-401d-ab62-10d99b4f14ef"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.802190707135015*^9, {3.802190767663661*^9, 3.802190796229361*^9}, 
   3.8021908263606*^9, 3.8022033736300297`*^9},
 CellLabel->"Out[90]=",ExpressionUUID->"3b417eb3-1ca3-4e90-8fda-05e851aa10cd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"b", "/.", "TKFparams"}], ",", "T"}], "]"}], "-", 
   RowBox[{"SeriesCoefficient", "[", 
    RowBox[{
     RowBox[{"Dm2i", "/.", "TKFparams"}], ",", "1"}], "]"}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.8021908317408743`*^9, 3.802190833981052*^9}},
 CellLabel->"In[91]:=",ExpressionUUID->"0d8f8d53-e4ad-461b-b88c-d8b845c0b01b"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.802190834814424*^9, 3.802203373699066*^9},
 CellLabel->"Out[91]=",ExpressionUUID->"ca500e35-e473-499c-93db-96c14d03f256"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"c", "/.", "TKFparams"}], ",", "T"}], "]"}], "-", 
   RowBox[{"SeriesCoefficient", "[", 
    RowBox[{
     RowBox[{"Dm2d", "/.", "TKFparams"}], ",", "1"}], "]"}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.802190839484603*^9, 3.802190841604834*^9}},
 CellLabel->"In[92]:=",ExpressionUUID->"f1be1382-fb2d-471d-a5d6-f0c3080cf6cd"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.802190842233227*^9, 3.802203373711781*^9},
 CellLabel->"Out[92]=",ExpressionUUID->"5b0eb6cd-b248-477a-b38f-c5ae8743d4e0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"f", "*", "Eins"}], "/.", "TKFparams"}], ",", "T"}], "]"}], "-", 
   RowBox[{"SeriesCoefficient", "[", 
    RowBox[{
     RowBox[{"Di2m", "/.", "TKFparams"}], ",", "1"}], "]"}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.802190846700629*^9, 3.802190850076428*^9}, {
  3.80219306004285*^9, 3.802193060640588*^9}},
 CellLabel->"In[93]:=",ExpressionUUID->"c4258814-b0e9-4498-a22d-2ddf40fbb970"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.802190851213992*^9, 3.802193061849601*^9, 
  3.8022033737843027`*^9},
 CellLabel->"Out[93]=",ExpressionUUID->"3e13bc8f-f1f7-4874-81db-fde76f18d7e3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"g", "*", "Eins"}], "/.", "TKFparams"}], ",", "T"}], "]"}], "-", 
   RowBox[{"SeriesCoefficient", "[", 
    RowBox[{
     RowBox[{"Di2i", "/.", "TKFparams"}], ",", "1"}], "]"}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.8021908659877157`*^9, 3.8021908687394857`*^9}, {
  3.802194850017272*^9, 3.802194850670968*^9}},
 CellLabel->"In[94]:=",ExpressionUUID->"4d15efd9-22a2-464d-9d09-5d7c654ce1ec"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.802190869847362*^9, 3.802194852181988*^9, 
  3.802203373866631*^9},
 CellLabel->"Out[94]=",ExpressionUUID->"9f79f893-38bc-41ba-87aa-13f6ef8df9dd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"h", "*", "Eins"}], "/.", "TKFparams"}], ",", "T"}], "]"}], "-", 
   RowBox[{"SeriesCoefficient", "[", 
    RowBox[{
     RowBox[{"Di2d", "/.", "TKFparams"}], ",", "1"}], "]"}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.8021908786670732`*^9, 3.802190881050969*^9}, {
  3.80219485528806*^9, 3.80219485587894*^9}},
 CellLabel->"In[95]:=",ExpressionUUID->"e7cc327e-0c94-4076-832d-e32ebcea0abb"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.802190884673107*^9, 3.8021948566458063`*^9, 
  3.802203373945919*^9},
 CellLabel->"Out[95]=",ExpressionUUID->"b5a5cfef-a078-46fa-9a59-689fc97aee1f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"p", "*", "Edel"}], "/.", "TKFparams"}], ",", "T"}], "]"}], "-", 
   RowBox[{"SeriesCoefficient", "[", 
    RowBox[{
     RowBox[{"Dd2m", "/.", "TKFparams"}], ",", "1"}], "]"}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.80219089616243*^9, 3.802190922513266*^9}, {
  3.8021948590476713`*^9, 3.802194859982862*^9}},
 CellLabel->"In[96]:=",ExpressionUUID->"3b52fcd1-17a5-4df2-9bc3-df4db87b735f"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.8021909240293083`*^9, 3.8021948607963457`*^9, 
  3.802203374036303*^9},
 CellLabel->"Out[96]=",ExpressionUUID->"852e6195-a0ea-4507-a42c-88a2a0c67be6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"q", "*", "Edel"}], "/.", "TKFparams"}], ",", "T"}], "]"}], "-", 
   RowBox[{"SeriesCoefficient", "[", 
    RowBox[{
     RowBox[{"Dd2i", "/.", "TKFparams"}], ",", "1"}], "]"}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.8021909304169607`*^9, 3.802190932800776*^9}, {
  3.802194866207753*^9, 3.80219486703858*^9}},
 CellLabel->"In[97]:=",ExpressionUUID->"e3134034-55d2-4f89-a0f8-a56ff047f1fc"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.8021909350434713`*^9, 3.802194868116397*^9, 
  3.802203374105465*^9},
 CellLabel->"Out[97]=",ExpressionUUID->"95993ec7-a912-4282-8f8d-07c0250633ed"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"r", "*", "Edel"}], "/.", "TKFparams"}], ",", "T"}], "]"}], "-", 
   RowBox[{"SeriesCoefficient", "[", 
    RowBox[{
     RowBox[{"Dd2d", "/.", "TKFparams"}], ",", "1"}], "]"}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.80219094466427*^9, 3.8021909473682632`*^9}, {
  3.8021948707598057`*^9, 3.802194871366335*^9}},
 CellLabel->"In[98]:=",ExpressionUUID->"2ddb9d77-db73-4ede-b893-2c727274f560"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.802190948335734*^9, 3.80219487360748*^9, 
  3.8022033741964684`*^9},
 CellLabel->"Out[98]=",ExpressionUUID->"875372e0-a661-4591-8607-0e3d577eda59"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", "Eins", "]"}]], "Input",
 CellChangeTimes->{{3.8021976160453863`*^9, 3.8021976190201597`*^9}, {
   3.802274020803647*^9, 3.8022740221536016`*^9}, 
   3.8022740564975*^9},ExpressionUUID->"39c4a65c-b00b-4639-8b4d-0d5a5cf004f8"],

Cell["\\frac{(b (r-1)-c q) (f (r-1)-h p)}{(g (-r)+g+h q+r-1)^2}", "Output",
 CellChangeTimes->{3.802197619504311*^9, 3.8022033742618217`*^9, 
  3.802274022897153*^9},
 CellLabel->
  "Out[112]//TeXForm=",ExpressionUUID->"96eaadb6-e66c-4b5b-af20-a68c16852876"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", "Edel", "]"}]], "Input",
 CellChangeTimes->{{3.8021976245240393`*^9, 3.8021976252196007`*^9}, {
  3.802274024978829*^9, 
  3.8022740537295437`*^9}},ExpressionUUID->"2e299f5a-202f-4e35-aee7-\
86f614e043d1"],

Cell["\\frac{(c (g-1)-b h) ((g-1) p-f q)}{(g (-r)+g+h q+r-1)^2}", "Output",
 CellChangeTimes->{3.802197625988935*^9, 3.8022033742709293`*^9, 
  3.802274028075091*^9},
 CellLabel->
  "Out[113]//TeXForm=",ExpressionUUID->"ee487411-7c2d-4103-b1d0-40d84e8a9781"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", "Einsins", "]"}]], "Input",
 CellChangeTimes->{{3.802273774469409*^9, 3.8022737766841707`*^9}, {
  3.802274029089609*^9, 3.802274035714431*^9}},
 CellLabel->
  "In[115]:=",ExpressionUUID->"90bffe8b-1164-4f97-b7a5-82d4cac8d34c"],

Cell["\<\
\\frac{(b (r-1)-c q) (f (-r)+f+h p) (-(g+1) r+g+h q+1)}{(g (-r)+g+h q+r-1)^3}\
\
\>", "Output",
 CellChangeTimes->{{3.80227403182231*^9, 3.8022740363203773`*^9}},
 CellLabel->
  "Out[115]//TeXForm=",ExpressionUUID->"f0786aa6-7d66-4f4e-bbd0-79a9a8bb17e3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", "Edeldel", "]"}]], "Input",
 CellChangeTimes->{{3.802274059112892*^9, 3.80227406344026*^9}},
 CellLabel->
  "In[116]:=",ExpressionUUID->"b0466dc5-2a14-4ec6-88c3-640347035887"],

Cell["\<\
\\frac{(c (g-1)-b h) ((g-1) p-f q) ((g-1) r+g-h q-1)}{(g (-r)+g+h q+r-1)^3}\
\>", "Output",
 CellChangeTimes->{3.802274064017046*^9},
 CellLabel->
  "Out[116]//TeXForm=",ExpressionUUID->"2274c3df-2bf7-4336-a4f3-350ba36679fe"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", "Einsdel", "]"}]], "Input",
 CellChangeTimes->{{3.802274064593094*^9, 3.8022740672557898`*^9}},
 CellLabel->
  "In[117]:=",ExpressionUUID->"d14428fd-8ed3-41ad-a733-f2276571ce77"],

Cell["\<\
-\\frac{b h (p ((g-1) r-g+h q+1)-2 f q (r-1))+c q (f ((g-1) r-g+h q+1)-2 \
(g-1) h p)}{(g (-r)+g+h q+r-1)^3}\
\>", "Output",
 CellChangeTimes->{3.802274067679043*^9},
 CellLabel->
  "Out[117]//TeXForm=",ExpressionUUID->"ba9df278-80f4-4cf6-9b77-7879f4522d73"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"G", "[", 
   RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
  RowBox[{"a", "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"h", " ", "q", " ", "x", " ", "y"}]}], ")"}]}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"b", " ", "f", " ", "x"}], " ", "+", " ", 
      RowBox[{"c", " ", "p", " ", "y"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"b", " ", "h", " ", "p"}], " ", "+", " ", 
         RowBox[{"c", " ", "q", " ", "f"}]}], ")"}], "x", " ", "y"}]}], 
     ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.8022741242303762`*^9, 3.802274163172086*^9}},
 CellLabel->
  "In[118]:=",ExpressionUUID->"af8934f9-53c7-49e6-a60e-d7a4e4a1820c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"H", "[", 
   RowBox[{"u_", ",", "s_"}], "]"}], ":=", 
  RowBox[{"u", "/", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"u", " ", "s"}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.802274166660647*^9, 3.802274177515419*^9}, {
  3.802275640663311*^9, 3.8022756412219677`*^9}},
 CellLabel->
  "In[157]:=",ExpressionUUID->"b78ca1ac-ffbb-42dd-b22c-06460b4a220d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"genfunc", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"G", "[", 
    RowBox[{
     RowBox[{"H", "[", 
      RowBox[{"U", ",", "g"}], "]"}], ",", 
     RowBox[{"H", "[", 
      RowBox[{"V", ",", "r"}], "]"}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802274181923657*^9, 3.802274258479992*^9}, {
  3.802274301758215*^9, 3.802274311149845*^9}, {3.8022746915431356`*^9, 
  3.802274726636293*^9}},
 CellLabel->
  "In[158]:=",ExpressionUUID->"8e051f33-3ee4-49c0-a826-d3ac7d46a448"],

Cell[BoxData[
 FractionBox[
  RowBox[{"a", "+", 
   RowBox[{"c", " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"g", " ", "p", " ", "U"}], "+", 
      RowBox[{"f", " ", "q", " ", "U"}]}], ")"}], " ", "V"}], "-", 
   RowBox[{"a", " ", 
    RowBox[{"(", 
     RowBox[{"r", "+", 
      RowBox[{"h", " ", "q", " ", "U"}]}], ")"}], " ", "V"}], "+", 
   RowBox[{"a", " ", "g", " ", "U", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"r", " ", "V"}]}], ")"}]}], "+", 
   RowBox[{"b", " ", "U", " ", 
    RowBox[{"(", 
     RowBox[{"f", "+", 
      RowBox[{"h", " ", "p", " ", "V"}], "-", 
      RowBox[{"f", " ", "r", " ", "V"}]}], ")"}]}]}], 
  RowBox[{"1", "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"r", "+", 
      RowBox[{"h", " ", "q", " ", "U"}]}], ")"}], " ", "V"}], "+", 
   RowBox[{"g", " ", "U", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"r", " ", "V"}]}], ")"}]}]}]]], "Output",
 CellChangeTimes->{3.8022743125095253`*^9, 3.802274699552052*^9, 
  3.8022748800844173`*^9, 3.802275645586722*^9},
 CellLabel->
  "Out[158]=",ExpressionUUID->"ae30da44-d969-4739-93da-37c260ee42f2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", "genfunc", "]"}]], "Input",
 CellChangeTimes->{{3.802274320710619*^9, 3.8022743233171787`*^9}},
 CellLabel->
  "In[159]:=",ExpressionUUID->"7cd97bc8-b24c-431d-b9c8-7b1d2f7d3554"],

Cell["\<\
\\frac{a g U (r V-1)+a V (-(h q U+r))+a+b U (f (-r) V+f+h p V)+c V (f q U-g p \
U+p)}{g U (r V-1)+V (-(h q U+r))+1}\
\>", "Output",
 CellChangeTimes->{3.80227432373175*^9, 3.80227470048221*^9, 
  3.802274880173877*^9, 3.8022756478010473`*^9},
 CellLabel->
  "Out[159]//TeXForm=",ExpressionUUID->"bea29b0e-0e2d-43e0-ae15-4bc2a7d6d874"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"U", " ", 
      RowBox[{"D", "[", 
       RowBox[{"genfunc", ",", "U"}], "]"}]}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"U", "\[Rule]", "1"}], ",", 
       RowBox[{"V", "\[Rule]", "1"}]}], "}"}]}], ")"}], "-", "Eins"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8022748411930647`*^9, 3.8022749469389553`*^9}, {
  3.802275661638071*^9, 3.802275665628858*^9}},
 CellLabel->
  "In[161]:=",ExpressionUUID->"e5544fb2-2a14-484b-915d-75d15b3cadee"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.802274851726449*^9, 3.802274947548917*^9}, {
  3.802275649230904*^9, 3.802275666185916*^9}},
 CellLabel->
  "Out[161]=",ExpressionUUID->"4cb0b37d-1a6c-4f59-8cd3-dd09cc241211"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"V", " ", 
      RowBox[{"D", "[", 
       RowBox[{"genfunc", ",", "V"}], "]"}]}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"U", "\[Rule]", "1"}], ",", 
       RowBox[{"V", "\[Rule]", "1"}]}], "}"}]}], ")"}], "-", "Edel"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.802275681460403*^9, 3.802275700620861*^9}},
 CellLabel->
  "In[164]:=",ExpressionUUID->"868c650d-bc53-4e5f-9287-43f901272550"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.802275682546036*^9, 3.802275702974696*^9}},
 CellLabel->
  "Out[164]=",ExpressionUUID->"3cf9c3ad-9db8-4233-b878-2b337ec64692"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"V", " ", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"U", " ", 
         RowBox[{"D", "[", 
          RowBox[{"genfunc", ",", "U"}], "]"}]}], ",", "V"}], "]"}]}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"U", "\[Rule]", "1"}], ",", 
       RowBox[{"V", "\[Rule]", "1"}]}], "}"}]}], ")"}], "-", "Einsdel"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.802275706683372*^9, 3.802275721994401*^9}},
 CellLabel->
  "In[165]:=",ExpressionUUID->"4006f00f-efdc-472e-971c-e26704537aee"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.80227572277773*^9},
 CellLabel->
  "Out[165]=",ExpressionUUID->"9a589c8e-c321-4880-8d2d-bd4af3228f6d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"U", " ", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"U", " ", 
         RowBox[{"D", "[", 
          RowBox[{"genfunc", ",", "U"}], "]"}]}], ",", "U"}], "]"}]}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"U", "\[Rule]", "1"}], ",", 
       RowBox[{"V", "\[Rule]", "1"}]}], "}"}]}], ")"}], "-", "Einsins"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.802275734362096*^9, 3.802275741113867*^9}},
 CellLabel->
  "In[166]:=",ExpressionUUID->"610d18a9-a2b5-452c-812d-2088a1ceeffe"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.802275741665749*^9},
 CellLabel->
  "Out[166]=",ExpressionUUID->"a02c1218-e31b-48f6-8100-5f821e8f4720"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"Einsdel", "-", 
   RowBox[{"Eins", "*", "Edel"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.802275859534134*^9, 3.8022758652606897`*^9}},
 CellLabel->
  "In[167]:=",ExpressionUUID->"0a34451f-0170-4419-ae20-b5a820e2eee0"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"c", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "g"}], ")"}]}], "-", 
       RowBox[{"b", " ", "h"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "p"}], "-", 
       RowBox[{"f", " ", "q"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"b", "+", 
       RowBox[{"c", " ", "q"}], "-", 
       RowBox[{"b", " ", "r"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"f", "+", 
       RowBox[{"h", " ", "p"}], "-", 
       RowBox[{"f", " ", "r"}]}], ")"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "g", "+", 
       RowBox[{"h", " ", "q"}], "+", "r", "-", 
       RowBox[{"g", " ", "r"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"c", " ", "q", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "h", " ", "p"}], "+", 
          RowBox[{"f", " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", "g", "+", 
             RowBox[{"h", " ", "q"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "r"}]}], 
            ")"}]}]}], ")"}]}], "+", 
       RowBox[{"b", " ", "h", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "f", " ", "q", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "r"}], ")"}]}], "+", 
          RowBox[{"p", " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", "g", "+", 
             RowBox[{"h", " ", "q"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "r"}]}], 
            ")"}]}]}], ")"}]}]}], ")"}]}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "g", "+", 
      RowBox[{"h", " ", "q"}], "+", "r", "-", 
      RowBox[{"g", " ", "r"}]}], ")"}], "4"]]}]], "Output",
 CellChangeTimes->{3.802275867014427*^9},
 CellLabel->
  "Out[167]=",ExpressionUUID->"c1469695-ca8d-4ce0-b72c-bcc562b6ee56"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Einsdelrearranged", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", "h", " ", "q", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"b", " ", "f", " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", "r"}], ")"}]}], "+", 
        RowBox[{"c", " ", "p", " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", "g"}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"b", " ", "h", " ", "p"}], "+", 
        RowBox[{"c", " ", "f", " ", "q"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "g"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", "r"}], ")"}]}], "+", 
        RowBox[{"h", " ", "q"}]}], ")"}]}]}], ")"}], "/", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "g"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "r"}], ")"}]}], "-", 
      RowBox[{"h", " ", "q"}]}], ")"}], "^", "3"}]}]}]], "Input",
 CellChangeTimes->{{3.8022760032879887`*^9, 3.802276020375759*^9}, {
  3.802276077983212*^9, 3.802276196591319*^9}, {3.8022762305992317`*^9, 
  3.802276253868964*^9}, {3.8022763099402523`*^9, 3.802276388887932*^9}, {
  3.802283500815456*^9, 3.802283509336547*^9}},
 CellLabel->
  "In[270]:=",ExpressionUUID->"39147c62-146b-467b-9461-6ee2cc9929c7"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"2", " ", "h", " ", "q", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"c", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "g"}], ")"}], " ", "p"}], "+", 
      RowBox[{"b", " ", "f", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "r"}], ")"}]}]}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"b", " ", "h", " ", "p"}], "+", 
      RowBox[{"c", " ", "f", " ", "q"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"h", " ", "q"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "g"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "r"}], ")"}]}]}], ")"}]}]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "h"}], " ", "q"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "g"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "r"}], ")"}]}]}], ")"}], "3"]]], "Output",
 CellChangeTimes->{{3.802276007758965*^9, 3.8022760222281103`*^9}, {
   3.802276103279808*^9, 3.8022761463735657`*^9}, {3.802276222732317*^9, 
   3.802276254705429*^9}, 3.80227633013118*^9, {3.802276370842154*^9, 
   3.802276391817984*^9}, 3.802283510424584*^9},
 CellLabel->
  "Out[270]=",ExpressionUUID->"9d1137b3-b097-4198-ba0a-6eee06fa452f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"Einsdel", "-", "Einsdelrearranged"}], "]"}]], "Input",
 CellChangeTimes->{{3.8022760231590233`*^9, 3.80227602910213*^9}},
 CellLabel->
  "In[271]:=",ExpressionUUID->"062be550-79b1-4ab5-9804-44c11b0e40d6"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.802276029436997*^9, {3.802276104493944*^9, 3.802276148271613*^9}, {
   3.802276223968645*^9, 3.802276256511182*^9}, 3.802276331764431*^9, {
   3.802276372082594*^9, 3.802276393226104*^9}, 3.802283511824628*^9},
 CellLabel->
  "Out[271]=",ExpressionUUID->"2c1c6a84-f4f5-45d9-baa7-1faedb312cdd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", "Einsdelrearranged", "]"}]], "Input",
 CellChangeTimes->{{3.802276395703692*^9, 3.802276402214513*^9}},
 CellLabel->
  "In[198]:=",ExpressionUUID->"33abf72a-398f-4a70-8ca5-0d386ba495b5"],

Cell["\<\
\\frac{((1-g) (1-r)+h q) (b h p+c f q)+2 b f h q (1-r)+2 c (1-g) h p \
q}{((1-g) (1-r)-h q)^3}\
\>", "Output",
 CellChangeTimes->{3.8022764026456547`*^9},
 CellLabel->
  "Out[198]//TeXForm=",ExpressionUUID->"472ee668-6acb-4066-86ff-dfb3445de356"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Eins"], "Input",
 CellChangeTimes->{{3.80227876814079*^9, 3.8022787686507263`*^9}},
 CellLabel->
  "In[199]:=",ExpressionUUID->"3f9a37c8-2f27-4bc3-880d-d5d8eea9bae1"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "c"}], " ", "q"}], "+", 
     RowBox[{"b", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "r"}], ")"}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "h"}], " ", "p"}], "+", 
     RowBox[{"f", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "r"}], ")"}]}]}], ")"}]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "g", "+", 
     RowBox[{"h", " ", "q"}], "+", "r", "-", 
     RowBox[{"g", " ", "r"}]}], ")"}], "2"]]], "Output",
 CellChangeTimes->{3.802278769091466*^9},
 CellLabel->
  "Out[199]=",ExpressionUUID->"f0ebc41c-464c-43dd-92a0-b11f08d677e9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Einsrearranged", "=", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"c", " ", "q"}], "+", 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "r"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"h", " ", "p"}], "+", 
      RowBox[{"f", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "r"}], ")"}]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "g"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", "r"}], ")"}]}], "-", 
      RowBox[{"h", " ", "q"}]}], ")"}], "2"]]}]], "Input",
 CellChangeTimes->{{3.802278770500065*^9, 3.802278813049654*^9}},
 CellLabel->
  "In[202]:=",ExpressionUUID->"63174f31-d7e9-4e66-b21f-7f2fc723558b"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"c", " ", "q"}], "+", 
     RowBox[{"b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "r"}], ")"}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"h", " ", "p"}], "+", 
     RowBox[{"f", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "r"}], ")"}]}]}], ")"}]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "h"}], " ", "q"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "g"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "r"}], ")"}]}]}], ")"}], "2"]]], "Output",
 CellChangeTimes->{{3.802278789891307*^9, 3.802278813795967*^9}},
 CellLabel->
  "Out[202]=",ExpressionUUID->"291cfd23-b0d5-4eb5-8f81-8cee4768483f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"Eins", "-", "Einsrearranged"}], "]"}]], "Input",
 CellChangeTimes->{{3.802278790250918*^9, 3.802278794002165*^9}},
 CellLabel->
  "In[203]:=",ExpressionUUID->"f6d70d67-f16f-4a95-b975-b7faf42b2322"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.802278794366789*^9, 3.802278815396216*^9}},
 CellLabel->
  "Out[203]=",ExpressionUUID->"f76190c2-7ac5-4841-985d-702d8da0e579"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", "Einsrearranged", "]"}]], "Input",
 CellChangeTimes->{{3.802278824213107*^9, 3.8022788280409*^9}},
 CellLabel->
  "In[204]:=",ExpressionUUID->"9926710c-8d55-4649-b524-7176e4d410d7"],

Cell["\\frac{(b (1-r)+c q) (f (1-r)+h p)}{((1-g) (1-r)-h q)^2}", "Output",
 CellChangeTimes->{3.802278828397717*^9},
 CellLabel->
  "Out[204]//TeXForm=",ExpressionUUID->"67a0ed9d-2200-4e0c-bee4-668ad63046b1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Edel"], "Input",
 CellChangeTimes->{{3.8022788518488073`*^9, 3.802278852751326*^9}},
 CellLabel->
  "In[205]:=",ExpressionUUID->"0d80a8de-435f-4892-8e18-53a3641b4aec"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"c", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "g"}], ")"}]}], "-", 
     RowBox[{"b", " ", "h"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "p"}], "-", 
     RowBox[{"f", " ", "q"}]}], ")"}]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "g", "+", 
     RowBox[{"h", " ", "q"}], "+", "r", "-", 
     RowBox[{"g", " ", "r"}]}], ")"}], "2"]]], "Output",
 CellChangeTimes->{3.8022788533694572`*^9},
 CellLabel->
  "Out[205]=",ExpressionUUID->"205bb6e1-df54-4a95-b9ac-52cb052d8f7b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Edelrearranged", "=", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"b", " ", "h"}], "+", 
      RowBox[{"c", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "g"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"f", " ", "q"}], " ", "+", " ", 
      RowBox[{"p", 
       RowBox[{"(", 
        RowBox[{"1", "-", "g"}], ")"}]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "g"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", "r"}], ")"}]}], "-", 
      RowBox[{"h", " ", "q"}]}], ")"}], "2"]]}]], "Input",
 CellChangeTimes->{{3.8022788541286163`*^9, 3.802278895333839*^9}},
 CellLabel->
  "In[206]:=",ExpressionUUID->"7d0bb9fd-b59b-4af9-a3d1-c1f55fddafbf"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"c", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "g"}], ")"}]}], "+", 
     RowBox[{"b", " ", "h"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "g"}], ")"}], " ", "p"}], "+", 
     RowBox[{"f", " ", "q"}]}], ")"}]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "h"}], " ", "q"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "g"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "r"}], ")"}]}]}], ")"}], "2"]]], "Output",
 CellChangeTimes->{3.802278896096251*^9},
 CellLabel->
  "Out[206]=",ExpressionUUID->"53d3bf5d-7210-4a63-8d4f-cbd4c7e5c0ca"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"Edel", "-", "Edelrearranged"}], "]"}]], "Input",
 CellChangeTimes->{{3.802278896894453*^9, 3.802278900733739*^9}},
 CellLabel->
  "In[207]:=",ExpressionUUID->"0e84e5fd-dab7-483c-846c-eb92b309a6b1"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.802278901004228*^9},
 CellLabel->
  "Out[207]=",ExpressionUUID->"aff58fe6-5d10-44e7-8836-92c9b9d805a5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", "Edelrearranged", "]"}]], "Input",
 CellChangeTimes->{{3.802278902846156*^9, 3.802278905829653*^9}},
 CellLabel->
  "In[208]:=",ExpressionUUID->"7adbd4c4-adab-4941-b47e-25be602b598a"],

Cell["\\frac{(b h+c (1-g)) (f q+(1-g) p)}{((1-g) (1-r)-h q)^2}", "Output",
 CellChangeTimes->{3.802278906243244*^9},
 CellLabel->
  "Out[208]//TeXForm=",ExpressionUUID->"c5cc68c9-c26e-4c22-bf79-a91a53915b26"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Einsinsrearranged", "=", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"c", " ", "q"}], "+", 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "r"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "+", 
      RowBox[{"h", " ", "p"}], "-", 
      RowBox[{"f", " ", "r"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", "g"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", "r"}], ")"}]}], "+", 
      RowBox[{"h", " ", "q"}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "g"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", "r"}], ")"}]}], "-", 
      RowBox[{"h", " ", "q"}]}], ")"}], "3"]]}]], "Input",
 CellChangeTimes->{{3.80228127181151*^9, 3.8022813498719797`*^9}, {
  3.802281382040369*^9, 3.802281390373951*^9}},
 CellLabel->
  "In[222]:=",ExpressionUUID->"5e71cdc2-eef6-48ec-9eee-f7dd52a24961"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"c", " ", "q"}], "+", 
     RowBox[{"b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "r"}], ")"}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"h", " ", "q"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", "g"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "r"}], ")"}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"f", "+", 
     RowBox[{"h", " ", "p"}], "-", 
     RowBox[{"f", " ", "r"}]}], ")"}]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "h"}], " ", "q"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "g"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "r"}], ")"}]}]}], ")"}], "3"]]], "Output",
 CellChangeTimes->{{3.80228127779438*^9, 3.802281283445167*^9}, {
   3.802281320574396*^9, 3.802281353947483*^9}, 3.802281391031893*^9},
 CellLabel->
  "Out[222]=",ExpressionUUID->"e84f8dbe-e4d3-4240-b6de-57d8e766b88b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"Einsins", "-", "Einsinsrearranged"}], "]"}]], "Input",
 CellChangeTimes->{{3.802281284323238*^9, 3.80228129146624*^9}},
 CellLabel->
  "In[223]:=",ExpressionUUID->"70b1c1b5-7db2-4bf5-b4fd-9acbf094eb54"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.802281291766176*^9, {3.802281321980091*^9, 3.8022813552830133`*^9}, 
   3.802281392928679*^9},
 CellLabel->
  "Out[223]=",ExpressionUUID->"42833558-78b0-4c9a-9065-253be4f6a740"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", "Einsinsrearranged", "]"}]], "Input",
 CellChangeTimes->{{3.8022814029579268`*^9, 3.8022814072693243`*^9}},
 CellLabel->
  "In[224]:=",ExpressionUUID->"fd3295a5-ae03-4145-9ff6-e20f1c32fcc3"],

Cell["\<\
\\frac{(b (1-r)+c q) (f (-r)+f+h p) ((g+1) (1-r)+h q)}{((1-g) (1-r)-h q)^3}\
\>", "Output",
 CellChangeTimes->{3.802281407743396*^9},
 CellLabel->
  "Out[224]//TeXForm=",ExpressionUUID->"e8046d0b-7db4-4ef5-accf-3db4227e0fa7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Edeldelrearranged", "=", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"b", " ", "h"}], "+", 
      RowBox[{"c", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "g"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "g"}], ")"}], " ", "p"}], "+", 
      RowBox[{"f", " ", "q"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "g"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "+", "r"}], ")"}]}], "+", 
      RowBox[{"h", " ", "q"}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "g"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", "r"}], ")"}]}], "-", 
      RowBox[{"h", " ", "q"}]}], ")"}], "3"]]}]], "Input",
 CellChangeTimes->{{3.802281421693511*^9, 3.802281545255641*^9}, {
  3.802281578287683*^9, 3.802281611869116*^9}},
 CellLabel->
  "In[245]:=",ExpressionUUID->"21a3666c-6756-4660-930d-0e53d3c592ab"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"c", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "g"}], ")"}]}], "+", 
     RowBox[{"b", " ", "h"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "g"}], ")"}], " ", "p"}], "+", 
     RowBox[{"f", " ", "q"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"h", " ", "q"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "g"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "r"}], ")"}]}]}], ")"}]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "h"}], " ", "q"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "g"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "r"}], ")"}]}]}], ")"}], "3"]]], "Output",
 CellChangeTimes->{{3.802281431383421*^9, 3.802281444960435*^9}, 
   3.8022814884841967`*^9, 3.802281521874745*^9, {3.802281559005083*^9, 
   3.802281612486351*^9}},
 CellLabel->
  "Out[245]=",ExpressionUUID->"64dc5e47-1d88-499c-8c7f-a828572746e2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"Edeldel", "-", "Edeldelrearranged"}], "]"}]], "Input",
 CellChangeTimes->{{3.802281432412971*^9, 3.8022814386919727`*^9}},
 CellLabel->
  "In[246]:=",ExpressionUUID->"67755313-9eee-4822-98b3-70a3f06e12db"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.802281438946765*^9, 3.802281446743498*^9}, 
   3.802281489884321*^9, 3.802281523026997*^9, {3.802281560115749*^9, 
   3.802281613551065*^9}},
 CellLabel->
  "Out[246]=",ExpressionUUID->"5f44ce1a-4b51-4edf-a4d0-21a5af4d6563"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", "Edeldelrearranged", "]"}]], "Input",
 CellChangeTimes->{{3.802281621292684*^9, 3.802281624331798*^9}},
 CellLabel->
  "In[247]:=",ExpressionUUID->"06251f48-3935-44d0-b592-128b8b31e27b"],

Cell["\<\
\\frac{(b h+c (1-g)) (f q+(1-g) p) ((1-g) (r+1)+h q)}{((1-g) (1-r)-h q)^3}\
\>", "Output",
 CellChangeTimes->{3.8022816246949787`*^9},
 CellLabel->
  "Out[247]//TeXForm=",ExpressionUUID->"6f4ff1fd-73bb-47eb-a73e-09e63b25ac4c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"genfuncrearranged", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"a", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"g", " ", "U", " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"r", " ", "V"}]}], ")"}]}], "-", 
        RowBox[{"V", " ", 
         RowBox[{"(", 
          RowBox[{"r", "+", 
           RowBox[{"h", " ", "q", " ", "U"}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{"b", " ", "U", " ", 
      RowBox[{"(", 
       RowBox[{"f", "+", 
        RowBox[{"V", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"h", " ", "p"}], "-", 
           RowBox[{"f", " ", "r"}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{"c", " ", "V", " ", 
      RowBox[{"(", 
       RowBox[{"p", "+", 
        RowBox[{"U", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"f", " ", "q"}], "-", 
           RowBox[{"g", " ", "p"}]}], ")"}]}]}], ")"}]}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"U", " ", "V", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"g", " ", "r"}], "-", 
        RowBox[{"h", " ", "q"}]}], ")"}]}], "-", 
     RowBox[{"g", " ", "U"}], "-", 
     RowBox[{"r", " ", "V"}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.802281774086771*^9, 3.802281792744095*^9}, {
  3.802281838237015*^9, 3.802281964518272*^9}, {3.802282006342697*^9, 
  3.802282008349847*^9}, {3.8022820386920547`*^9, 3.802282109016415*^9}, {
  3.802282260544133*^9, 3.802282274457061*^9}},
 CellLabel->
  "In[267]:=",ExpressionUUID->"3ba37ff7-c9e3-4054-853c-a349e6366454"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"c", " ", 
    RowBox[{"(", 
     RowBox[{"p", "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "g"}], " ", "p"}], "+", 
         RowBox[{"f", " ", "q"}]}], ")"}], " ", "U"}]}], ")"}], " ", "V"}], 
   "+", 
   RowBox[{"b", " ", "U", " ", 
    RowBox[{"(", 
     RowBox[{"f", "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"h", " ", "p"}], "-", 
         RowBox[{"f", " ", "r"}]}], ")"}], " ", "V"}]}], ")"}]}], "+", 
   RowBox[{"a", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"r", "+", 
         RowBox[{"h", " ", "q", " ", "U"}]}], ")"}], " ", "V"}], "-", 
      RowBox[{"g", " ", "U", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"r", " ", "V"}]}], ")"}]}]}], ")"}]}]}], 
  RowBox[{"1", "-", 
   RowBox[{"g", " ", "U"}], "-", 
   RowBox[{"r", " ", "V"}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "h"}], " ", "q"}], "+", 
      RowBox[{"g", " ", "r"}]}], ")"}], " ", "U", " ", "V"}]}]]], "Output",
 CellChangeTimes->{{3.802281781291651*^9, 3.802281793495997*^9}, 
   3.802281877996307*^9, 3.802281965624379*^9, {3.802282074564768*^9, 
   3.802282109930809*^9}, 3.80228227531635*^9},
 CellLabel->
  "Out[267]=",ExpressionUUID->"2ed89ce6-63ff-49d7-8cae-b63fa4ec9a28"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"genfunc", "-", "genfuncrearranged"}], "]"}]], "Input",
 CellChangeTimes->{{3.802281782726317*^9, 3.8022817880859137`*^9}},
 CellLabel->
  "In[268]:=",ExpressionUUID->"d0dd4a6d-5dcd-4010-bdc6-7d1e58501d4d"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.802281788395521*^9, 3.8022817945120707`*^9}, 
   3.802281879207741*^9, 3.802281966785521*^9, {3.8022820755251713`*^9, 
   3.802282111171509*^9}, 3.802282276987918*^9},
 CellLabel->
  "Out[268]=",ExpressionUUID->"cb5098bc-e7af-40aa-8a65-74f92a81a8c2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", "genfuncrearranged", "]"}]], "Input",
 CellChangeTimes->{{3.802281812413216*^9, 3.80228181430824*^9}, {
  3.8022821634703913`*^9, 3.8022821639501123`*^9}},
 CellLabel->
  "In[266]:=",ExpressionUUID->"f4e86db6-626b-47e9-a838-49399058bea0"],

Cell["\<\
\\frac{a (-g U (1-r V)+V (-(h q U+r))+1)+b U (V (h p-f r)+f)+c V (U (f q-g \
p)+p)}{U V (g r-h q)-g U-r V+1}\
\>", "Output",
 CellChangeTimes->{
  3.802281814818145*^9, {3.802282159216592*^9, 3.802282164805834*^9}},
 CellLabel->
  "Out[266]//TeXForm=",ExpressionUUID->"dfc9d32b-c3a9-46f4-adb8-2229918573ec"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", 
  RowBox[{"G", "[", 
   RowBox[{"U", ",", "V"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.802282519598938*^9, 3.802282543877473*^9}},
 CellLabel->
  "In[269]:=",ExpressionUUID->"3b2852f7-e656-478e-91a4-5d546d9e7a25"],

Cell["a+\\frac{U V (b h p+c f q)+b f U+c p V}{1-h q U V}", "Output",
 CellChangeTimes->{3.8022825443857183`*^9},
 CellLabel->
  "Out[269]//TeXForm=",ExpressionUUID->"6135d6cc-1bf8-4f0c-8d74-bbbea55be798"]
}, Open  ]]
},
WindowSize->{1426, 1178},
WindowMargins->{{Automatic, 223}, {Automatic, 0}},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) (March 18, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"593b36a4-fd93-4b02-916d-0be16638b19d"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 271, 4, 30, "Input",ExpressionUUID->"6d649c51-bad0-4fe6-b178-e6dd501adc1b"],
Cell[832, 26, 973, 24, 73, "Input",ExpressionUUID->"3381a545-607f-47c4-a6a7-0d77cb4b9739"],
Cell[CellGroupData[{
Cell[1830, 54, 351, 6, 30, "Input",ExpressionUUID->"a8252cd9-b083-4974-9f63-5870302ee66a"],
Cell[2184, 62, 316, 7, 45, "Output",ExpressionUUID->"9ef3e9fa-81b9-4a6e-b474-7722e3081c8b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2537, 74, 532, 13, 30, "Input",ExpressionUUID->"193b165c-f1d1-4fda-ae63-b1befb57e2ca"],
Cell[3072, 89, 404, 10, 34, "Output",ExpressionUUID->"5ea405e5-64ec-4272-81d1-403d9f011e3d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3513, 104, 4358, 125, 94, "Input",ExpressionUUID->"d32a9c44-bcef-49a9-90ca-555651042a3b"],
Cell[7874, 231, 3873, 113, 98, "Output",ExpressionUUID->"8eb0d4b3-bbe5-4aa2-8a70-5b810538c896"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11784, 349, 210, 3, 30, "Input",ExpressionUUID->"96a82422-e2a1-4bff-9f1d-d99fc282ae74"],
Cell[11997, 354, 3649, 112, 188, "Output",ExpressionUUID->"358e5427-7851-46f4-bc97-fa689465e665"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15683, 471, 257, 5, 30, "Input",ExpressionUUID->"96211339-5c46-4fc4-8afa-a3692ea375a0"],
Cell[15943, 478, 227, 4, 34, "Output",ExpressionUUID->"8d47b4d5-3d44-4bd9-95ea-80fce5be1202"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16207, 487, 255, 5, 30, "Input",ExpressionUUID->"51c52fea-4696-4611-b803-dc856305b22d"],
Cell[16465, 494, 228, 4, 34, "Output",ExpressionUUID->"79e2651f-e267-40c0-88cf-377ed7174374"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16730, 503, 255, 5, 30, "Input",ExpressionUUID->"575c293a-f1cc-4828-8970-3768c4c46c26"],
Cell[16988, 510, 226, 4, 34, "Output",ExpressionUUID->"7ee37fc4-f082-4362-8d04-a96007084f6b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17251, 519, 244, 4, 30, "Input",ExpressionUUID->"ae33e189-4462-480b-8aee-5eb8fd959bd0"],
Cell[17498, 525, 402, 10, 34, "Output",ExpressionUUID->"d4f58180-6af4-4bdc-b78a-88198c8ef9ef"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17937, 540, 242, 4, 30, "Input",ExpressionUUID->"4f9d8a87-7096-4b72-9e4b-cfe905521db4"],
Cell[18182, 546, 405, 10, 34, "Output",ExpressionUUID->"9c9d2865-0cc2-4539-b993-c71d10798e62"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18624, 561, 294, 5, 30, "Input",ExpressionUUID->"09f67f1a-dd70-4f8a-af3d-09a8ad54b069"],
Cell[18921, 568, 405, 10, 34, "Output",ExpressionUUID->"66b6690f-ad3b-4214-9870-01948fd41c54"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19363, 583, 430, 8, 30, "Input",ExpressionUUID->"ffebdd68-4ace-4a10-9407-6b6d358b44d2"],
Cell[19796, 593, 405, 10, 34, "Output",ExpressionUUID->"a7fea73d-b4fd-49d7-8344-e7db5345aeff"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20238, 608, 249, 4, 30, "Input",ExpressionUUID->"adb124d0-707c-494c-babd-6c3b6039550d"],
Cell[20490, 614, 403, 10, 34, "Output",ExpressionUUID->"7a2c26e7-a0bc-4293-b6c8-59d39ddf23b9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20930, 629, 476, 9, 30, "Input",ExpressionUUID->"a950a092-10d5-49fc-ac01-509fa9166a5a"],
Cell[21409, 640, 1465, 42, 54, "Output",ExpressionUUID->"d2caddd0-bfe0-4e82-8a94-36c9b28c168d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22911, 687, 347, 6, 30, "Input",ExpressionUUID->"ef59be34-1944-40fd-8f85-b4dd12feac66"],
Cell[23261, 695, 403, 10, 34, "Output",ExpressionUUID->"987091ca-1cb6-4b91-98eb-7473894e8b3b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23701, 710, 557, 10, 30, "Input",ExpressionUUID->"f6f34490-ba2d-496d-aad8-77cb383fd4cd"],
Cell[24261, 722, 1465, 42, 54, "Output",ExpressionUUID->"dc7c43e0-c798-4909-ace2-f856cd8b85cb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25763, 769, 433, 9, 30, "Input",ExpressionUUID->"c1686d6f-76aa-4cda-88f1-c57f46b09907"],
Cell[26199, 780, 1465, 42, 54, "Output",ExpressionUUID->"bc757283-62a6-402d-9435-106ed7dee751"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27701, 827, 488, 12, 30, "Input",ExpressionUUID->"c1978d90-1532-4bc7-b06e-744d8879822e"],
Cell[28192, 841, 823, 28, 55, "Output",ExpressionUUID->"a081b5bf-5ec8-4516-a0c1-e3f49b36043d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29052, 874, 491, 12, 30, "Input",ExpressionUUID->"a369f733-c5d4-436f-8875-fccab7557640"],
Cell[29546, 888, 783, 26, 55, "Output",ExpressionUUID->"d39a15db-39e7-43bd-95f0-714c2011e788"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30366, 919, 571, 16, 30, "Input",ExpressionUUID->"1150651b-a904-44c8-af51-52acc6f48f00"],
Cell[30940, 937, 871, 29, 55, "Output",ExpressionUUID->"77092f19-f49b-4972-b7e1-44e8888778fd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[31848, 971, 571, 16, 30, "Input",ExpressionUUID->"66dee7e5-92a8-4248-ad0a-9c49d03ad115"],
Cell[32422, 989, 963, 33, 55, "Output",ExpressionUUID->"7f49b618-854e-4ea9-a3a5-4e022a092a15"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33422, 1027, 543, 15, 30, "Input",ExpressionUUID->"0813f8cf-4ec1-4484-9619-00aeb68c95f2"],
Cell[33968, 1044, 1426, 46, 55, "Output",ExpressionUUID->"93a158ed-6cb6-4b1c-8018-e16ffd9d5980"]
}, Open  ]],
Cell[CellGroupData[{
Cell[35431, 1095, 276, 5, 30, "Input",ExpressionUUID->"f9d283a2-2ad1-4958-b8da-b4f8e40925a6"],
Cell[35710, 1102, 405, 10, 34, "Output",ExpressionUUID->"37663d6c-3e86-4b19-ac05-ec3af049dca3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36152, 1117, 276, 5, 30, "Input",ExpressionUUID->"cbb53118-e39e-48da-9fd0-56024725b6c8"],
Cell[36431, 1124, 403, 10, 34, "Output",ExpressionUUID->"e43801d0-23a1-41d5-9313-569ec9a4b178"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36871, 1139, 280, 5, 30, "Input",ExpressionUUID->"3460a124-0837-4208-9d7b-21bb827f0bb5"],
Cell[37154, 1146, 402, 10, 34, "Output",ExpressionUUID->"2f415397-865d-4175-8d59-20eef5cedc4d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[37593, 1161, 278, 5, 30, "Input",ExpressionUUID->"0408a428-3810-41b0-bf28-69adc08617c3"],
Cell[37874, 1168, 403, 10, 34, "Output",ExpressionUUID->"96d54dee-0c80-474e-a1cf-efd9a5853ac0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38314, 1183, 278, 5, 30, "Input",ExpressionUUID->"198c3f4b-143e-4790-a5ab-6f9eb4da0244"],
Cell[38595, 1190, 403, 10, 34, "Output",ExpressionUUID->"823db3a2-f05f-42f4-9606-ae53d3f41519"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39035, 1205, 276, 5, 30, "Input",ExpressionUUID->"6b55b9aa-0a0f-4a01-a859-4ea306890c75"],
Cell[39314, 1212, 401, 10, 34, "Output",ExpressionUUID->"09608332-5d42-4691-b14e-6d71f4f69850"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39752, 1227, 276, 5, 30, "Input",ExpressionUUID->"948302fc-13c7-4b33-b9de-079e3e297027"],
Cell[40031, 1234, 403, 10, 34, "Output",ExpressionUUID->"ba31f095-7b58-421b-85ca-916a3c618f69"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40471, 1249, 277, 5, 30, "Input",ExpressionUUID->"3d7027e6-502c-45ff-b0a3-33f2c8e39017"],
Cell[40751, 1256, 402, 10, 34, "Output",ExpressionUUID->"306d6640-7f0a-4e9e-8a6d-f9c031b40608"]
}, Open  ]],
Cell[CellGroupData[{
Cell[41190, 1271, 327, 6, 30, "Input",ExpressionUUID->"260ad841-f2bf-477c-bd1a-3d0ca98da696"],
Cell[41520, 1279, 403, 10, 34, "Output",ExpressionUUID->"d62a8f04-9162-42dd-aef5-94240c70e7df"]
}, Open  ]],
Cell[CellGroupData[{
Cell[41960, 1294, 598, 13, 30, "Input",ExpressionUUID->"bbc28c91-71c1-4239-937d-637c7f153a14"],
Cell[42561, 1309, 803, 26, 55, "Output",ExpressionUUID->"d0b5048a-8a3f-44cc-99c0-7d106000cb66"]
}, Open  ]],
Cell[CellGroupData[{
Cell[43401, 1340, 495, 12, 30, "Input",ExpressionUUID->"9b900c36-71e5-44db-943d-0dcf4c8cd1c9"],
Cell[43899, 1354, 729, 22, 55, "Output",ExpressionUUID->"516c7483-ad7b-4ce8-b4d9-cbf9bff43a3d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[44665, 1381, 497, 12, 30, "Input",ExpressionUUID->"122e8a36-e3ca-4937-a447-87edd5a81442"],
Cell[45165, 1395, 472, 13, 54, "Output",ExpressionUUID->"f5b2be1c-cae7-4d3f-9fd8-e9fa5011f11e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[45674, 1413, 497, 12, 30, "Input",ExpressionUUID->"08cd648b-68ef-42d1-9119-ead7c3615788"],
Cell[46174, 1427, 729, 22, 55, "Output",ExpressionUUID->"4047714f-27ed-4898-b330-7efd083f8b4f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[46940, 1454, 494, 12, 30, "Input",ExpressionUUID->"04163d2b-5609-4455-8319-90e4c7cabf54"],
Cell[47437, 1468, 471, 13, 54, "Output",ExpressionUUID->"86ad53ff-c036-417c-ba20-99e7d8da9ee0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[47945, 1486, 544, 13, 30, "Input",ExpressionUUID->"6a772b02-0b2a-4732-9927-f78e2967259f"],
Cell[48492, 1501, 762, 24, 55, "Output",ExpressionUUID->"0bca0f7d-fac5-41b3-85d5-12afb9ad8d1d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[49291, 1530, 545, 13, 30, "Input",ExpressionUUID->"02b3ee9c-2208-4811-a1e3-0f92d7acb2a1"],
Cell[49839, 1545, 171, 2, 34, "Output",ExpressionUUID->"ad67c5d6-dbf1-456d-9df0-75140549167e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[50047, 1552, 499, 12, 30, "Input",ExpressionUUID->"fa68a82c-d44b-4176-9087-86b68860904d"],
Cell[50549, 1566, 472, 13, 54, "Output",ExpressionUUID->"a46bbf1e-b68f-4a7d-b82c-531b40f12af6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[51058, 1584, 499, 12, 30, "Input",ExpressionUUID->"b6ed4a20-ce10-41e7-9a38-2ebbf97e7ada"],
Cell[51560, 1598, 472, 13, 54, "Output",ExpressionUUID->"5d07c66b-987a-46b2-9808-516f74927737"]
}, Open  ]],
Cell[CellGroupData[{
Cell[52069, 1616, 265, 4, 30, "Input",ExpressionUUID->"1ad7db13-f6d8-4bc7-94ac-ab472f48d343"],
Cell[52337, 1622, 173, 2, 34, "Output",ExpressionUUID->"37d544ea-15ae-461d-99c2-300f85c4434e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[52547, 1629, 265, 4, 30, "Input",ExpressionUUID->"a542087d-a5a9-4e9f-92be-c4e901f5beea"],
Cell[52815, 1635, 171, 2, 34, "Output",ExpressionUUID->"854d0c62-a0de-48a5-92d8-2b89568c8261"]
}, Open  ]],
Cell[CellGroupData[{
Cell[53023, 1642, 569, 14, 30, "Input",ExpressionUUID->"0078b6c9-d337-404d-8ee1-6b951b62262e"],
Cell[53595, 1658, 171, 2, 34, "Output",ExpressionUUID->"4df21be9-4148-4397-9c67-7a5f203a84af"]
}, Open  ]],
Cell[CellGroupData[{
Cell[53803, 1665, 397, 8, 30, "Input",ExpressionUUID->"f36a55f7-b12c-4a91-9fbf-6c55a00d9885"],
Cell[54203, 1675, 293, 6, 34, "Output",ExpressionUUID->"92097fc6-c2a0-45e2-b64d-7a64f13250bc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[54533, 1686, 402, 8, 30, "Input",ExpressionUUID->"dc1fcf94-5405-469c-b6d6-4f932fec11b7"],
Cell[54938, 1696, 295, 6, 34, "Output",ExpressionUUID->"90b30378-38d6-4a22-9af9-1ee16a4b69fd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[55270, 1707, 377, 8, 30, "Input",ExpressionUUID->"e418edee-f161-4c45-a773-02ebf8dfcea8"],
Cell[55650, 1717, 293, 6, 34, "Output",ExpressionUUID->"b275faaf-d4dd-470a-ba72-049b4739f9bb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[55980, 1728, 355, 8, 30, "Input",ExpressionUUID->"300810cf-fa35-4191-a1d3-e67f11b77f33"],
Cell[56338, 1738, 292, 6, 34, "Output",ExpressionUUID->"b228e3d2-248d-47f1-86bd-9f7f0a19fc36"]
}, Open  ]],
Cell[CellGroupData[{
Cell[56667, 1749, 478, 9, 30, "Input",ExpressionUUID->"1be5b30c-e0fd-406d-91f6-5e6e7a68f150"],
Cell[57148, 1760, 1458, 40, 56, "Output",ExpressionUUID->"16e5c623-9e3d-4de6-8f42-7ea8d388a34d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[58643, 1805, 280, 5, 30, "Input",ExpressionUUID->"4ca6be7f-54b4-4b80-8d6f-9c37e0682baf"],
Cell[58926, 1812, 1460, 40, 56, "Output",ExpressionUUID->"a1327409-00be-4a05-977d-4f6bbc337973"]
}, Open  ]],
Cell[CellGroupData[{
Cell[60423, 1857, 273, 5, 30, "Input",ExpressionUUID->"53f54a18-ef61-4cbf-9caf-9cd4a72e893d"],
Cell[60699, 1864, 1455, 40, 56, "Output",ExpressionUUID->"288f1e35-4bdc-41ac-8cce-08392a1444e0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[62191, 1909, 295, 5, 30, "Input",ExpressionUUID->"31ec89c5-f134-4ce0-bb95-f2761cdcd0d9"],
Cell[62489, 1916, 1456, 40, 56, "Output",ExpressionUUID->"f3956fd3-b9ed-41c1-8e6f-b8606e6db0d7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[63982, 1961, 246, 4, 30, "Input",ExpressionUUID->"909dd2ab-f5ea-4f9b-b6bf-6dd5a70e5b10"],
Cell[64231, 1967, 1456, 40, 56, "Output",ExpressionUUID->"8b13c859-4cea-4b5e-a613-a754622a993e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[65724, 2012, 242, 4, 30, "Input",ExpressionUUID->"ac3875ba-04c5-43fa-be77-ee02ec1cd37c"],
Cell[65969, 2018, 1460, 40, 56, "Output",ExpressionUUID->"048fd181-d350-452f-848c-b0ccfa2f3238"]
}, Open  ]],
Cell[CellGroupData[{
Cell[67466, 2063, 279, 5, 30, "Input",ExpressionUUID->"74c9a2f5-53f1-42cb-8d17-3b50ec5e1656"],
Cell[67748, 2070, 1455, 40, 56, "Output",ExpressionUUID->"fcb5c5e3-33a7-44c3-8b1e-7e4708cbbcb2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[69240, 2115, 328, 6, 30, "Input",ExpressionUUID->"ad4ea204-e721-46f7-881e-2c8dc6f7b4ef"],
Cell[69571, 2123, 1456, 40, 56, "Output",ExpressionUUID->"f446c6c3-1d2e-4fdf-b512-bc289e766fb3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[71064, 2168, 332, 6, 30, "Input",ExpressionUUID->"8cd40acf-03db-4481-a5d8-90594af5655f"],
Cell[71399, 2176, 1456, 40, 56, "Output",ExpressionUUID->"3e576247-4293-4f7e-8927-c941f8836d79"]
}, Open  ]],
Cell[CellGroupData[{
Cell[72892, 2221, 279, 5, 30, "Input",ExpressionUUID->"51e3ff66-6d19-4e29-986d-8f1e98acc4ef"],
Cell[73174, 2228, 1456, 40, 56, "Output",ExpressionUUID->"93886511-2f92-41aa-a1b8-a685d6167811"]
}, Open  ]],
Cell[CellGroupData[{
Cell[74667, 2273, 279, 5, 30, "Input",ExpressionUUID->"a6016598-701a-49e2-a860-d2329685c052"],
Cell[74949, 2280, 1458, 40, 56, "Output",ExpressionUUID->"2757fd61-aa18-48f9-b191-c71337261f21"]
}, Open  ]],
Cell[CellGroupData[{
Cell[76444, 2325, 353, 6, 30, "Input",ExpressionUUID->"9c21632e-be0b-4c96-8aba-979f0ca1ec7c"],
Cell[76800, 2333, 1456, 40, 56, "Output",ExpressionUUID->"59c61e2f-5a3c-4e7c-a9c2-59e7928ca542"]
}, Open  ]],
Cell[CellGroupData[{
Cell[78293, 2378, 403, 7, 30, "Input",ExpressionUUID->"f1fa778a-64e8-4c88-9edd-047c54ce23e2"],
Cell[78699, 2387, 1458, 40, 56, "Output",ExpressionUUID->"faf9d32d-d464-4baf-a2b5-b7d7c30d3e65"]
}, Open  ]],
Cell[CellGroupData[{
Cell[80194, 2432, 281, 5, 30, "Input",ExpressionUUID->"11dcbda2-fe4f-4bc4-bd93-c72636660c82"],
Cell[80478, 2439, 1456, 40, 56, "Output",ExpressionUUID->"eafaec4c-e76f-490e-9a80-a9ddfb90ca5e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[81971, 2484, 279, 5, 30, "Input",ExpressionUUID->"fd0d9b7f-131b-43bc-81c8-ad6325baf68b"],
Cell[82253, 2491, 1458, 40, 56, "Output",ExpressionUUID->"59d69b3f-a7df-4199-a2df-b0c1b1128c24"]
}, Open  ]],
Cell[CellGroupData[{
Cell[83748, 2536, 433, 9, 30, "Input",ExpressionUUID->"f5489dff-0d75-43c4-b79a-7c452a4c45c5"],
Cell[84184, 2547, 15593, 382, 182, "Output",ExpressionUUID->"852d52ea-b1fc-42ef-90ba-9c1d8563259c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[99814, 2934, 461, 10, 30, "Input",ExpressionUUID->"bf4c3976-cd61-4fee-94de-be44c3edd5d5"],
Cell[100278, 2946, 8974, 274, 295, "Output",ExpressionUUID->"706e844c-c70e-4bb6-8cab-ca73b26b0172"]
}, Open  ]],
Cell[CellGroupData[{
Cell[109289, 3225, 515, 10, 30, "Input",ExpressionUUID->"f8b4b46d-f08f-46ae-9e7f-7688aa01437c"],
Cell[109807, 3237, 16112, 387, 179, "Output",ExpressionUUID->"dc9fa807-a995-4d93-90be-bb898e7c6022"]
}, Open  ]],
Cell[CellGroupData[{
Cell[125956, 3629, 1122, 28, 30, "Input",ExpressionUUID->"b3ec8669-38d9-43df-9147-0f2a720b9487"],
Cell[127081, 3659, 1232, 35, 54, "Output",ExpressionUUID->"fb7a8f4d-56cd-475c-896a-0662d280ea6a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[128350, 3699, 1072, 27, 30, "Input",ExpressionUUID->"d53fafbb-84d7-4fa3-9fac-74d1dd5e0460"],
Cell[129425, 3728, 1032, 28, 54, "Output",ExpressionUUID->"093eee2c-5757-4092-80ff-a2f1723dbb06"]
}, Open  ]],
Cell[CellGroupData[{
Cell[130494, 3761, 1076, 27, 30, "Input",ExpressionUUID->"28db9226-c869-454b-b665-88e728cae534"],
Cell[131573, 3790, 1529, 43, 54, "Output",ExpressionUUID->"a8dbbd09-2c23-4126-a5b1-49c80cf5c5dc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[133139, 3838, 1126, 28, 30, "Input",ExpressionUUID->"632a0673-2a54-4605-a0d9-b036d3003630"],
Cell[134268, 3868, 2780, 75, 64, "Output",ExpressionUUID->"07083e88-8cd2-408d-8ef2-bf382eba1e18"]
}, Open  ]],
Cell[CellGroupData[{
Cell[137085, 3948, 1080, 27, 30, "Input",ExpressionUUID->"70c515ac-5ce1-433e-8548-ef0efd4f8745"],
Cell[138168, 3977, 2931, 74, 58, "Output",ExpressionUUID->"d5dc9673-c19a-4c77-860a-8b780349b14b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[141136, 4056, 1072, 27, 30, "Input",ExpressionUUID->"5e6df74b-de9b-449c-b2df-b2308c56b014"],
Cell[142211, 4085, 1780, 50, 54, "Output",ExpressionUUID->"e40deb6a-f078-4005-8924-cdaf39d1375e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[144028, 4140, 1075, 27, 30, "Input",ExpressionUUID->"5361a64a-a5ce-46b7-b928-1b3c0473a314"],
Cell[145106, 4169, 1636, 46, 54, "Output",ExpressionUUID->"bb24367a-9e46-46f3-94f1-f566479490f5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[146779, 4220, 1073, 27, 30, "Input",ExpressionUUID->"e062b3b2-d3c9-42f5-b06a-82c8dc9ef507"],
Cell[147855, 4249, 3396, 91, 58, "Output",ExpressionUUID->"5e8c5452-0150-44c7-a745-44ce0599a8a5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[151288, 4345, 1126, 28, 30, "Input",ExpressionUUID->"f3f1dcae-3764-4a2d-af82-24c005fd94d3"],
Cell[152417, 4375, 3214, 87, 54, "Output",ExpressionUUID->"591bd3b0-67e5-441d-9492-49a2eed6e4c2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[155668, 4467, 528, 15, 30, "Input",ExpressionUUID->"86d281be-006b-40b9-90fc-e726f3b7425d"],
Cell[156199, 4484, 526, 17, 34, "Output",ExpressionUUID->"8249cc2e-bfe3-4b3d-ab08-a1d441a389b9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[156762, 4506, 703, 14, 30, "Input",ExpressionUUID->"7e22ea09-b1f9-4345-aa64-d0ca00c40257"],
Cell[157468, 4522, 225, 3, 45, "Output",ExpressionUUID->"71fb1d48-da44-484f-8a2e-2896b6d9aef6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[157730, 4530, 614, 13, 30, "Input",ExpressionUUID->"7fef4858-1776-4f8e-9629-23156ce190c8"],
Cell[158347, 4545, 222, 3, 45, "Output",ExpressionUUID->"cab08a12-5c6e-492f-8651-2edbce2cc197"]
}, Open  ]],
Cell[CellGroupData[{
Cell[158606, 4553, 557, 12, 30, "Input",ExpressionUUID->"59acb64d-2a81-4937-a868-9d31b12635b2"],
Cell[159166, 4567, 237, 4, 45, "Output",ExpressionUUID->"3ef55dfc-f231-49e6-b2d3-616c0fcf19aa"]
}, Open  ]],
Cell[CellGroupData[{
Cell[159440, 4576, 553, 12, 30, "Input",ExpressionUUID->"2f25084d-28ae-4574-bf05-b13557429595"],
Cell[159996, 4590, 253, 5, 45, "Output",ExpressionUUID->"01c0c36a-fcd0-4fe6-b607-a5a3a61838f3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[160286, 4600, 484, 11, 30, "Input",ExpressionUUID->"50cbd4cc-86ba-4165-bf28-e119ef4b3fbd"],
Cell[160773, 4613, 320, 6, 45, "Output",ExpressionUUID->"436d8d2e-f712-4bf5-b408-7c2ff07d1b30"]
}, Open  ]],
Cell[CellGroupData[{
Cell[161130, 4624, 462, 11, 30, "Input",ExpressionUUID->"319e81f3-c41a-454f-8925-55045f502072"],
Cell[161595, 4637, 325, 6, 45, "Output",ExpressionUUID->"565d4a29-d1df-463c-ac75-9907f2293b3c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[161957, 4648, 459, 11, 30, "Input",ExpressionUUID->"6c692931-496c-4b51-a859-2fb733837b82"],
Cell[162419, 4661, 348, 7, 45, "Output",ExpressionUUID->"f7aacb53-a9fd-4c99-86d6-ab58765ca46a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[162804, 4673, 457, 11, 30, "Input",ExpressionUUID->"eb8f7d0f-03a7-440d-8622-596efa3943ca"],
Cell[163264, 4686, 246, 5, 45, "Output",ExpressionUUID->"8ec7bb38-3a08-4746-8a6f-3e302bb45403"]
}, Open  ]],
Cell[CellGroupData[{
Cell[163547, 4696, 538, 12, 30, "Input",ExpressionUUID->"52b2925e-2f34-435a-acca-16ab507aa5a8"],
Cell[164088, 4710, 340, 7, 45, "Output",ExpressionUUID->"a2d07a76-0689-46ba-b446-53ff1285eaf2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[164465, 4722, 926, 25, 30, "Input",ExpressionUUID->"624e64d7-4f94-4a8d-9391-7d97c70afad5"],
Cell[165394, 4749, 171, 2, 34, "Output",ExpressionUUID->"93acc19a-7d62-49b7-a33f-5a1f3ab71aca"]
}, Open  ]],
Cell[CellGroupData[{
Cell[165602, 4756, 822, 23, 30, "Input",ExpressionUUID->"a00fe2cb-7263-4687-aa2f-db569b721289"],
Cell[166427, 4781, 173, 2, 34, "Output",ExpressionUUID->"c3b7f8ec-dbe2-4c74-aa45-db3938b6af81"]
}, Open  ]],
Cell[CellGroupData[{
Cell[166637, 4788, 871, 25, 30, "Input",ExpressionUUID->"897e58ac-07d7-402b-b6fa-54b6d2b57aa7"],
Cell[167511, 4815, 763, 23, 59, "Output",ExpressionUUID->"afbdbd2c-c854-4804-8aa9-86b02abd19ee"]
}, Open  ]],
Cell[CellGroupData[{
Cell[168311, 4843, 324, 7, 30, "Input",ExpressionUUID->"adaa2905-fe3d-43f0-817e-8db03a61ddaf"],
Cell[168638, 4852, 276, 6, 34, "Output",ExpressionUUID->"f891eb98-38ec-4589-a19a-da2cb989f545"]
}, Open  ]],
Cell[CellGroupData[{
Cell[168951, 4863, 393, 10, 30, "Input",ExpressionUUID->"a1bbf360-f09b-4fe7-9eb0-9ce49c3b2581"],
Cell[169347, 4875, 1024, 32, 64, "Output",ExpressionUUID->"cde44478-e874-43df-bb0f-49e601e92e1a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[170408, 4912, 1503, 42, 52, "Input",ExpressionUUID->"6265dfef-855d-4c9b-b6c4-397cee0f95e3"],
Cell[171914, 4956, 7995, 248, 170, "Output",ExpressionUUID->"94df5ab6-449e-4623-af5e-da27a726be84"]
}, Open  ]],
Cell[CellGroupData[{
Cell[179946, 5209, 555, 13, 30, "Input",ExpressionUUID->"8ec13b2e-afe1-401d-ab62-10d99b4f14ef"],
Cell[180504, 5224, 246, 4, 34, "Output",ExpressionUUID->"3b417eb3-1ca3-4e90-8fda-05e851aa10cd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[180787, 5233, 434, 11, 30, "Input",ExpressionUUID->"0d8f8d53-e4ad-461b-b88c-d8b845c0b01b"],
Cell[181224, 5246, 171, 2, 34, "Output",ExpressionUUID->"ca500e35-e473-499c-93db-96c14d03f256"]
}, Open  ]],
Cell[CellGroupData[{
Cell[181432, 5253, 432, 11, 30, "Input",ExpressionUUID->"f1be1382-fb2d-471d-a5d6-f0c3080cf6cd"],
Cell[181867, 5266, 171, 2, 34, "Output",ExpressionUUID->"5b0eb6cd-b248-477a-b38f-c5ae8743d4e0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[182075, 5273, 510, 13, 30, "Input",ExpressionUUID->"c4258814-b0e9-4498-a22d-2ddf40fbb970"],
Cell[182588, 5288, 198, 3, 34, "Output",ExpressionUUID->"3e13bc8f-f1f7-4874-81db-fde76f18d7e3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[182823, 5296, 515, 13, 30, "Input",ExpressionUUID->"4d15efd9-22a2-464d-9d09-5d7c654ce1ec"],
Cell[183341, 5311, 196, 3, 34, "Output",ExpressionUUID->"9f79f893-38bc-41ba-87aa-13f6ef8df9dd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[183574, 5319, 511, 13, 30, "Input",ExpressionUUID->"e7cc327e-0c94-4076-832d-e32ebcea0abb"],
Cell[184088, 5334, 198, 3, 34, "Output",ExpressionUUID->"b5a5cfef-a078-46fa-9a59-689fc97aee1f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[184323, 5342, 512, 13, 30, "Input",ExpressionUUID->"3b52fcd1-17a5-4df2-9bc3-df4db87b735f"],
Cell[184838, 5357, 200, 3, 34, "Output",ExpressionUUID->"852e6195-a0ea-4507-a42c-88a2a0c67be6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[185075, 5365, 512, 13, 30, "Input",ExpressionUUID->"e3134034-55d2-4f89-a0f8-a56ff047f1fc"],
Cell[185590, 5380, 198, 3, 34, "Output",ExpressionUUID->"95993ec7-a912-4282-8f8d-07c0250633ed"]
}, Open  ]],
Cell[CellGroupData[{
Cell[185825, 5388, 514, 13, 30, "Input",ExpressionUUID->"2ddb9d77-db73-4ede-b893-2c727274f560"],
Cell[186342, 5403, 197, 3, 34, "Output",ExpressionUUID->"875372e0-a661-4591-8607-0e3d577eda59"]
}, Open  ]],
Cell[CellGroupData[{
Cell[186576, 5411, 264, 4, 30, "Input",ExpressionUUID->"39c4a65c-b00b-4639-8b4d-0d5a5cf004f8"],
Cell[186843, 5417, 258, 4, 45, "Output",ExpressionUUID->"96eaadb6-e66c-4b5b-af20-a68c16852876"]
}, Open  ]],
Cell[CellGroupData[{
Cell[187138, 5426, 244, 5, 30, "Input",ExpressionUUID->"2e299f5a-202f-4e35-aee7-86f614e043d1"],
Cell[187385, 5433, 258, 4, 45, "Output",ExpressionUUID->"ee487411-7c2d-4103-b1d0-40d84e8a9781"]
}, Open  ]],
Cell[CellGroupData[{
Cell[187680, 5442, 266, 5, 30, "Input",ExpressionUUID->"90bffe8b-1164-4f97-b7a5-82d4cac8d34c"],
Cell[187949, 5449, 264, 6, 45, "Output",ExpressionUUID->"f0786aa6-7d66-4f4e-bbd0-79a9a8bb17e3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[188250, 5460, 214, 4, 30, "Input",ExpressionUUID->"b0466dc5-2a14-4ec6-88c3-640347035887"],
Cell[188467, 5466, 235, 5, 45, "Output",ExpressionUUID->"2274c3df-2bf7-4336-a4f3-350ba36679fe"]
}, Open  ]],
Cell[CellGroupData[{
Cell[188739, 5476, 217, 4, 30, "Input",ExpressionUUID->"d14428fd-8ed3-41ad-a733-f2276571ce77"],
Cell[188959, 5482, 268, 6, 45, "Output",ExpressionUUID->"ba9df278-80f4-4cf6-9b77-7879f4522d73"]
}, Open  ]],
Cell[189242, 5491, 792, 23, 30, "Input",ExpressionUUID->"af8934f9-53c7-49e6-a60e-d7a4e4a1820c"],
Cell[190037, 5516, 402, 11, 30, "Input",ExpressionUUID->"b78ca1ac-ffbb-42dd-b22c-06460b4a220d"],
Cell[CellGroupData[{
Cell[190464, 5531, 513, 13, 30, "Input",ExpressionUUID->"8e051f33-3ee4-49c0-a826-d3ac7d46a448"],
Cell[190980, 5546, 1182, 35, 54, "Output",ExpressionUUID->"ae30da44-d969-4739-93da-37c260ee42f2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[192199, 5586, 217, 4, 30, "Input",ExpressionUUID->"7cd97bc8-b24c-431d-b9c8-7b1d2f7d3554"],
Cell[192419, 5592, 344, 7, 45, "Output",ExpressionUUID->"bea29b0e-0e2d-43e0-ae15-4bc2a7d6d874"]
}, Open  ]],
Cell[CellGroupData[{
Cell[192800, 5604, 559, 16, 30, "Input",ExpressionUUID->"e5544fb2-2a14-484b-915d-75d15b3cadee"],
Cell[193362, 5622, 226, 4, 34, "Output",ExpressionUUID->"4cb0b37d-1a6c-4f59-8cd3-dd09cc241211"]
}, Open  ]],
Cell[CellGroupData[{
Cell[193625, 5631, 506, 15, 30, "Input",ExpressionUUID->"868c650d-bc53-4e5f-9287-43f901272550"],
Cell[194134, 5648, 177, 3, 34, "Output",ExpressionUUID->"3cf9c3ad-9db8-4233-b878-2b337ec64692"]
}, Open  ]],
Cell[CellGroupData[{
Cell[194348, 5656, 604, 18, 30, "Input",ExpressionUUID->"4006f00f-efdc-472e-971c-e26704537aee"],
Cell[194955, 5676, 152, 3, 34, "Output",ExpressionUUID->"9a589c8e-c321-4880-8d2d-bd4af3228f6d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[195144, 5684, 604, 18, 30, "Input",ExpressionUUID->"610d18a9-a2b5-452c-812d-2088a1ceeffe"],
Cell[195751, 5704, 153, 3, 34, "Output",ExpressionUUID->"a02c1218-e31b-48f6-8100-5f821e8f4720"]
}, Open  ]],
Cell[CellGroupData[{
Cell[195941, 5712, 275, 6, 30, "Input",ExpressionUUID->"0a34451f-0170-4419-ae20-b5a820e2eee0"],
Cell[196219, 5720, 2446, 77, 55, "Output",ExpressionUUID->"c1469695-ca8d-4ce0-b72c-bcc562b6ee56"]
}, Open  ]],
Cell[CellGroupData[{
Cell[198702, 5802, 1423, 41, 30, "Input",ExpressionUUID->"39147c62-146b-467b-9461-6ee2cc9929c7"],
Cell[200128, 5845, 1325, 40, 55, "Output",ExpressionUUID->"9d1137b3-b097-4198-ba0a-6eee06fa452f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[201490, 5890, 260, 5, 30, "Input",ExpressionUUID->"062be550-79b1-4ab5-9804-44c11b0e40d6"],
Cell[201753, 5897, 346, 6, 57, "Output",ExpressionUUID->"2c1c6a84-f4f5-45d9-baa7-1faedb312cdd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[202136, 5908, 225, 4, 30, "Input",ExpressionUUID->"33abf72a-398f-4a70-8ca5-0d386ba495b5"],
Cell[202364, 5914, 256, 6, 45, "Output",ExpressionUUID->"472ee668-6acb-4066-86ff-dfb3445de356"]
}, Open  ]],
Cell[CellGroupData[{
Cell[202657, 5925, 180, 3, 30, "Input",ExpressionUUID->"3f9a37c8-2f27-4bc3-880d-d5d8eea9bae1"],
Cell[202840, 5930, 776, 27, 55, "Output",ExpressionUUID->"f0ebc41c-464c-43dd-92a0-b11f08d677e9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[203653, 5962, 819, 27, 52, "Input",ExpressionUUID->"63174f31-d7e9-4e66-b21f-7f2fc723558b"],
Cell[204475, 5991, 789, 27, 55, "Output",ExpressionUUID->"291cfd23-b0d5-4eb5-8f81-8cee4768483f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[205301, 6023, 253, 5, 30, "Input",ExpressionUUID->"f6d70d67-f16f-4a95-b975-b7faf42b2322"],
Cell[205557, 6030, 177, 3, 34, "Output",ExpressionUUID->"f76190c2-7ac5-4841-985d-702d8da0e579"]
}, Open  ]],
Cell[CellGroupData[{
Cell[205771, 6038, 220, 4, 30, "Input",ExpressionUUID->"9926710c-8d55-4649-b524-7176e4d410d7"],
Cell[205994, 6044, 208, 3, 45, "Output",ExpressionUUID->"67a0ed9d-2200-4e0c-bee4-668ad63046b1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[206239, 6052, 181, 3, 30, "Input",ExpressionUUID->"0d80a8de-435f-4892-8e18-53a3641b4aec"],
Cell[206423, 6057, 734, 25, 55, "Output",ExpressionUUID->"205bb6e1-df54-4a95-b9ac-52cb052d8f7b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[207194, 6087, 826, 27, 52, "Input",ExpressionUUID->"7d0bb9fd-b59b-4af9-a3d1-c1f55fddafbf"],
Cell[208023, 6116, 765, 27, 55, "Output",ExpressionUUID->"53d3bf5d-7210-4a63-8d4f-cbd4c7e5c0ca"]
}, Open  ]],
Cell[CellGroupData[{
Cell[208825, 6148, 253, 5, 30, "Input",ExpressionUUID->"0e84e5fd-dab7-483c-846c-eb92b309a6b1"],
Cell[209081, 6155, 153, 3, 34, "Output",ExpressionUUID->"aff58fe6-5d10-44e7-8836-92c9b9d805a5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[209271, 6163, 222, 4, 30, "Input",ExpressionUUID->"7adbd4c4-adab-4941-b47e-25be602b598a"],
Cell[209496, 6169, 208, 3, 45, "Output",ExpressionUUID->"c5cc68c9-c26e-4c22-bf79-a91a53915b26"]
}, Open  ]],
Cell[CellGroupData[{
Cell[209741, 6177, 1049, 34, 52, "Input",ExpressionUUID->"5e71cdc2-eef6-48ec-9eee-f7dd52a24961"],
Cell[210793, 6213, 1036, 34, 55, "Output",ExpressionUUID->"e84f8dbe-e4d3-4240-b6de-57d8e766b88b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[211866, 6252, 258, 5, 30, "Input",ExpressionUUID->"70b1c1b5-7db2-4bf5-b4fd-9acbf094eb54"],
Cell[212127, 6259, 230, 5, 34, "Output",ExpressionUUID->"42833558-78b0-4c9a-9065-253be4f6a740"]
}, Open  ]],
Cell[CellGroupData[{
Cell[212394, 6269, 229, 4, 30, "Input",ExpressionUUID->"fd3295a5-ae03-4145-9ff6-e20f1c32fcc3"],
Cell[212626, 6275, 235, 5, 45, "Output",ExpressionUUID->"e8046d0b-7db4-4ef5-accf-3db4227e0fa7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[212898, 6285, 1095, 36, 52, "Input",ExpressionUUID->"21a3666c-6756-4660-930d-0e53d3c592ab"],
Cell[213996, 6323, 1110, 37, 55, "Output",ExpressionUUID->"64dc5e47-1d88-499c-8c7f-a828572746e2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[215143, 6365, 261, 5, 30, "Input",ExpressionUUID->"67755313-9eee-4822-98b3-70a3f06e12db"],
Cell[215407, 6372, 275, 5, 34, "Output",ExpressionUUID->"5f44ce1a-4b51-4edf-a4d0-21a5af4d6563"]
}, Open  ]],
Cell[CellGroupData[{
Cell[215719, 6382, 225, 4, 30, "Input",ExpressionUUID->"06251f48-3935-44d0-b592-128b8b31e27b"],
Cell[215947, 6388, 236, 5, 45, "Output",ExpressionUUID->"6f4ff1fd-73bb-47eb-a73e-09e63b25ac4c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[216220, 6398, 1606, 46, 30, "Input",ExpressionUUID->"3ba37ff7-c9e3-4054-853c-a349e6366454"],
Cell[217829, 6446, 1423, 45, 54, "Output",ExpressionUUID->"2ed89ce6-63ff-49d7-8cae-b63fa4ec9a28"]
}, Open  ]],
Cell[CellGroupData[{
Cell[219289, 6496, 261, 5, 30, "Input",ExpressionUUID->"d0dd4a6d-5dcd-4010-bdc6-7d1e58501d4d"],
Cell[219553, 6503, 301, 5, 34, "Output",ExpressionUUID->"cb5098bc-e7af-40aa-8a65-74f92a81a8c2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[219891, 6513, 277, 5, 30, "Input",ExpressionUUID->"f4e86db6-626b-47e9-a838-49399058bea0"],
Cell[220171, 6520, 317, 7, 45, "Output",ExpressionUUID->"dfc9d32b-c3a9-46f4-adb8-2229918573ec"]
}, Open  ]],
Cell[CellGroupData[{
Cell[220525, 6532, 261, 6, 30, "Input",ExpressionUUID->"3b2852f7-e656-478e-91a4-5d546d9e7a25"],
Cell[220789, 6540, 204, 3, 45, "Output",ExpressionUUID->"6135d6cc-1bf8-4f0c-8d74-bbbea55be798"]
}, Open  ]]
}
]
*)

